<?php
/*
	Plugin Name: Awesome Author Info
	Plugin URI: http://cyberspacebuilder.com
	Description: An awesome plugin for displaying author info.
	Version: 1.0
	Author: Cyberspace Builder
	Author URI: http://www.cyberspacebuilder.com
	License: GPL2

	Copyright 2013 Cyberspace Builder (email: info@cyberspacebuilder.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

wp_enqueue_style('style', plugins_url( 'awesome-author-info/css/aw-custom.css' ), false, '', 'all');

class aw_author_info extends WP_Widget {

	function __construct()
	{
		$params = array(
			'description' => 'Draw and select your author personal info',
			'name'		  => 'Awesome Author Info'
		);
		
		parent::__construct('aw_author_info', '', $params);
		
		// Widget Stylesheet
		add_action( 'wp_enqueue_scripts', array( $this, 'register_widget_styles' ) );
		
		// Widget Dynamic Stylesheet
		add_action( 'wp_enqueue_scripts', array( $this, 'register_widget_styles' ) );
		
	}
	
	function register_widget_styles()
	{
		wp_enqueue_style( 'aw_author_info', plugins_url( 'awesome-author-info/css/font-awesome.css' ) );
	}
	
	public function form($instance)
	{
		extract($instance);
?>

			<p>
			<label for="<?php echo $this->get_field_id('title'); ?>">Title :</label>
			<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php if( isset($title) ) echo esc_attr($title); ?>" />
			</p>
			
			<hr style="background: #ccc; border: 0; height: 1px; margin: 5px 0 10px;" />

			<h1 align="center" style="font-size:20px;">Author Info</h1>
			
			<hr style="background: #ccc; border: 0; height: 1px; margin: 5px 0 10px;" />
			
			<p>
			<label for="<?php echo $this->get_field_id('banner_img'); ?>">Banner Image URL :</label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id('banner_img'); ?>" name="<?php echo $this->get_field_name('banner_img'); ?>" value="<?php if( isset($banner_img) ) echo esc_attr($banner_img); ?>" placeholder="Banner Image URL..."  cols="15" rows="30" ></input>
			</p>
			
			<p>
			<label for="<?php echo $this->get_field_id('author_img'); ?>">Author Image URL(100x100) :</label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id('author_img'); ?>" name="<?php echo $this->get_field_name('author_img'); ?>" value="<?php if( isset($author_img) ) echo esc_attr($author_img); ?>" placeholder="Your Image URL.."  cols="15" rows="30" ></input>
			</p>
			
			<p>
			<label for="<?php echo $this->get_field_id('author_name'); ?>">Author Name :</label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id('author_name'); ?>" name="<?php echo $this->get_field_name('author_name'); ?>" value="<?php if( isset($author_name) ) echo esc_attr($author_name); ?>" placeholder="John Smith" />
			</p>
			
			<p>
			<label for="<?php echo $this->get_field_id('profession'); ?>">Profession :</label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id('profession'); ?>" name="<?php echo $this->get_field_name('profession'); ?>" value="<?php if( isset($profession) ) echo esc_attr($profession); ?>" placeholder="Blogger" />
			
			</p>
			
			<p>
			<label for="<?php echo $this->get_field_id('intro_text'); ?>">Author Intro Text :</label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id('intro_text'); ?>" name="<?php echo $this->get_field_name('intro_text'); ?>" value="<?php if( isset($intro_text) ) echo esc_attr($intro_text); ?>" placeholder="Write short intro about yourself..."  cols="15" rows="30" ></input>
			</p>
			
			<hr style="background: #ccc; border: 0; height: 1px; margin: 5px 0 10px;" />

			<h1 align="center" style="font-size:20px;">Icons Color Option</h1>
			
			<hr style="background: #ccc; border: 0; height: 1px; margin: 5px 0 10px;" />
			
			<p>
			<label for="<?php echo $this->get_field_id('icon_color'); ?>">Icon Text Color :</label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id('icon_color'); ?>" name="<?php echo $this->get_field_name('icon_color'); ?>" value="<?php if( isset($icon_color) ) echo esc_attr($icon_color); ?>" placeholder="Eg : #ffffff" />			
			</p>

			<p>
			<label for="<?php echo $this->get_field_id('icon_bg_color'); ?>">Icon Background Color :</label>
			<input class="widefat" type="text" id="<?php echo $this->get_field_id('icon_bg_color'); ?>" name="<?php echo $this->get_field_name('icon_bg_color'); ?>" value="<?php if( isset($icon_bg_color) ) echo esc_attr($icon_bg_color); ?>" placeholder="Eg : #000000" />
			</p>
			
			<hr style="background: #ccc; border: 0; height: 1px; margin: 5px 0 10px;" />

			<h1 align="center" style="font-size:20px;">Social Icons</h1>
			
			<hr style="background: #ccc; border: 0; height: 1px; margin: 5px 0 10px;" />

			<p>
			<label for="<?php echo $this->get_field_id('facebook'); ?>">Facebook :</label>
			<input class="widefat" id="<?php echo $this->get_field_id('facebook'); ?>" name="<?php echo $this->get_field_name('facebook'); ?>" value="<?php if( isset($facebook) ) echo esc_attr($facebook); ?>" />			
			</p>
			
			<p>
			<label for="<?php echo $this->get_field_id('twitter'); ?>">Twitter :</label>
			<input class="widefat" id="<?php echo $this->get_field_id('twitter'); ?>" name="<?php echo $this->get_field_name('twitter'); ?>" value="<?php if( isset($twitter) ) echo esc_attr($twitter); ?>" />			
			</p>
			
			<p>
			<label for="<?php echo $this->get_field_id('google_plus'); ?>">Google+ :</label>
			<input class="widefat" id="<?php echo $this->get_field_id('google_plus'); ?>" name="<?php echo $this->get_field_name('google_plus'); ?>" value="<?php if( isset($google_plus) ) echo esc_attr($google_plus); ?>" />			
			</p>
			
			<p>
			<label for="<?php echo $this->get_field_id('linkedin'); ?>">LinkedIn :</label>
			<input class="widefat" id="<?php echo $this->get_field_id('linkedin'); ?>" name="<?php echo $this->get_field_name('linkedin'); ?>" value="<?php if( isset($linkedin) ) echo esc_attr($linkedin); ?>" />			
			</p>
			
			<p>
			<label for="<?php echo $this->get_field_id('youtube'); ?>">Youtube :</label>
			<input class="widefat" id="<?php echo $this->get_field_id('youtube'); ?>" name="<?php echo $this->get_field_name('youtube'); ?>" value="<?php if( isset($youtube) ) echo esc_attr($youtube); ?>" />	
			</p>	
			
			<p>
			<hr style="background: #ccc; border: 0; height: 1px; margin: 5px 0 10px;" />
			
			<a href="http://www.cyberspacebuilder.com/theme/" target="_blank"><img src="http://cyberspacebuilder.com/themes/observer/wp-content/plugins/awesome-author-info/img/btn.png" /></a>	
			
			<hr style="background: #ccc; border: 0; height: 1px; margin: 5px 0 10px;" />
			
			Credits : <a href="http://cyberspacebuilder.com" target="_blank" style="float:right;text-decoration:none;">Cyberspace Builder</a>	
			
			<hr style="background: #ccc; border: 0; height: 1px; margin: 5px 0 10px;" />
			</p>
			
			
					
		<?php
	}

	public function widget($args, $instance)
	{
	
		extract($args);
		extract($instance);
		
		if ( empty($title) ) $title = '';
		
		echo $before_widget;
			echo $before_title . $title . $after_title; 
			
			echo '<div class="aw-author">';
			
				if ( $banner_img ) {
				echo '<div class="aw-author-banner" style="background-image:url('. $banner_img .');"></div>';
				} else {
					echo '<div class="aw-author-banner"></div>';
				}
				
				if ( $author_img ) {
				echo '<div class="aw-author-avatar" style="background-image:url('. $author_img .');"></div>';
				} else {
					echo '<div class="aw-author-avatar"></div>';
				}
				
				echo '<div class="aw-author-info">';
					
					echo '<h3>'. $author_name .'</h3>';
					
					echo '<span>'. $profession .'</span>';
					
					echo '<p>'. $intro_text .'</p>';
				
				echo '</div>';
			
				echo '<ul class="aw-social-icons">';
				
					if ( $facebook ) {
					echo '<li><a href="'. $facebook .'" target="_blank" style="color:'. $icon_color .';background-color:'. $icon_bg_color .';"><i class="icon-facebook"></i></a></li>';
					}
					
					if ( $twitter ) {
					echo '<li><a href="'. $twitter .'" target="_blank" style="color:'. $icon_color .';background-color:'. $icon_bg_color .';"><i class="icon-twitter"></i></a></li>';
					}
					
					if ( $google_plus ) {
					echo '<li><a href="'. $google_plus .'" target="_blank" style="color:'. $icon_color .';background-color:'. $icon_bg_color .';"><i class="icon-google-plus"></i></a></li>';
					}
					
					if ( $linkedin ) {
					echo '<li><a href="'. $linkedin .'" target="_blank" style="color:'. $icon_color .';background-color:'. $icon_bg_color .';"><i class="icon-linkedin"></i></a></li>';
					}
					
					if ( $youtube ) {
					echo '<li><a href="'. $youtube .'" target="_blank" style="color:'. $icon_color .';background-color:'. $icon_bg_color .';"><i class="icon-youtube"></i></a></li>';
					}
				
				echo '</ul>';
			
			echo '</div>';
			
		echo $after_widget;			
	
	} 
	
}

add_action('widgets_init', 'aw_author_info');

function aw_author_info()
{
	register_widget('aw_author_info');
}

?>