<?php

if (!class_exists( 'bbPress' )) { return ; }


if(function_exists('register_sidebar')){
	register_sidebar( array( 
        'name'            => __('Forum Sidebar (bbpress)','infinite-framework'),
        'id'            => __('forum-sidebar','infinite-framework'),
        'description'    => __('Sidebar for Forum Pages','infinite-framework'),
        'before_widget'    => '<div class="sidebar-widget clearfix %2$s" id="%1$s">',
        'after_widget'    => "</div>\n",
        'before_title'    => '<h3>',
        'after_title'    => "</h3>\n"
        )    
    );
}


if(is_bbpress()){
	global $infinite_config;
	$infinite_config['current_page'] = 'forum';
}


add_action('wp_enqueue_scripts', 'inifinite_bbpress_required_scripts', 50);

function inifinite_bbpress_required_scripts(){
	wp_enqueue_style( 'infinite-bbpress-css', get_stylesheet_directory_uri().'/bbpress/bbpress.css');
}


//add_filter('bbp_no_breadcrumb', 'infinite_bbpress_remove_breadcrumb');

function infinite_bbpress_remove_breadcrumb(){
	return true;
}

add_filter('bbp_topic_pagination', 'infinite_bbpress_topic_pagination');
add_filter('bbp_get_forum_pagination_links', 'infinite_bbpress_forum_pagination_links');

function infinite_bbpress_topic_pagination($args){
	$args['type'] = 'array';
	unset($args['prev_text']);
	unset($args['next_text']);
	return $args;
}

function infinite_bbpress_forum_pagination_links($links){

	echo '<div class="pagination"><ul>';
	if(is_array($links)){
		foreach ($links as $link) {
			if(strstr($link,'current')){
				echo '<li class="active"><a href="#">'.str_replace(array('current','Next &raquo;', '&laquo; Previous'),array('','<i class="icon-double-angle-right"></i>', '<i class="icon-double-angle-left"></i>'),$link).'</a></li>';
			}else{
				echo '<li>'.str_replace(array('Next &raquo;', '&laquo; Previous'),array('<i class="icon-double-angle-right"></i>', '<i class="icon-double-angle-left"></i>'),$link).'</li>';
			}
		}
	}
	echo '</ul></div>';
}


add_filter('bbp_breadcrumbs', 'infinite_bbpress_breadcrumbs_markup');

function infinite_bbpress_breadcrumbs_markup($crumbs){
	$new_crumbs = array();

	foreach ($crumbs as $crumb) {
		$new_crumbs[] = "<li>$crumb</li>";
	}

	return $new_crumbs;

}



add_filter('of_options', 'infinite_bbpress_options');

function infinite_bbpress_options($options) {

	 $options[] = array(
		'name' => __('BBPress', 'options_framework_theme'),
		'type' => 'heading');
 
 		$options[] = array(
	      'name' => 'Enable Sidebar for Forum pages ?',
	      'desc' => 'Do you want to show sidebars in Forum pages ? You also need to add the widgets to Forum Sidebars from Widgets section',
	      'id' => 'forum_sidebar',
	      'std' => 'No',
	      'class' => 'mini',
	      'type' => 'select',
	      'options' => array('No' => 'No', 'Yes' => 'Yes')
	    );


	    $options[] = array(
	      'name' => 'Show Active Topics in Forum Home ?',
	      'desc' => 'Do you want to show Active topics in Forum Home ?',
	      'id' => 'forum_show_active',
	      'std' => 'No',
	      'class' => 'mini',
	      'type' => 'select',
	      'options' => array('No' => 'No', 'Yes' => 'Yes')
	    );

	    $options[] = array(
	      'name' => 'Show Title bar in bbpress pages ?',
	      'desc' => 'Do you want to show the title bar with the page title and breadcrubs in all forum pages ?',
	      'id' => 'forum_show_titlebar',
	      'std' => 'Yes',
	      'class' => 'mini',
	      'type' => 'select',
	      'options' => array('No' => 'No', 'Yes' => 'Yes')
	    );

	     $options[] = array(
	      'name' => 'bbpress Forum root Title',
	      'desc' => '',
	      'id' => 'bbpress_root_title',
	      'std' => 'Forum',
	      'class' => 'mini',
	      'type' => 'text'
	    );

      return $options;
 }


if(of_get_option('forum_show_active', 'No') == 'Yes')
	add_action('bbp_template_after_forums_loop', 'infinite_bbpress_show_active');

function infinite_bbpress_show_active(){

	if ( bbp_has_topics( array( 'author' => 0, 'show_stickies' => false, 'order' => 'DESC', 'post_parent' => 'any', 'posts_per_page' => 10 ) ) ){
		echo '<div id="bbpress-active-topics">';
		echo '<h2 class="title">'.__('Recently Active','infinite-framework').'</h2>';
		bbp_get_template_part( 'bbpress/loop', 'topics' );
		echo '</div>';
	}	

}




?>