<?php
/************************************
Template Name: Blog Grid
************************************/
get_header() 
?>

<div class="container-wrapper clearfix" id="main-content-container">
	<div class="container">
		<div class="row">
			<div class="span9 clearfix">
				<div id="article-container" class="clearfix">
				<?php $paged = (get_query_var('paged')) ? get_query_var('paged') : 1; ?>
				<?php $query = new WP_Query(array('posts_per_page'=> get_option('posts_per_page'),'paged' => $paged )); ?>
				<ul id="full-grid">
				<?php while($query->have_posts()): $query->the_post(); ?>

					<li <?php post_class('post-grid post-grid-third'); ?> id="post-<?php the_ID(); ?>">
						<div class="content-wrapper">
						<?php if(has_post_thumbnail()) : ?>
							<div class="post-image">
								<a href="<?php the_permalink() ?>"><?php the_post_thumbnail('blog-grid'); ?><i class="icon-search"></i></a>
							</div>
						<?php else: ?>
							<div class="post-image">
								<a href="<?php the_permalink() ?>"><div class="grid-dummy-image"><img src="<?php echo get_template_directory_uri()?>/images/grid-dummy-image.jpg"><i class="icon-pencil"></i></div><i class="icon-search dummy"></i></a>				
							</div>							
						<?php endif; ?>


						<h1 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
						
							<div class="post-meta">
								<span class="post-date">
									<i class="icon-calendar"></i>
									<?php the_time(get_option('date_format')) ?>
								</span>
										<span class="seperator">/</span>
										<i class="icon-comments"></i>
								<?php
									comments_popup_link(
										__('No Comments', 'infinite-framework'), 
										__('1 Comment', 'infinite-framework'), 
										__('% Comments', 'infinite-framework'));
								?>
							</div>
						</div>

					</li>

				<?php endwhile; wp_reset_postdata();?>
				</ul>
				</div>
			
				<?php kriesi_pagination($query->max_num_pages, $range = 3); ?>
				
			</div> <!--end left column -->

			<?php get_sidebar(); ?>

		</div>
	</div>
</div> <!-- end container-wrapper -->


		<script src="<?php echo get_stylesheet_directory_uri() ?>/js/masonry.pkgd.min.js"></script>
		<script src="<?php echo get_stylesheet_directory_uri() ?>/js/imagesloaded.js"></script>
		<script src="<?php echo get_stylesheet_directory_uri() ?>/js/classie.js"></script>
		<script src="<?php echo get_stylesheet_directory_uri() ?>/js/AnimOnScroll.js"></script>
		<script>
			jQuery(function(){
				function getIEVersion() {
			        var rv = -1; // Return value assumes failure.
			        if (navigator.appName == 'Microsoft Internet Explorer') {
			            var ua = navigator.userAgent;
			            var re  = new RegExp("MSIE ([0-9]{1,}[\.0-9]{0,})");
			            if (re.test(ua) != null)
			                rv = parseFloat( RegExp.$1 );
			        }
			        return rv;
			    }

			    if( getIEVersion() != -1) return;
				new AnimOnScroll( document.getElementById( 'full-grid' ), {
					minDuration : 0.4,
					maxDuration : 0.7,
					viewportFactor : 0.2
				} );
			})
		</script>
<?php get_footer() ?>