<?php
/************************************
Template Name: Blog Medium Image
************************************/
get_header() 
?>

<div class="container-wrapper clearfix" id="main-content-container">
	<div class="container">
		<div class="row">
			<div class="span9 clearfix">
				<?php $paged = (get_query_var('paged')) ? get_query_var('paged') : 1; ?>
				<?php $query = new WP_Query(array('posts_per_page'=> get_option('posts_per_page'),'paged' => $paged )); ?>

				<?php while($query->have_posts()): $query->the_post(); ?>

					<article <?php post_class('post-half clearfix'); ?> id="post-<?php the_ID(); ?>">
						<h1 class="post-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h1>
						
							<div class="post-meta">
								<span class="post-date">
									<i class="icon-calendar"></i>
									<?php the_time(get_option('date_format')) ?>
								</span>

										<span class="seperator">/</span>
										<i class="icon-comments"></i>
								<?php
									comments_popup_link(
										__('No Comments', 'infinite-framework'), 
										__('1 Comment', 'infinite-framework'), 
										__('% Comments', 'infinite-framework'));
								?>
							</div>

					
						<?php if(has_post_thumbnail()) : ?>

							<div class="post-image">
								<a href="<?php the_permalink() ?>"><?php the_post_thumbnail('blog-medium'); ?></a>					
							</div>
						
						<?php endif; ?>

							<div class="post-content">
								<?php the_excerpt() ?>
							</div>

					</article>
				

				<?php endwhile; ?>

				<?php kriesi_pagination($query->max_num_pages, $range = 3); ?>

			</div> <!--end left column -->


			<?php get_sidebar(); ?>


		</div>
	</div>
</div> <!-- end container-wrapper -->


<?php get_footer() ?>