<?php
/************************************
Template Name: Blog Timeline
************************************/
get_header();
?>

<div class="container-wrapper clearfix" id="main-content-container">
	<div class="container">
		<div class="row">
			<div class="span12 clearfix">
				<div id="article-container" class="row">
				<?php $paged = (get_query_var('paged')) ? get_query_var('paged') : 1; ?>
				<?php $query = new WP_Query(array('posts_per_page'=> get_option('posts_per_page'),'paged' => $paged )); ?>
				
				<ul class="cbp_tmtimeline">

				<?php while($query->have_posts()): $query->the_post(); ?>
				
					<li>
						<div class="cbp_tmtime" data-animate="scaleUp"><span><div class="cbp_month"><?php the_time('M') ?></div><div class="cbp_date"><?php the_time('d') ?></div><div class="cbp_year"><?php the_time('Y') ?></div></span></div>

						<?php if(has_post_thumbnail()) : ?>
							<div class="cbp_author" data-animate="scaleUp"><a href="<?php the_author_link() ?>"  title="Author"><?php echo get_avatar( get_the_author_meta('email'), '80' ) ?></a></div>
							<div class="cbp_comments" data-animate="scaleUp"><a href="<?php the_permalink(); ?>#respond" title="Comments"><?php comments_number(0,1,'%'); ?></i></a></div> 
						<?php endif; ?>

						<div class="cbp_tmlabel" data-animate="fromBottom">
							<?php if(has_post_thumbnail()) : ?>
							<div class="post-image">
							<a href="<?php the_permalink(); ?>">
								<?php the_post_thumbnail('blog-full'); ?>
								<i class="icon-search"></i>
							</a>
							</div>
							<?php endif; ?>
							<h2><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
							<p><?php the_excerpt() ?></p>
						</div>
					</li>

				<?php endwhile; wp_reset_postdata();?>

				</ul>

				</div>
			
				<?php kriesi_pagination($query->max_num_pages, $range = 3); ?>
				
			</div> <!--end left column -->
		</div>
	</div>
</div> <!-- end container-wrapper -->


<?php global $post; if(get_post_meta($post->ID,'infinite_meta_ajax_load',true) == 'Yes'):  ?>

	<?php wp_enqueue_script( 'jquery-ias', get_stylesheet_directory_uri()."/js/jquery-ias.js", array('jquery') ); ?>

	<script type="text/javascript">
        jQuery(document).ready(function() {
            jQuery.ias({
                container : '.cbp_tmtimeline',
                item: 'li',
                pagination: '.pagination',
                next: 'a.next',
                loader: '<img src="<?php echo get_stylesheet_directory_uri() ?>/images/loading_3.gif"/>',
                triggerPageThreshold: 10,
                onRenderComplete: function(){
                	eventsForTransitions('fromBottom');
					eventsForTransitions('scaleUp');
                }
            });
        });
    </script>

<?php endif; ?>

<?php get_footer() ?>