<?php 
	$heading_font = of_get_option('heading_google_font');
	if($heading_font && $heading_font != 'None'){
		$google_heading = str_replace(' ', '+', $heading_font);
		$heading_font = "'".$heading_font."', ".'Helvetica, Arial, sans-serif';
	}else{
		$heading_font = of_get_option('heading_normal_font');
	}

	$body_font = of_get_option('body_google_font');
	if($body_font && $body_font != 'None'){
		$google_body = str_replace(' ', '+', $body_font);
		$body_font = "'".$body_font."', ".'Helvetica, Arial, sans-serif';
	}else{
		$body_font = of_get_option('body_normal_font');
	}

	$link_color = of_get_option('link_color','#289dcc');
	$link_color_dark = of_get_option('link_color_dark', '#333333');
	$link_color_light = colourBrightness($link_color, 0.60);
	$border_color = of_get_option('border_color','#e5e5e5');
	$text_color = of_get_option('text_color', '#6a6767');
	$dark_text = colourBrightness($text_color, -0.85);
?>
<style type="text/css">

	body {
		font: <?php echo of_get_option('body_font_size','13') ?>px/1.4em <?php echo $body_font ?> ;
		color: <?php echo $text_color ?>;
		<?php if(of_get_option('page_bg_image')):; ?>
		background: url(<?php echo of_get_option('page_bg_image','subtle_stripes') ?>) <?php echo of_get_option('page_bg_repeat','repeat') ?> center center <?php echo of_get_option('page_bg_position') ?> <?php echo of_get_option('page_bg_color') ?>;
		<?php else: ?>
		<?php if(of_get_option('page_pattern','subtle_stripes') == '')
		$bgImage = 'subtle_stripes';
		else
		$bgImage = of_get_option('page_pattern','subtle_stripes');
		?>
		background: url(<?php echo get_template_directory_uri() . '/images/patterns/'.of_get_option('page_pattern','subtle_stripes').'.png'  ?>) <?php echo of_get_option('page_bg_repeat','repeat') ?> center center <?php echo of_get_option('page_bg_position') ?> <?php echo of_get_option('page_bg_color') ?>;
		<?php endif; ?>
	}

	h1{
		font-size: <?php echo of_get_option('heading_font_size','22') ?>px;
	}

	h1, h2, h3, h4, h5, h6 {
		font-family: <?php echo $heading_font ?> ;
	}

	#title-container{
		background: <?php echo of_get_option('title_bg_image') ? 'url('.of_get_option('title_bg_image').') no-repeat' : ''; ?> <?php echo of_get_option('title_bg_color','#f9f8f8'); ?>;
		background-size: cover;
	}

	a, p a, span a, h1 a, h2 a, h3 a, h4 a, h5 a, h6 a {
		color: <?php echo $link_color_dark ?>;
	}

	a:hover,p a:hover,span a:hover,h1 a:hover,h2 a:hover,h3 a:hover,h4 a:hover,h5 a:hover,h6 a:hover {
		color: <?php echo $link_color ?>;
	}
	a.tag{
		background: <?php echo $text_color ?>;
	}
	.main-menu ul .current-menu-item > a,
	.main-menu ul .current-menu-ancestor > a,
	.main-menu ul .current-menu-parent > a {
		border-top: 3px solid <?php echo $link_color ?>;
		color: <?php echo $link_color ?>;
	}
	.main-menu ul > li .current-menu-item > a,
	.main-menu ul > li .current-menu-ancestor > a,
	.main-menu ul > li .current-menu-parent > a {
		color: <?php echo $link_color ?>;
	}
	.main-menu ul > li a:hover {
		color: <?php echo $link_color ?>;
	}
	.main-menu ul > li ul {
		border-top: 3px solid <?php echo $link_color ?>;
	}
	.main-menu ul > li ul li ul {
		border-top: 3px solid <?php echo $link_color ?>;
		border-bottom: 1px solid <?php echo $border_color ?>;
	}
	.main-menu ul > li:hover > a {
		border-color: <?php echo $link_color ?>;
	}
	#menu-item-search a.active-icon {
		background: <?php echo $link_color ?>;
		color: #fff;
	}
	.main-menu-small > ul li a:hover {
		color: #fff;
		background-color: <?php echo $link_color ?>;
	}
	.action,
	.post-content blockquote {
		border-left: 2px solid <?php echo $link_color ?>;
	}
	.action-icon.normal {
		color: <?php echo $link_color ?>;
		border: 3px solid <?php echo $link_color ?>;
	}
	.action-icon.normal:after {
		background: <?php echo $link_color ?>;
	}
	.action-icon.normal:hover {
		background: <?php echo $link_color ?>;
	}
	a.tag:hover {
		background: <?php echo $link_color ?>;
	}

	.main-footer a.tag:hover {
		background: <?php echo $link_color ?>;
	}
	.post-grid .post-image .icon-search,
	.recent-post .post-image .icon-search {
		background: <?php echo $link_color ?>;
	}
	.post-two-column .post-image .icon-search,
	.post-three-column .post-image .icon-search,
	.post-four-column .post-image .icon-search,
	.post-half .post-image .icon-search {
		background: <?php echo $link_color ?>;
	}
	.post-content strong {
		color: <?php echo $link_color ?>;
	}
	.pagination a {
		color: <?php echo $link_color ?>;
	}
	.social-icon-container .social-icon:hover {
		color: #fff;
		background: <?php echo $link_color ?>;
	}
	#portfolio_filter li a.active, #portfolio_filter li a:hover {
		background: <?php echo $link_color ?>;
	}
	.pricing-table .header h2 {
		background: <?php echo $link_color ?>;
	}
	.data-table table tr th {
		background: <?php echo $link_color ?>;
	}
	.dropcap {
		color: <?php echo $link_color ?>;
	}
	.normal .nav-tabs :after {
		background: <?php echo $link_color ?>;
	}
	.normal .nav-tabs > li.active {
		background: <?php echo $link_color ?>;
	}
	.tabs-left.normal .nav-tabs :after {
		background: <?php echo $link_color ?>;
	}
	.tabs-left.normal .nav-tabs > li.active:last-child {
		border-bottom: <?php echo $link_color ?>;
	}
	.normal .nav-tabs.nav-tabs-mob > li.active:last-child {
		border-bottom: <?php echo $link_color ?>;
	}
	.accordion .accordion-group .accordion-heading a.expanded {
		/*color: <?php echo $link_color ?>;*/
	}
	.infinite-twitter li .tweet-actions .twitter-reply:hover,
	.infinite-twitter li .tweet-actions .twitter-retweet:hover,
	.infinite-twitter li .tweet-actions .twitter-favorite:hover {
		color: <?php echo $link_color ?>;
	}
	.tp-title span:nth-child(2) {
		color: <?php echo $link_color ?>;
	}
	.no-touch .back:hover {
		background: <?php echo $link_color ?>;
	}
	.cbp_tmtimeline > li .cbp_tmlabel .post-image a .icon-search {
		background: <?php echo $link_color ?>;
	}
	.dl-menuwrapper button,
	.dl-menuwrapper button.dl-active,
	.dl-menuwrapper ul {
		background: <?php echo $link_color ?>;
	}
	.dl-menuwrapper button:hover{
		background: <?php echo colourBrightness($link_color, 0.8); ?>;	
	}

	/*BORDERS*/
	.main-header .container-wrapper {
		border-bottom: 1px solid <?php echo $border_color ?>;
	}
	.main-menu ul > li ul li {
		border-bottom: 1px solid <?php echo $border_color ?>;
	}
	.main-menu ul > li ul li ul {
		border-top: 3px solid <?php echo $link_color ?>;
		border-bottom: 1px solid <?php echo $border_color ?>;
	}
	#menu-item-search form {
		border: 1px solid <?php echo $border_color ?>;
	}
	#menu-item-search form .arrow-up:before {
		border-bottom-color: <?php echo $border_color ?>;
	}
	#menu-item-search form input {
		border: 1px solid <?php echo $border_color ?>;
	}
	#title-container {
		border-bottom: 1px solid <?php echo $border_color ?>;
	}
	#main-slider,
	.camera_slider.camera_wrap {
		border-bottom: 1px solid <?php echo $border_color ?>;
	}
	.post-grid,
	.recent-post {
		border: 1px solid <?php echo $border_color ?>;
	}
	.pagination.post-pagination {
		border-top: 1px solid <?php echo $border_color ?>;
	}
	.pagination.post-pagination a{
		color: <?php echo $dark_text ?>
	}
	.pagination.post-pagination a:hover {
		color: <?php echo $link_color ?>;
	}
	#comments #reply-title, .post-comments-heading h2 {
		border-top: 1px solid <?php echo $border_color ?>;
	}
	.portfolio-grid-alt-bg {
		border: 1px solid <?php echo $border_color ?>;
	}
	.pricing-table .price-item {
		border: 1px solid <?php echo $border_color ?>;
	}
	.pricing-table ul li {
		border-bottom: 1px solid <?php echo $border_color ?>;
	}
	.pricing-table .price h2 {
		border-bottom: 1px solid <?php echo $border_color ?>;
	}
	.data-table table {
		border: 1px solid <?php echo $border_color ?>;
	}
	.data-table table tr td {
		border-bottom: 1px solid <?php echo $border_color ?>;
	}
	.tab-container {
		border: 1px solid <?php echo $border_color ?>;
	}
	.testimonial .popover {
		border: 1px solid <?php echo $border_color ?>;
	}
	.gallery-container .gallery-item {
		border: 1px solid <?php echo $border_color ?>;
	}
	.cbp_tmtimeline > li .cbp_tmlabel {
		border: 1px solid <?php echo $border_color ?>;
	}
	.cbp_tmtimeline > li .cbp_tmlabel h2 {
		border-bottom: 1px solid <?php echo $border_color ?>;
	}
	.cbp_tmtimeline > li .cbp_tmlabel:before {
		border-right-color: <?php echo $border_color ?>;
	}
	.call-to-action {
		border-top: 1px solid <?php echo $border_color ?>;
	}

	<?php $lightBorder =  colourBrightness($border_color, 0.60); ?>

	hr.fancy {
		background: <?php echo $border_color ?>;
		background-image: -webkit-linear-gradient(left, <?php echo $lightBorder  ?>, <?php echo $border_color ?>, <?php echo $lightBorder  ?>);
		background-image: -moz-linear-gradient(left, <?php echo $lightBorder  ?>, <?php echo $border_color ?>,<?php echo $lightBorder  ?>);
		background-image: -o-linear-gradient(left, <?php echo $lightBorder  ?>, <?php echo $border_color ?>, <?php echo $lightBorder  ?>);
		background-image: -ms-linear-gradient(left, <?php echo $lightBorder  ?>, <?php echo $border_color ?>, <?php echo $lightBorder  ?>);
		background-image: linear-gradient(left, <?php echo $lightBorder  ?>, <?php echo $border_color ?>, <?php echo $lightBorder  ?>);
	}


	<?php $btnDark = colourBrightness($link_color, -0.85); ?>

	.button, #submit {
		background: <?php echo $link_color ?>;
		box-shadow: 0 6px <?php echo $btnDark ?>;
	}

	.button:hover, #submit:hover {
		background: <?php  echo colourBrightness($link_color, -0.92); ?>;
		box-shadow: 0 4px <?php echo $btnDark; ?>;
	}

	.button-:active, #submit:active {
		box-shadow: 0 2px <?php echo $btnDark; ?>;
		top: 6px;
	}


	.post .post-meta,
	.post-half .post-meta,
	article.page .post-meta,
	article.post-normal .post-meta {
		color: <?php echo $dark_text ?>;
	}

	.post-date{
		color: <?php echo $dark_text ?>;
	}



	#comments .post-comments-form input[type=text]:focus,
	#comments #post-comments-form input[type=text]:focus,
	#comments .post-comments-form textarea:focus,
	#comments #post-comments-form textarea:focus,
	#bbpress-forums select:focus, 
	#bbpress-forums input[type=text]:focus, 
	#bbpress-forums textarea:focus,
	#woocommerce-container .coupon #coupon_code:focus,
	.woocommerce .checkout .input-text:focus,
	.woocommerce .checkout .chzn-container-active .chzn-single-with-drop:focus,
	.woocommerce .checkout .chzn-container-single .chzn-single:focus,
	.woocommerce .checkout .form-row .chzn-container-single .chzn-search input:focus,
	.pp_woocommerce #comment:focus,
	.pp_woocommerce #author:focus,
	.pp_woocommerce #email:focus,
	.shipping-calculator-form .input-text:focus,
	.shipping-calculator-form .country_to_state:focus,
	.shipping-calculator-form select:focus,
	.variations_form select:focus,
	#woocommerce-container textarea:focus,
	#woocommerce-container input[type="text"]:focus,
	#woocommerce-container input[type="password"]:focus,
	#woocommerce-container input[type="datetime"]:focus,
	#woocommerce-container input[type="datetime-local"]:focus,
	#woocommerce-container input[type="date"]:focus,
	#woocommerce-container input[type="month"]:focus,
	#woocommerce-container input[type="time"]:focus,
	#woocommerce-container input[type="week"]:focus,
	#woocommerce-container input[type="number"]:focus,
	#woocommerce-container input[type="email"]:focus,
	#woocommerce-container input[type="url"]:focus,
	#woocommerce-container input[type="search"]:focus,
	#woocommerce-container input[type="tel"]:focus,
	#woocommerce-container input[type="color"]:focus
	{
	  border-color: <?php echo $link_color_light ?>;
	}

	#woocommerce-container .coupon #coupon_code,
	.form-row .chzn-container-single .chzn-search input,
	.pp_woocommerce #comment,
	.pp_woocommerce #author,
	.pp_woocommerce #email,
	.shipping-calculator-form .input-text,
	.shipping-calculator-form .country_to_state,
	.shipping-calculator-form select,
	.variations_form select,
	#woocommerce-container textarea,
	#woocommerce-container input[type="text"],
	#woocommerce-container input[type="password"],
	#woocommerce-container input[type="datetime"],
	#woocommerce-container input[type="datetime-local"],
	#woocommerce-container input[type="date"],
	#woocommerce-container input[type="month"],
	#woocommerce-container input[type="time"],
	#woocommerce-container input[type="week"],
	#woocommerce-container input[type="number"],
	#woocommerce-container input[type="email"],
	#woocommerce-container input[type="url"],
	#woocommerce-container input[type="search"],
	#woocommerce-container input[type="tel"],
	#woocommerce-container input[type="color"]
	{
		font: <?php echo of_get_option('body_font_size','13') ?>px/1.4em <?php echo $body_font ?> ;
		border: 1px solid <?php echo $border_color ?>;
	}


	.button.logout-link{
		color: <?php echo $link_color_dark ?>;
	}
	.button.logout-link:hover{
		color: <?php echo $link_color ?>;
	}

	#woocommerce-container .products li, .woocommerce .products li{
		list-style-type: none;
	}

	#woocommerce-container .products li .price, 
	#woocommerce-container .products li .add_to_cart_link:hover,
	#woocommerce-container .products li .show_details:hover,
	#woocommerce-container .products li .added_to_cart:hover,
	.star-rating,
	.product-sorting .sort-param ul li a.current-param,
	.product-sorting .sort-param ul li a:hover,
	#woocommerce-container .woocomerce-product .price,
	#woocommerce-container .alert .button:hover,
	.main-sidebar .woocommerce .product_list_widget ins .amount,
	#woocommerce-container .shopping-cart-table .product-subtotal .amount,
	#woocommerce-container .products li .price,
	.cart-menu .cart-menu-dropdown .amount
	{
		color: <?php echo $link_color ?>;
	}

	#woocommerce-container .products li .price del,
	#woocommerce-container .products li .added_to_cart,
	#woocommerce-container .woocomerce-product .price del
	{
		color: <?php  echo colourBrightness($text_color, 0.60); ?>;
	}

	#woocommerce-container .products li .cart-actions,
	.cart-menu .cart-menu-dropdown .total,
	.cart-menu .cart-menu-dropdown .buttons,
	#woocommerce-container .shopping-cart-table tr th,
	.main-sidebar .woocommerce .product_list_widget li
	{
		border-top: 1px solid <?php echo $border_color ?>;
	}

	#woocommerce-container .products li .onsale,
	#woocommerce-container .woocomerce-product .onsale,
	.main-sidebar .woocommerce li.chosen
	{
		background: <?php echo $link_color ?>;
	}

	.cart-menu .cart-menu-dropdown li,
	#woocommerce-container .shopping-cart-table tr td,
	#woocommerce-container .shopping-cart-table tr th,
	#woocommerce-container .shipping,
	.woocommerce .checkout #payment ul li,
	.main-sidebar .woocommerce .cart_list,
	.main-sidebar .woocommerce p.total,
	.main-sidebar .woocommerce p.buttons
	{
		border-bottom: 1px solid <?php echo $border_color ?>;
	}
	
	.cart-menu .cart-menu-dropdown .arrow-up:before{
		border-bottom-color: <?php echo $border_color ?>;
	}

	#woocommerce-container .woocomerce-product input.qty:hover,
	#woocommerce-container .woocomerce-product input.qty:focus,
	#woocommerce-container .shopping-cart-table input.qty:hover,
	#woocommerce-container .shopping-cart-table input.qty:focus
	{
		border-color: <?php echo $border_color ?>;
	}

	#woocommerce-container .woocomerce-product .woocommerce-main-image img,
	#woocommerce-container .woocomerce-product input.qty,
	#woocommerce-container .woocomerce-product input.plus,
	#woocommerce-container .woocomerce-product input.minus,
	#woocommerce-container .shopping-cart-table input.qty,
	#woocommerce-container .shipping .cart_totals table tr td,
	#woocommerce-container .shipping .cart_totals table tr th,
	.woocommerce .checkout .shop_table tr td,
	.woocommerce .checkout .shop_table tr th,
	.woocommerce .checkout #payment ul,
	.pp_woocommerce #comment,
	.pp_woocommerce #author,
	.pp_woocommerce #email
	{
		border: 1px solid <?php echo $border_color ?>;
	}

	#woocommerce-container .shopping-cart-table input.qty,
	#woocommerce-container .woocomerce-product input.qty
	{
		border-left: none;
		border-right: none;
	}
	
	#woocommerce-container .commentlist{
		border-top: 1px solid <?php echo $border_color ?>;
		border-bottom: 1px solid <?php echo $border_color ?>;
	}

	.pp_woocommerce p.stars a {
		color: <?php echo $text_color ?>;
	}



	@media (max-width: 767px){
		.cbp_tmtimeline > li .cbp_tmlabel:before {
			border-right-color: transparent;
		}
	}

	<?php if(of_get_option('header_layout') == 'fixed-header') : ?>
	<?php if(is_admin_bar_showing()) :; ?>
	.fixed-header .main-header{
		top: 28px;
	}
	<?php else:; ?>
	.fixed-header-fix{
		height: 67px;
	}
	<?php endif ?>
	<?php endif ?>

	<?php if(of_get_option('custom_css')) echo of_get_option('custom_css'); ?>

</style>