<?php
/* Define the custom box */

// WP 3.0+
add_action( 'add_meta_boxes', 'portfolio_options_metabox' );
add_action( 'add_meta_boxes', 'post_options_metabox' );
add_action( 'add_meta_boxes', 'page_options_metabox' );

// backwards compatible
add_action( 'admin_init', 'portfolio_options_metabox', 1 );
add_action( 'admin_init', 'post_options_metabox', 1 );
add_action( 'admin_init', 'page_options_metabox', 1 );

/* Do something with the data entered */
add_action( 'save_post', 'save_portfolio_options' );
add_action( 'save_post', 'save_post_options' );
add_action( 'save_post', 'save_page_options' );

/**
 *  Adds a box to the main column on the Post edit screen
 * 
 */
function portfolio_options_metabox() {
    add_meta_box( 'portfolio_options', __( 'Portfolio Options', 'infinite-framework' ), 'portfolio_options_code', 'portfolio', 'normal', 'high' );
}

/**
 *  Prints the box content
 */
function portfolio_options_code( $post ) { 
    wp_nonce_field( plugin_basename( __FILE__ ), $post->post_type . '_noncename' );
    $meta_info = get_post_meta( $post->ID, '_meta_info', true) ? get_post_meta( $post->ID, '_meta_info', true) : 1; ?>

    <?php dropdown('show_flex_slideshow', 'Display Flex Slideshow', array('Yes', 'No'), 'Do you want to display the Flex slider slideshow for the attached images for this portfolio item ?'); ?>
    <?php textarea('project_task', 'Task', 'Your task for this project (HTML is allowed)') ?>
    <?php textarea('project_client', 'Client', 'The client for this project (HTML is allowed)') ?>
    <?php text('project_url', 'Project Url','The url of this project'); ?>
    <?php text('project_url_text', 'Project Url Text','The Text you want t display for the url'); ?>
    <?php dropdown('portfolio_style', 'Portfolio Style', array('Accordion', 'Normal'), 'Do you want this portfolio item to be displayed in Normal style or Accordion style ?'); ?>
    
  <?php
}

/** 
 * When the post is saved, saves our custom data 
 */
function save_portfolio_options( $post_id ) {

  if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) 
      return;
  update_post_meta( $post_id, 'infinite_meta_show_flex_slideshow', isset($_POST['infinite_meta_show_flex_slideshow']) ? $_POST['infinite_meta_show_flex_slideshow'] :  '' );
  update_post_meta( $post_id, 'infinite_meta_project_task', isset($_POST['infinite_meta_project_task']) ? $_POST['infinite_meta_project_task'] : '' );
  update_post_meta( $post_id, 'infinite_meta_project_client', isset($_POST['infinite_meta_project_client']) ? $_POST['infinite_meta_project_client'] :  '' );
  update_post_meta( $post_id, 'infinite_meta_project_url', isset($_POST['infinite_meta_project_url']) ? $_POST['infinite_meta_project_url'] : '' );
  update_post_meta( $post_id, 'infinite_meta_project_url_text', isset($_POST['infinite_meta_project_url_text']) ? $_POST['infinite_meta_project_url_text'] :  '' );
  update_post_meta( $post_id, 'infinite_meta_portfolio_style', isset($_POST['infinite_meta_portfolio_style']) ? $_POST['infinite_meta_portfolio_style'] :  '' );

}


/**
 *  Adds a box to the main column on the Post edit screen
 * 
 */
function post_options_metabox() {
    add_meta_box( 'post_options', __( 'Post Options', 'infinite-framework' ), 'post_options_code', 'post', 'normal', 'high' );
}

/**
 *  Prints the box content
 */
function post_options_code( $post ) { 
    wp_nonce_field( plugin_basename( __FILE__ ), $post->post_type . '_noncename' );
    $meta_info = get_post_meta( $post->ID, '_meta_info', true) ? get_post_meta( $post->ID, '_meta_info', true) : 1; ?>
    
    <?php dropdown('show_sidebar', 'Display Sidebar', array('Yes', 'No'), 'Do you want to display the sidebar for this post ?'); ?>
    <?php dropdown('show_flex_slideshow', 'Display Flex Slideshow', array('Yes', 'No'), 'Do you want to display the Flex slider slideshow for the attached images in this post ?'); ?>
    
  <?php
}


function save_post_options( $post_id ) {

  if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) 
      return;
  update_post_meta( $post_id, 'infinite_meta_show_sidebar', isset($_POST['infinite_meta_show_sidebar']) ? $_POST['infinite_meta_show_sidebar'] :  '' );
  update_post_meta( $post_id, 'infinite_meta_show_flex_slideshow', isset($_POST['infinite_meta_show_flex_slideshow']) ? $_POST['infinite_meta_show_flex_slideshow'] :  ''  );

}

/**
 *  Adds a box to the main column on the Post edit screen
 * 
 */
function page_options_metabox() {
    add_meta_box( 'page_options', __( 'Page Options', 'infinite-framework' ), 'page_options_code', 'page', 'normal', 'high' );
}

/**
 *  Prints the box content
 */
function page_options_code( $post ) {
  global $infinite_config;
    wp_nonce_field( plugin_basename( __FILE__ ), $post->post_type . '_noncename' );
    $meta_info = get_post_meta( $post->ID, '_meta_info', true) ? get_post_meta( $post->ID, '_meta_info', true) : 1; ?>  

  <?php
  if (get_post_meta($post->ID,'_wp_page_template',TRUE) == 'contact-us.php') { ?>
      <?php dropdown('show_sidebar', 'Display Sidebar', array('Yes', 'No'), 'Do you want to display the sidebar for this page ?'); ?>
      <?php text('contact_admin_email', 'Admin Email address') ?>
      <?php textarea('contact_text', 'Text') ?>
      <?php textarea('contact_address', 'Address') ?>
      <?php text('contact_phone', 'Phone', ''); ?>
      <?php text('contact_fax', 'Fax', ''); ?>  
      <?php text('contact_email', 'Email', ''); ?>
  <?php }else{ ?>
      <?php dropdown('revolution_slider', 'Revolution Slider Alias', $infinite_config['RevSliderAllSliders'], 'Please select the Revolution slider Alias, if you want to display a revolution slider with full width in this page, you can also insert revolution slider into the page/post content, however that will not be full width, the width will be based on the content width'); ?>
      <?php dropdown('show_sidebar', 'Display Sidebar', array('Yes', 'No'), 'Do you want to display the sidebar for this page ?'); ?>
      <?php dropdown('show_flex_slideshow', 'Display Flex Slideshow', array('Yes', 'No'), 'Do you want to display the Flex slider slideshow for the attached images in this page ?'); ?>
      <?php dropdown('show_title', 'Display Title', array('Yes', 'No'), 'Do you want to display the Title for this page ?'); ?>
      <?php dropdown('show_social_share', 'Display Social Share Icons', array('Yes', 'No'), 'Do you want to display the Social Share icons for this page ? ?'); ?>
  <?php } 
  $page_template = get_post_meta($post->ID,'_wp_page_template',TRUE);
  if ($page_template == 'blog-timeline.php') {?>
    <?php dropdown('ajax_load', 'Load Items using Ajax ?', array('No', 'Yes'), 'Do you want to load the posts using Ajax? If enabled, all the posts will be loaded in the same page using Ajax when the user scrolls down?'); ?>
  <?php
  }
}


function save_page_options( $post_id ) {

  if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) 
      return;
  update_post_meta( $post_id, 'infinite_meta_show_sidebar', isset($_POST['infinite_meta_show_sidebar']) ? $_POST['infinite_meta_show_sidebar'] : '' );
  update_post_meta( $post_id, 'infinite_meta_show_flex_slideshow',  isset($_POST['infinite_meta_show_flex_slideshow']) ? $_POST['infinite_meta_show_flex_slideshow'] : '' );
  update_post_meta( $post_id, 'infinite_meta_show_title', isset($_POST['infinite_meta_show_title']) ? $_POST['infinite_meta_show_title'] : '' );
  update_post_meta( $post_id, 'infinite_meta_show_social_share', isset($_POST['infinite_meta_show_social_share']) ? $_POST['infinite_meta_show_social_share'] : '' );
  update_post_meta( $post_id, 'infinite_meta_ajax_load', isset($_POST['infinite_meta_ajax_load']) ? $_POST['infinite_meta_ajax_load'] : '' );
  if(isset($_POST['infinite_meta_revolution_slider'])) update_post_meta( $post_id, 'infinite_meta_revolution_slider', $_POST['infinite_meta_revolution_slider'] );
  if(isset($_POST['infinite_meta_contact_admin_email'])) update_post_meta( $post_id, 'infinite_meta_contact_admin_email', $_POST['infinite_meta_contact_admin_email'] );
  if(isset($_POST['infinite_meta_contact_text'])) update_post_meta( $post_id, 'infinite_meta_contact_text', $_POST['infinite_meta_contact_text'] );
  if(isset($_POST['infinite_meta_contact_address'])) update_post_meta( $post_id, 'infinite_meta_contact_address', $_POST['infinite_meta_contact_address'] );
  if(isset($_POST['infinite_meta_contact_phone'])) update_post_meta( $post_id, 'infinite_meta_contact_phone', $_POST['infinite_meta_contact_phone'] );
  if(isset($_POST['infinite_meta_contact_fax'])) update_post_meta( $post_id, 'infinite_meta_contact_fax', $_POST['infinite_meta_contact_fax'] );
  if(isset($_POST['infinite_meta_contact_email'])) update_post_meta( $post_id, 'infinite_meta_contact_email', $_POST['infinite_meta_contact_email'] );

}


function text($id, $label, $desc=''){
  global $post;
  
  $html = '';
  $html .= '<div class="infinite_meta_field">';
  $html .= '<label for="infinite_meta_' . $id . '">';
  $html .= $label;
  $html .= '</label>';
  $html .= '<div class="field big">';
  $html .= '<input type="text" id="infinite_meta_' . $id . '" name="infinite_meta_' . $id . '" value="' . get_post_meta($post->ID, 'infinite_meta_' . $id, true) . '" />';
  if($desc != '') {
    $html .= '<div class="">' . $desc . '</div>';
  }
  $html .= '</div>';
  $html .= '</div>';
  
  echo $html;

}


function textarea($id, $label, $desc = ''){
  global $post;

  $html = '';
  $html .= '<div class="infinite_meta_field">';
  $html .= '<label for="infinite_meta_' . $id . '">';
  $html .= $label;
  $html .= '</label>';
  $html .= '<div class="field big">';
  $html .= '<textarea id="infinite_meta_' . $id . '" name="infinite_meta_' . $id . '" rows="10" cols="80">' . get_post_meta($post->ID, 'infinite_meta_' . $id, true) . '</textarea>';
  if($desc != '') {
    $html .= '<div class="">' . $desc . '</div>';
  }
  $html .= '</div>';
  $html .= '</div>';

  echo $html;
}

function dropdown($id, $label, $options, $desc = ''){
  global $post;

  $html = '';
  $html .= '<div class="infinite_meta_field">';
  $html .= '<label for="infinite_meta_' . $id . '">';
  $html .= $label;
  $html .= '</label>';
  $html .= '<div class="field big">';
  $html .= '<select id="infinite_meta_' . $id . '" name="infinite_meta_' . $id . '">';

  foreach ($options as $option) {
    if(get_post_meta($post->ID, 'infinite_meta_' . $id, true) == $option)
      $html .= "<option value='$option' selected>$option</option>";
    else
      $html .= "<option value='$option'>$option</option>";
  }

  $html .= '</select>';
  if($desc != '') {
    $html .= '<div class="">' . $desc . '</div>';
  }
  $html .= '</div>';
  $html .= '</div>';

  echo $html;

}