<?php

add_action('init', 'portfolio_register');  
  
function portfolio_register() {  

    $labels = array(
            'name' => __('Portfolio Items', 'infinite-framework'),
            'singular_name' => __('Portfolio Item', 'infinite-framework'),
            'add_new' => __( 'Add New Portfolio Item', 'infinite-framework' ),
            'add_new_item' => __( 'Add New Portfolio Item', 'infinite-framework' ),
            'edit_item' => __( 'Edit Portfolio Item', 'infinite-framework' ),
            'new_item' => __( 'New Portfolio Item', 'infinite-framework' )
        );

    $args = array(  
        'labels' => $labels, 
        'public' => true, 
        'show_ui' => true,
        'has_archive' => true,
        'rewrite' => true,  
        'supports' => array('title', 'editor', 'thumbnail', 'comments')  
       );  
  
    register_post_type( 'portfolio' , $args );  
}  

register_taxonomy("portfolio_category", array("portfolio"), array("hierarchical" => true, "label" => "Categories", "singular_label" => "Category", 'query_var' => true, "rewrite" => true));
register_taxonomy("portfolio_skills", array("portfolio"), array("hierarchical" => true, "label" => "Skills", "singular_label" => "Skill", 'query_var' => true, "rewrite" => true));


?>