<?php

add_shortcode('action', 'shortcode_action');
function shortcode_action($atts, $content = null) {
	$atts = shortcode_atts(
		array(
			'animation' => false
		), $atts);

	$animate = '';
	if($atts['animation']) $animate = ' data-animate="'.$atts['animation'].'" ';

	return '<div class="action"'.$animate.'>'.$content.'</div>';
}


add_shortcode('youtube', 'shortcode_youtube');
function shortcode_youtube($atts) {
	$atts = shortcode_atts(
		array(
			'videoid' => '',
			'width' => false,
			'height' => false,
			'animation' => false
		), $atts);
	
	$animate = '';
	if($atts['animation']) $animate = ' data-animate="'.$atts['animation'].'" ';
	if($atts['width'] && $atts['height']){
		$cssClass = ' no-fitvids';
	}else{
		$cssClass = '';
	}
	return '<div class="video'.$cssClass.'" '.$animate.'><iframe title="YouTube video player" width="' . $atts['width'] . '" height="' . $atts['height'] . '" src="http://www.youtube.com/embed/' . $atts['videoid'] . '" frameborder="0" allowfullscreen></iframe></div>';
}


add_shortcode('vimeo', 'shortcode_vimeo');
function shortcode_vimeo($atts) {
	$atts = shortcode_atts(
		array(
			'videoid' => '',
			'width' => false,
			'height' => false,
			'animation' => false
		), $atts);
	
	$animate = '';
	if($atts['animation']) $animate = ' data-animate="'.$atts['animation'].'" ';
	
	if($atts['width'] && $atts['height']){
		$cssClass = ' no-fitvids';
	}else{
		$cssClass = '';
	}

	return '<div class="video'.$cssClass.'" '.$animate.'><iframe src="http://player.vimeo.com/video/' . $atts['videoid'] . '" width="' . $atts['width'] . '" height="' . $atts['height'] . '" frameborder="0"></iframe></div>';
}

add_shortcode('row', 'shortcode_row');
function shortcode_row($atts, $content=null){
	$atts = shortcode_atts(
	array(
		'animation' => false
	), $atts);

	$animate = '';
	if($atts['animation']) $animate = ' data-animate="'.$atts['animation'].'" ';

	return '<div class="row"'.$animate.'>'.do_shortcode($content).'</div>';
}

add_shortcode('section', 'shortcode_section');
function shortcode_section($atts, $content=null){
	$atts = shortcode_atts(
		array(
			'color' => '#6a6767',
			'bgcolor' => '#ffffff',
			'bgimage' => false,
			'bordertop' => '#e5e5e5',
			'borderbottom' => '#e5e5e5',
			'shadowtop' => false,
			'shadowbottom' => false,
			'spacebottom' => '20px',
			'spacetop' => '20px',
			'animation' => false
		), $atts);
	extract($atts);
	if($bgimage){
		$style = 'background: url('.$bgimage.') scroll top center no-repeat '.$bgcolor.';background-size: cover;';
	}else{
		$style = 'background: '.$bgcolor.';';
	}
	$style .= 'color: '.$color.';';
	$style .= $borderbottom ? "border-bottom: 1px solid $borderbottom ;" : '';
	$style .= $bordertop ? "border-top: 1px solid $bordertop ;" : '';

	if($shadowtop && $shadowbottom){
		$style .= $shadowtop ? "box-shadow: inset 0 4px 14px -8px rgba(0,0,0,0.5), inset 0 -4px 14px -8px rgba(0,0,0,0.5);" : '';
	}elseif($shadowtop){
		$style .= $shadowtop ? "box-shadow: inset 0 4px 14px -8px rgba(0,0,0,0.5);" : '';
	}elseif($shadowbottom){
		$style .= $shadowbottom ? "box-shadow: inset 0 -4px 14px -8px rgba(0,0,0,0.5) ;" : '';
	}


	if(!$bordertop && !$borderbottom) $style .= 'box-shadow: none;';

	$style .= "padding-top: $spacetop ; padding-bottom: $spacebottom ;";

	$animate = '';
	if($atts['animation']) $animate = ' data-animate="'.$atts['animation'].'" ';

	return '<div class="row"><div class="span12 bg-section"'.$animate.' style="'.$style.'"><div class="row">'.do_shortcode($content).'</div></div></div>';
}

add_shortcode('onefull', 'shortcode_onefull');
function shortcode_onefull($atts, $content=null){

	$atts = shortcode_atts(
	array(
		'animation' => false
	), $atts);

	$animate = '';
	if($atts['animation']) $animate = ' data-animate="'.$atts['animation'].'" ';

	return '<div class="span12"'.$animate.'>'.do_shortcode($content).'</div>';
}

add_shortcode('onehalf', 'shortcode_onehalf');
function shortcode_onehalf($atts, $content=null){
	$atts = shortcode_atts(
	array(
		'animation' => false
	), $atts);

	$animate = '';
	if($atts['animation']) $animate = ' data-animate="'.$atts['animation'].'" ';

	return '<div class="span6"'.$animate.'>'.do_shortcode($content).'</div>';
}

add_shortcode('onethird', 'shortcode_onethird');
function shortcode_onethird($atts, $content=null){
	$atts = shortcode_atts(
	array(
		'animation' => false
	), $atts);

	$animate = '';
	if($atts['animation']) $animate = ' data-animate="'.$atts['animation'].'" ';

	return '<div class="span4"'.$animate.'>'.do_shortcode($content).'</div>';
}

add_shortcode('twothird', 'shortcode_twothird');
function shortcode_twothird($atts, $content=null){
	$atts = shortcode_atts(
	array(
		'animation' => false
	), $atts);

	$animate = '';
	if($atts['animation']) $animate = ' data-animate="'.$atts['animation'].'" ';

	return '<div class="span8"'.$animate.'>'.do_shortcode($content).'</div>';
}

add_shortcode('onefourth', 'shortcode_onefourth');
function shortcode_onefourth($atts, $content=null){
	$atts = shortcode_atts(
	array(
		'animation' => false
	), $atts);

	$animate = '';
	if($atts['animation']) $animate = ' data-animate="'.$atts['animation'].'" ';

	return '<div class="span3"'.$animate.'>'.do_shortcode($content).'</div>';
}

add_shortcode('twofourth', 'shortcode_twofourth');
function shortcode_twofourth($atts, $content=null){
	$atts = shortcode_atts(
	array(
		'animation' => false
	), $atts);

	$animate = '';
	if($atts['animation']) $animate = ' data-animate="'.$atts['animation'].'" ';

	return '<div class="span6"'.$animate.'>'.do_shortcode($content).'</div>';
}

add_shortcode('threefourth', 'shortcode_threefourth');
function shortcode_threefourth($atts, $content=null){
	$atts = shortcode_atts(
	array(
		'animation' => false
	), $atts);

	$animate = '';
	if($atts['animation']) $animate = ' data-animate="'.$atts['animation'].'" ';

	return '<div class="span9"'.$animate.'>'.do_shortcode($content).'</div>';
}

add_shortcode('fontawesome_icon', 'shortcode_fontawesomeicon');
function shortcode_fontawesomeicon($atts){
	$atts = shortcode_atts(
		array(
			'name' => '',
			'size' => 1,
			'type' => null,
			'color' => false,
			'style' => 'normal',
			'bgcolor' => '#e5e5e5',
			'animation' => false
		), $atts);
	$style='';
	if($atts['color']) 
		$style = 'color:'.$atts['color'].';';

	$animate = '';
	if($atts['animation']) $animate = ' data-animate="'.$atts['animation'].'" ';
	
	if($atts['type'] == 'action'){

		if($atts['style'] == 'normal')
			$atts['name'] = $atts['name'].' normal';
		else
			$style.= 'background-color:'.$atts['bgcolor'].';';

		return '<div class="action-icon-container"'.$animate.'><i class="'.$atts['name'].' action-icon icon-'.$atts['size'].'x" style="'.$style.'"></i></div>';
	}else{
		return '<i class="'.$atts['name'].' icon-'.$atts['size'].'x"'.$animate.' style="'.$style.'"></i>';;
	}

}


add_shortcode('button', 'shortcode_button');
function shortcode_button($atts, $content=null){
	$atts = shortcode_atts(
		array(
			'link' => '',
			'size' => '',
			'color' => '',
			'icon' => '',
			'animation' => false,
			'target' => '_self'
		), $atts);

	if($atts['color'] != '') $color = $atts['color'];
	$icon = $atts['icon'] != '' ? '<i class="'.$atts['icon'].'"></i> ' : '';

	$animate = '';
	if($atts['animation']) $animate = ' data-animate="'.$atts['animation'].'" ';

	return '<a href="'.$atts['link'].'" target="'.$atts['target'].'" class="button '.$atts['size'].' '.$color.'"'.$animate.'>'.$icon.$content.'</a>';
}

add_shortcode('pricingtable', 'shortcode_pricingtable');
function shortcode_pricingtable($atts, $content=null){
	$atts = shortcode_atts(
		array(
			'columns' => '',
			'featured_column' => ''
		), $atts);


	switch ($atts['columns']) {
		case 1:
			$cssClass = 'one-col';
			break;
		
		case 2:
			$cssClass = 'two-col';
			break;

		case 3:
			$cssClass = 'three-col';
			break;

		case 4:
			$cssClass = 'four-col';
			break;

		case 5:
			$cssClass = 'five-col';
			break;

		case 6:
			$cssClass = 'six-col';
			break;

		default:
			$cssClass = 'one-col';
			break;
	}


	$html = '';

	$content = do_shortcode( $content );

	preg_match_all('~\[col([^\[\]]*)]([^\[\]]+)\[/col]~', $content, $result);

	if(!empty($result) && !empty($result[0])) array_shift($result);

	$html = '<div class="pricing-table clearfix">';

	foreach ($result[0] as $index => $value) {
		$featured = ($atts['featured_column'] - 1) == $index ? ' featured' : '';
		$html .= '<div class="'.$cssClass.$featured.' price-item">';	

		$html .= do_shortcode('[pricingcolumn '.$value.']'.$result[1][$index].'[/pricingcolumn]');

		$html .= '</div>';
	}

	$html .= '</div>';

	return $html;
}


add_shortcode('pricingcolumn', 'shortcode_pricingcolumn');
function shortcode_pricingcolumn($atts, $content=null){
	$atts = shortcode_atts(
		array(
			'name' => '',
			'price' => ''
		), $atts);

	$html = '<div class="header">';
	$html .= '<h2>'.$atts['name'].'</h2>';
	$html .= '</div><div class="price">';
	$html .= '<h2>'.$atts['price'].'</h2>';
	$html .= $content;
	$html .= '</div>';

	return $html;
}


add_shortcode('v_image', 'shortcode_image');
function shortcode_image($atts, $content=null){
	$atts = shortcode_atts(
		array(
			'style' => 1,
			'animation' => false
		), $atts);

	switch ($atts['style']) {
		case 1:
			$cssClass= 'img-container1';
			break;
		
		case 2:
			$cssClass= 'img-container2';
			break;

		case 3:
			$cssClass= 'img-container3';
			break;

		default:
			$cssClass= 'img-container1';
			break;
	}

	$animate = '';
	if($atts['animation']) $animate = ' data-animate="'.$atts['animation'].'" ';

	$html = '<span class="'.$cssClass.'"'.$animate.'>';
	$html .= $content;
	$html .= '</span>';

	return $html;
}

add_shortcode('datatable', 'shortcode_datatable');
function shortcode_datatable($atts, $content=null){
	return '<div class="data-table">'.do_shortcode($content).'</div>';
}

add_shortcode('dropcap', 'shortcode_dropcap');
function shortcode_dropcap($atts, $content=null){
	return '<span class="dropcap">'.substr($content, 0, 1).'</span>'.do_shortcode(substr($content, 1));
}

add_shortcode('v_tabs', 'shortcode_vtabs');
function shortcode_vtabs($atts, $content=null){
	$atts = shortcode_atts(
		array(
			'active' => 1,
			'style' => 'normal',
			'type' => 'horizontal'
		), $atts);

	$pattern = get_shortcode_regex();

	$pattern = str_replace('v_tabs','v_tab',$pattern);

	$type = ($atts['type'] == 'vertical') ? 'tabs-left clearfix' : '' ;
	
	
	$html = '<div class="tab-container '.$atts['style'].' '.$type.'">';

	preg_match_all('/'.$pattern.'/s', $content, $matches);
	if(empty($matches[2])) return;

	$tabNav = '<ul class="nav nav-tabs">';
	$tabContent = '<div class="tab-content">';
	for ($i=0; $i < count($matches[2]); $i++) { 
		if (is_array($matches[2]) && $matches[2][$i] == 'v_tab') { 
            $attributes = shortcode_parse_atts($matches[3][$i]);
            $elemId = 'vtab-'.clean($attributes['title']).'-'.rand_string(5);
            $cssClass = (($i + 1) == $atts['active']) ? 'active' : '' ;
            $icon = (isset($attributes['icon']) && $attributes['icon'] != '') ? '<i class="'.$attributes['icon'].'"></i> ' : '';
            $tabNav .= sprintf('<li class="%s"><a href="#%s">%s</a></li>', $cssClass, $elemId, $icon.$attributes['title']);
            $tabContent .= sprintf('<div class="tab-pane %s" id="%s">%s</div>', $cssClass, $elemId, do_shortcode($matches[5][$i]));
		}
	}

	$tabNav .= '</ul>';
	$tabContent .= '</div></div>';


	$html .= $tabNav.$tabContent;

	return $html;
}

add_shortcode('v_toggles', 'shortcode_vtoggles');
function shortcode_vtoggles($atts, $content=null){
	$atts = shortcode_atts(
		array(
			'style' => 'normal',
			'type' => 'toggle'
		), $atts);

	$pattern = get_shortcode_regex();

	$pattern = str_replace('v_toggles','v_toggle',$pattern);
	preg_match_all('/'.$pattern.'/s', $content, $matches);

	if(empty($matches[2])) return;

	$parentId = 'vtoggle-container-'.rand_string(5);
	if($atts['type'] == 'accordion') $accordion = true;

	$html = '<div class="accordion" id="'.$parentId.'">';

	for ($i=0; $i < count($matches[2]); $i++) { 
		if (is_array($matches[2]) && $matches[2][$i] == 'v_toggle') {
		    $attributes = shortcode_parse_atts($matches[3][$i]);
		    $icon = '';
		    if(isset($attributes['icon']) && $attributes['icon']){
		    	$icon = sprintf('<i class="%s"></i>',$attributes['icon']);
		    }
            $elemId = 'vtoggle-'.clean($attributes['title']).'-'.rand_string(5);
            $expand = (isset($attributes['toggle']) && $attributes['toggle'] == 'on') ? ' in ' : '';
            $dataParent = ($accordion == true) ? ' data-parent="#'.$parentId.'" ' : '';
            $html .= sprintf('<div class="accordion-group %s"><div class="accordion-heading">', $atts['style']);
            $html .= sprintf('<a class="accordion-toggle" href="#%s" data-toggle="collapse"%s>', $elemId, $dataParent);
            $html .= sprintf('%s %s<i class="icon-chevron-right"></i><i class="icon-chevron-down"></i></a></div>', $icon, $attributes['title']);
            $html .= sprintf('<div id="%s" class="accordion-body collapse%s"><div class="accordion-inner">%s</div></div></div>', $elemId, $expand , do_shortcode($matches[5][$i]));
		}
	}


	$html .= '</div>';

	return $html;
}

add_shortcode('v_progress', 'shortcode_vprogress');
function shortcode_vprogress($atts, $content=null){
	$atts = shortcode_atts(
		array(
			'fill' => 60,
			'title' => '',
			'color' => of_get_option('link_color','#289dcc'),
			'icon' => false,
			'style' => 'striped',
			'active' => 'yes',
			'animation' => false
		), $atts);

	$striped = $atts['style'] == 'striped' ? 'progress-striped' : '';
	$icon = ($atts['icon'] != '') ? '<i class="'.$atts['icon'].'"></i> ' : '';
	$title = $icon.$atts['title'];
	$active = ($atts['active'] == 'yes') ? 'active' : '';

	$light = colourBrightness($atts['color'], 0.87);
	$dark = colourBrightness($atts['color'], -0.87);

	if($atts['style'] == 'striped')
		$style = 'width: '.$atts['fill'].'%;background-color: '.$atts['color'];
	else{
		$style = 'width: '.$atts['fill'].'%;background-color: '.$atts['color'];
		$style .= "
			background-image: -moz-linear-gradient(top, $light, $dark);
			background-image: -webkit-gradient(linear, 0 0, 0 100%, from($light), to($dark));
			background-image: -webkit-linear-gradient(top, $light, $dark);
			background-image: -o-linear-gradient(top, $light, $dark);
			background-image: linear-gradient(to bottom, $light, $dark)";
	}

	$animate = '';
	if($atts['animation']) $animate = ' data-animate="'.$atts['animation'].'" ';

	$html = '<div class="progress '.$striped.' active"'.$animate.'><div class="bar" style="'.$style.'"></div>';
	if(strlen($title) > 0)
		$html .= sprintf('<div class="progressbar-title">%s</div>', $title);

	$html .= '</div>';

	return $html;
}


add_shortcode('v_alert', 'shortcode_valert');
function shortcode_valert($atts, $content=null){
	$atts = shortcode_atts(
		array(
			'type' => 'notice',
			'close' => 'yes',
			'animation' => false,
			'color' => false
		), $atts);
	
	$cssClass = '';

	switch ($atts['type']) {
		
		case 'notice':
			$cssClass = 'alert-block';
			break;

		case 'info':
			$cssClass = 'alert-info';
			break;

		case 'success':
			$cssClass = 'alert-success';
			break;

		case 'warning':
			$cssClass = 'alert-error';
			break;
	}

	$style = '';
	$html = '';

	if($atts['color']){
		$style .= 'color:'.$atts['color'].';border-color:'.colourBrightness($atts['color'], 0.25).';background-color:'.colourBrightness($atts['color'], 0.18).';';
	}

	$animate = '';
	if($atts['animation']) $animate = ' data-animate="'.$atts['animation'].'" ';

	$html .= '<div class="alert '.$cssClass.'"'.$animate.' style="'.$style.'">';

	$html .= $atts['close'] == 'yes' ? '<button type="button" class="close" data-dismiss="alert"><i class="icon-remove"></i></button>' : '';

	$html .= do_shortcode($content).'</div>';

	return $html;
}


add_shortcode('v_testimonial', 'shortcode_vtestimonial');
function shortcode_vtestimonial($atts, $content=null){
	$atts = shortcode_atts(
		array(
			'avatar' => '',
			'user' => false,
			'designation' => '',
			'url' => false,
			'url_text' => '',
			'animation' => false

		), $atts);
	
	$animate = '';
	if($atts['animation']) $animate = ' data-animate="'.$atts['animation'].'" ';

	$html = '<div class="testimonial clearfix item"'.$animate.'><div class="popover top"><div class="arrow"></div><div class="popover-content">';
	$html .= do_shortcode($content);
	$html .= '</div></div><div class="avatar">';

	if($atts['avatar'])
		$html .= '<img src="'.$atts['avatar'].'" class="avatar"></div>';
	else
		$html .= get_avatar( 'email@example.com', 50 ).'</div>';

	$url = ($atts['url'] ? ' - <a href="'.$atts['url'].'">'.$atts['url_text'].'</a>': '');

	if($atts['user'])
		$html .= '<div class="user-info"><h5>'.$atts['user'].'</h5>'.$atts['designation'].$url.'</div>';

	$html .= '</div>';

	return $html;
}


add_shortcode('v_testimonial_slider', 'shortcode_vtestimonial_slider');
function shortcode_vtestimonial_slider($atts, $content=null){
	$atts = shortcode_atts(
		array(
		), $atts);
	
	$html = '<div class="carousel carousel-fade"><div class="carousel-inner">';
	$html .= do_shortcode($content);
	$html .= '</div></div>';

	$html = preg_replace('/<div class="testimonial clearfix item">/', '<div class="testimonial clearfix item active">', $html, 1);

	return str_replace("<br />",'',$html);
}


add_shortcode('v_tooltip', 'shortcode_vtooltip');
function shortcode_vtooltip($atts, $content=null){
	$atts = shortcode_atts(
		array(
			'tooltip' => '',
		), $atts);
	
	$html = '<a href="#" data-toggle="tooltip" title="" data-original-title="'.$atts['tooltip'].'">';
	$html .= do_shortcode($content);
	$html .= '</a>';

	return $html;
}

add_shortcode('recent_blog', 'shortcode_recent_blog');
function shortcode_recent_blog($atts, $content=null){
	$atts = shortcode_atts(
		array(
			'count' => 6,
			'categories' => false
		), $atts);

	$params = array('showposts' => $atts['count'],  'orderby' => 'post_date', 'order' => 'DESC');

	if($atts['categories']){
		$params['category_name'] = $atts['categories'];
	}

	$the_query = new WP_Query($params);
		
	$output = '<div class="clearfix">';	
	$i = 0;
	while ($the_query -> have_posts()) : $the_query -> the_post();

		$output .= '<li class="post-grid post-grid-third recent-post">';
		$output .=	'<div class="post-image">';

		if(has_post_thumbnail()){
			$output .=	'<a href="'.get_permalink().'">'. get_the_post_thumbnail(get_the_ID(),'blog-grid').'<i class="icon-search"></i></a>';
		}else{
			$output .= '<a href="'.get_permalink().'"><div class="grid-dummy-image"><img src="'.get_template_directory_uri().'/images/grid-dummy-image.jpg"><i class="icon-pencil"></i></div><i class="icon-search"></i></a>';
		}

		$output .= '</div>';
		$output .= '<div class="post-title">';
		$output .= get_the_title();
		$output .=	'</div>';
		$output .=	'</li>';

	$i++;

    endwhile;
    wp_reset_postdata();
    $output .=	'</div>';
	return $output;
}


add_shortcode('recent_portfolio', 'shortcode_recent_portfolio');
function shortcode_recent_portfolio($atts, $content=null){
	$atts = shortcode_atts(
		array(
			'count' => 6,
			'categories' => false
		), $atts);

	$params =  array('showposts' => $atts['count'], 'post_type' => 'portfolio', 'orderby' => 'post_date', 'order' => 'DESC');

	if($atts['categories']){
		$params['portfolio_category'] = $atts['categories'];
	}

	$the_query = new WP_Query($params);
		
	$output = '<div class="clearfix">';	

	while ($the_query -> have_posts()) : $the_query -> the_post();

		//if($i%3 == 0) $output .= '<div class="row">';

		$output .= '<li class="post-grid post-grid-third recent-post">';
		$output .=	'<div class="post-image">';

		if(has_post_thumbnail()){
			$output .=	'<a href="'.get_permalink().'">'. get_the_post_thumbnail(get_the_ID(),'blog-grid').'<i class="icon-search"></i></a>';
		}else{
			$output .= '<a href="'.get_permalink().'"><div class="grid-dummy-image"><i class="icon-pencil"></i></div><i class="icon-search dummy"></i></a>';
		}

		$output .= '</div>';
		$output .= '<div class="post-title">';
		$output .= get_the_title();
		$output .=	'</div>';
		$output .=	'</li>';

    endwhile;
    wp_reset_postdata();
    $output .=	'</div>';
	return $output;
}





function clean($string) {
   return preg_replace('/[^A-Za-z0-9]/', '', $string); // Removes special chars.
}


function rand_string( $length ) {
	$chars = "abcdefghijklmnopqrstuvwxyz";	
	$str = '';
	$size = strlen( $chars );
	for( $i = 0; $i < $length; $i++ ) {
		$str .= $chars[ rand( 0, $size - 1 ) ];
	}

	return $str;
}



function fix_my_gallery_wpse43558($output, $attr) {
    global $post;

    static $instance = 0;
    $instance++;


    /**
     *  will remove this since we don't want an endless loop going on here
     */
    // Allow plugins/themes to override the default gallery template.
    //$output = apply_filters('post_gallery', '', $attr);

    // We're trusting author input, so let's at least make sure it looks like a valid orderby statement
    if ( isset( $attr['orderby'] ) ) {
        $attr['orderby'] = sanitize_sql_orderby( $attr['orderby'] );
        if ( !$attr['orderby'] )
            unset( $attr['orderby'] );
    }

    extract(shortcode_atts(array(
        'order'      => 'ASC',
        'orderby'    => 'menu_order ID',
        'id'         => $post->ID,
        'itemtag'    => 'dl',
        'icontag'    => 'dt',
        'captiontag' => 'dd',
        'columns'    => 3,
        'size'       => 'thumbnail',
        'include'    => '',
        'exclude'    => ''
    ), $attr));

    $id = intval($id);
    if ( 'RAND' == $order )
        $orderby = 'none';

    if ( !empty($include) ) {
        $include = preg_replace( '/[^0-9,]+/', '', $include );
        $_attachments = get_posts( array('include' => $include, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );

        $attachments = array();
        foreach ( $_attachments as $key => $val ) {
            $attachments[$val->ID] = $_attachments[$key];
        }
    } elseif ( !empty($exclude) ) {
        $exclude = preg_replace( '/[^0-9,]+/', '', $exclude );
        $attachments = get_children( array('post_parent' => $id, 'exclude' => $exclude, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );
    } else {
        $attachments = get_children( array('post_parent' => $id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => $order, 'orderby' => $orderby) );
    }

    if ( empty($attachments) )
        return '';

    if ( is_feed() ) {
        $output = "\n";
        foreach ( $attachments as $att_id => $attachment )
            $output .= wp_get_attachment_link($att_id, $size, true) . "\n";
        return $output;
    }

    $itemtag = tag_escape($itemtag);
    $captiontag = tag_escape($captiontag);
    $columns = intval($columns);
    $itemwidth = $columns > 0 ? floor(100/$columns) : 100;
    $float = is_rtl() ? 'right' : 'left';

    $selector = "gallery-{$instance}";

    $gallery_style = $gallery_div = '';
    if ( apply_filters( 'use_default_gallery_style', true ) )
        /**
         * this is the css you want to remove
         *  #1 in question
         */
        /*
        $gallery_style = "
        <style type='text/css'>
            #{$selector} {
                margin: auto;
            }
            #{$selector} .gallery-item {
                float: {$float};
                margin-top: 10px;
                text-align: center;
                width: {$itemwidth}%;
            }
            #{$selector} img {
                border: 2px solid #cfcfcf;
            }
            #{$selector} .gallery-caption {
                margin-left: 0;
            }
        </style>
        <!-- see gallery_shortcode() in wp-includes/media.php -->";
        */
    $size_class = sanitize_html_class( $size );
    $gallery_div = "<div id='$selector' class='gallery-container galleryid-{$id} gallery-columns-{$columns} gallery-size-{$size_class}'>";
    $output = apply_filters( 'gallery_style', $gallery_style . "\n\t\t" . $gallery_div );

    $i = 0;
    foreach ( $attachments as $id => $attachment ) {
        $link = isset($attr['link']) && 'file' == $attr['link'] ? wp_get_attachment_link($id, $size, false, false) : wp_get_attachment_link($id, $size, false, false);

        $link = str_replace('<a', '<a class="gallery"', $link);

        $output .= "<{$itemtag} class='gallery-item'>";
        $output .= "
            <{$icontag} class='gallery-icon'>
                $link
            </{$icontag}>";
        /*
         * This is the caption part so i'll comment that out
         * #2 in question
         */
        /*
        if ( $captiontag && trim($attachment->post_excerpt) ) {
            $output .= "
                <{$captiontag} class='wp-caption-text gallery-caption'>
                " . wptexturize($attachment->post_excerpt) . "
                </{$captiontag}>";
        }*/
        $output .= "</{$itemtag}>";
        // if ( $columns > 0 && ++$i % $columns == 0 )
        //     $output .= '<br style="clear: both" />';
    }

    /**
     * this is the extra br you want to remove so we change it to jus closing div tag
     * #3 in question
     */
    /*$output .= "
            <br style='clear: both;' />
        </div>\n";
     */

    $output .= "</div>\n";
    return $output;
}
add_filter("post_gallery", "fix_my_gallery_wpse43558",10,2);