<?php

$css_animations = array(
					'type' => 'select',
					'label' => __('CSS Animation', 'textdomain'),
					'desc' => __('Select the CSS animation for this element, leave it blank if you dont want any animation', 'textdomain'),
					'options' => array(
						'' => '',
						'fadeIn' => 'fadeIn',
						'fromLeft' => 'fromLeft',
						'fromRight' => 'fromRight',
						'fromTop' => 'fromTop',
						'fromBottom' => 'fromBottom',
						'scaleUp' => 'scaleUp'
					)
				);


$portfolio_categories_db = get_categories('taxonomy=portfolio_category&post_type=portfolio');
$portfolio_categories = array();

foreach ($portfolio_categories_db as $category) {
	$portfolio_categories[$category->slug] = $category->name;
}

$blog_categories_db = get_categories();
$blog_categories = array();

foreach ($blog_categories_db as $category) {
	$blog_categories[$category->slug] = $category->name;
}


/*-----------------------------------------------------------------------------------*/
/*	Button Config
/*-----------------------------------------------------------------------------------*/

$shortcodes_framework['button'] = array(
	'no_preview' => false,
	'params' => array(
		'link' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Button URL', 'textdomain'),
			'desc' => __('Add the button\'s url eg http://example.com', 'textdomain')
		),
		'content' => array(
			'std' => 'Button',
			'type' => 'text',
			'label' => __('Button Text', 'textdomain'),
			'desc' => __('Add the Button\'s text', 'textdomain'),
		),
		'color' => array(
			'type' => 'select',
			'label' => __('Button Style', 'textdomain'),
			'desc' => __('Select the button\'s style, ie the button\'s color', 'textdomain'),
			'options' => array(
				'blue' => 'Blue',
				'light-blue' => 'Light Blue',
				'light-green' => 'Light Green',
				'green' => 'Green',				
				'red' => 'Red',
				'strawberry' => 'Strawberry',
				'purple' => 'Purple',
				'yellow' => 'Yellow',
				'orange' => 'Orange',
				'alt' => 'Alternate',
			)
		),
		'size' => array(
			'type' => 'select',
			'label' => __('Button Size', 'textdomain'),
			'desc' => __('Select the button\'s size', 'textdomain'),
			'options' => array(
				'small' => 'Small',
				'medium' => 'Medium',
				'big' => 'Large'
			)
		),
		'icon' => array(
			'type' => 'fontawesome_icon',
			'label' => __('Button Icon', 'textdomain'),
			'desc' => __('Select the button\'s Icon, it will be before the button text', 'textdomain')
		),
		'target' => array(
			'type' => 'select',
			'label' => __('Button Target', 'textdomain'),
			'desc' => __('_self = open in same window. _blank = open in new window', 'textdomain'),
			'options' => array(
				'_self' => '_self',
				'_blank' => '_blank'
			)
		),
		'animation' => $css_animations,
	),
	'shortcode' => '[button link="{{link}}" color="{{color}}" size="{{size}}" icon="{{icon}}" target="{{target}}" animation="{{animation}}"]{{content}}[/button]',
	'popup_title' => __('Insert Button Shortcode', 'textdomain')
);

/*-----------------------------------------------------------------------------------*/
/*	Alert Config
/*-----------------------------------------------------------------------------------*/

$shortcodes_framework['alert'] = array(
	'no_preview' => true,
	'params' => array(
		'type' => array(
			'type' => 'select',
			'label' => __('Alert Style', 'textdomain'),
			'desc' => __('Select the alert\'s type - Success, Notice, Info or Warning', 'textdomain'),
			'options' => array(
				'notice' => 'Notice',
				'info' => 'Info',
				'success' => 'Success',
				'warning' => 'Warning',
			)
		),
		'color' => array(
			'type' => 'color',
			'label' => __('Alert Color', 'textdomain'),
			'desc' => __('Color Of the Alert (This also generates the text & border color). This will override the colors set by the Alert Type!', 'textdomain'),
		),
		'close' => array(
			'type' => 'select',
			'label' => __('Show Close Icon ?', 'textdomain'),
			'desc' => __('Do you want to show a small close icon ? it will allow the users to close/dismiss the alert', 'textdomain'),
			'options' => array(
				'no' => 'No',
				'yes' => 'Yes'
			)
		),
		'animation' => $css_animations,
		'content' => array(
			'std' => 'Your Alert!',
			'type' => 'textarea',
			'label' => __('Alert Text', 'textdomain'),
			'desc' => __('Add the alert\'s text', 'textdomain'),
		),

		
	),
	'shortcode' => '[v_alert type="{{type}}" color="{{color}}" animation="{{animation}}" close="{{close}}"] {{content}} [/v_alert]',
	'popup_title' => __('Insert Alert Shortcode', 'textdomain')
);

/*-----------------------------------------------------------------------------------*/
/*	Toggle Config
/*-----------------------------------------------------------------------------------*/

$shortcodes_framework['toggle'] = array(
	'no_preview' => true,
	'params' => array(
		'style' => array(
			'type' => 'select',
			'label' => __('Toggle Style', 'textdomain'),
			'desc' => __('Toggle Style - Normal or Alternate ?', 'textdomain'),
			'options' => array(
				'normal' => 'Normal',
				'alt' => 'Alt'
			)
		),
		'type' => array(
			'type' => 'select',
			'label' => __('Toggle Type', 'textdomain'),
			'desc' => __('Do you want normal Toggles (All open or close at same time) or Accordion (only one toggle open at any time) ?', 'textdomain'),
			'options' => array(
				'toggle' => 'Toggle',
				'accordion' => 'Accordion'
			)
		),
		
	),
	'shortcode' => '[v_toggles style="{{style}}" type="{{type}}"] {{child_shortcode}} [/v_toggles]',
	'popup_title' => __('Insert Toggle Content Shortcode', 'textdomain'),

	'child_shortcode' => array(
        'params' => array(
            'title' => array(
                'std' => 'Title',
                'type' => 'text',
                'label' => __('Toggle Title', 'textdomain'),
                'desc' => __('Title of the Toggle', 'textdomain'),
            ),
            'icon' => array(
				'type' => 'fontawesome_icon',
				'label' => __('Button Icon', 'textdomain'),
				'desc' => __('Select the Icon, it will be dislayed along with the title', 'textdomain')
			),
            'content' => array(
                'std' => 'Toggle Content',
                'type' => 'textarea',
                'label' => __('Toggle Content', 'textdomain'),
                'desc' => __('Add the Toggle content', 'textdomain')
            )
        ),
        'shortcode' => '[v_toggle title="{{title}}" icon="{{icon}}"] {{content}} [/v_toggle]',
        'clone_button' => __('Add Toggle', 'textdomain')
    )

);

/*-----------------------------------------------------------------------------------*/
/*	Tabs Config
/*-----------------------------------------------------------------------------------*/

$shortcodes_framework['tabs'] = array(
    'params' => array(
		'style' => array(
			'type' => 'select',
			'label' => __('Tabs Style', 'textdomain'),
			'desc' => __('Tabs Style - Normal or Alternate ?', 'textdomain'),
			'options' => array(
				'normal' => 'Normal',
				'alt' => 'Alt'
			)
		),
		'type' => array(
			'type' => 'select',
			'label' => __('Horizontal or Vertical tabs ?', 'textdomain'),
			'desc' => __('', 'textdomain'),
			'options' => array(
				'horizontal' => 'Horizontal',
				'vertical' => 'Vertical'
			)
		),
		'active' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Active Tab', 'textdomain'),
			'desc' => __('Number of the tab you want to be active by default.', 'textdomain'),
		)
		
	),
    'no_preview' => true,
    'shortcode' => '[v_tabs style="{{style}}" type="{{type}}" active="{{active}}"] {{child_shortcode}} [/v_tabs]',
    'popup_title' => __('Insert Tab Shortcode', 'textdomain'),
    
    'child_shortcode' => array(
        'params' => array(
            'title' => array(
                'std' => 'Title',
                'type' => 'text',
                'label' => __('Tab Title', 'textdomain'),
                'desc' => __('Title of the tab', 'textdomain'),
            ),
            'icon' => array(
				'type' => 'fontawesome_icon',
				'label' => __('Button Icon', 'textdomain'),
				'desc' => __('Select the Icon, it will be dislayed along with the title', 'textdomain')
			),
            'content' => array(
                'std' => 'Tab Content',
                'type' => 'textarea',
                'label' => __('Tab Content', 'textdomain'),
                'desc' => __('Add the tabs content', 'textdomain')
            )
        ),
        'shortcode' => '[v_tab title="{{title}}" icon="{{icon}}"] {{content}} [/v_tab]',
        'clone_button' => __('Add Tab', 'textdomain')
    )
);

/*-----------------------------------------------------------------------------------*/
/*	Columns Config
/*-----------------------------------------------------------------------------------*/

$shortcodes_framework['columns'] = array(
	'params' => array(),
	'shortcode' => ' {{child_shortcode}} ', // as there is no wrapper shortcode
	'popup_title' => __('Insert Columns Shortcode', 'textdomain'),
	'no_preview' => true,
	
	// child shortcode is clonable & sortable
	'child_shortcode' => array(
		'params' => array(
			'column' => array(
				'type' => 'select',
				'label' => __('Column Type', 'textdomain'),
				'desc' => __('Select the type, ie width of the column.', 'textdomain'),
				'options' => array(
					'zilla_one_third' => 'One Third',
					'zilla_one_third_last' => 'One Third Last',
					'zilla_two_third' => 'Two Thirds',
					'zilla_two_third_last' => 'Two Thirds Last',
					'zilla_one_half' => 'One Half',
					'zilla_one_half_last' => 'One Half Last',
					'zilla_one_fourth' => 'One Fourth',
					'zilla_one_fourth_last' => 'One Fourth Last',
					'zilla_three_fourth' => 'Three Fourth',
					'zilla_three_fourth_last' => 'Three Fourth Last',
					'zilla_one_fifth' => 'One Fifth',
					'zilla_one_fifth_last' => 'One Fifth Last',
					'zilla_two_fifth' => 'Two Fifth',
					'zilla_two_fifth_last' => 'Two Fifth Last',
					'zilla_three_fifth' => 'Three Fifth',
					'zilla_three_fifth_last' => 'Three Fifth Last',
					'zilla_four_fifth' => 'Four Fifth',
					'zilla_four_fifth_last' => 'Four Fifth Last',
					'zilla_one_sixth' => 'One Sixth',
					'zilla_one_sixth_last' => 'One Sixth Last',
					'zilla_five_sixth' => 'Five Sixth',
					'zilla_five_sixth_last' => 'Five Sixth Last'
				)
			),
			'content' => array(
				'std' => '',
				'type' => 'textarea',
				'label' => __('Column Content', 'textdomain'),
				'desc' => __('Add the column content.', 'textdomain'),
			)
		),
		'shortcode' => '[{{column}}] {{content}} [/{{column}}] ',
		'clone_button' => __('Add Column', 'textdomain')
	)
);


/*-----------------------------------------------------------------------------------*/
/*	Youtube Config
/*-----------------------------------------------------------------------------------*/


$shortcodes_framework['youtube'] = array(
	'no_preview' => true,
	'params' => array(
		'videoid' => array(
			'std' => '3P-m2cBCJSk',
			'type' => 'text',
			'label' => __('Youtube Video ID', 'textdomain'),
			'desc' => __('The video ID, this will be in the youtube video url ("https://www.youtube.com/watch?v=3P-m2cBCJSk" - 3P-m2cBCJSk is the video id in this url)', 'textdomain'),
		),
		'width' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Width of the video', 'textdomain'),
			'desc' => __('Width of the video, leave it blank if you want a responsive video which will fit 100% to it\'s parent container', 'textdomain'),
		),
		'height' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Height of the video', 'textdomain'),
			'desc' => __('Height of the video, leave it blank if you want a responsive video which will resize based on the width', 'textdomain'),
		),
		'animation' => $css_animations
		
	),
	'shortcode' => '[youtube videoid="{{videoid}}" width="{{width}}" height="{{height}}" animation="{{animation}}" ]',
	'popup_title' => __('Insert Youtube Video Shortcode', 'textdomain')
);


/*-----------------------------------------------------------------------------------*/
/*	Vimeo Config
/*-----------------------------------------------------------------------------------*/


$shortcodes_framework['vimeo'] = array(
	'no_preview' => true,
	'params' => array(
		'videoid' => array(
			'std' => '68688220',
			'type' => 'text',
			'label' => __('Vimeo Video ID', 'textdomain'),
			'desc' => __('The video ID, this will be in the vimeo video url ("http://player.vimeo.com/video/68688220" - 68688220 is the video id in this URL)', 'textdomain'),
		),
		'width' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Width of the video', 'textdomain'),
			'desc' => __('Width of the video, leave it blank if you want a responsive video which will fit 100% to it\'s parent container', 'textdomain'),
		),
		'height' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Height of the video', 'textdomain'),
			'desc' => __('Height of the video, leave it blank if you want a responsive video which will resize based on the width', 'textdomain'),
		),
		'animation' => $css_animations
		
	),
	'shortcode' => '[vimeo videoid="{{videoid}}" width="{{width}}" height="{{height}}" animation="{{animation}}" ]',
	'popup_title' => __('Insert Youtube Video Shortcode', 'textdomain')
);


/*-----------------------------------------------------------------------------------*/
/*	Fontawesome Icon
/*-----------------------------------------------------------------------------------*/


$shortcodes_framework['fontawesome_icon'] = array(
	'no_preview' => true,
	'params' => array(
		'name' => array(
			'std' => '',
			'type' => 'fontawesome_icon',
			'label' => __('Fontawesome Icon', 'textdomain'),
			'desc' => __('Select the Icon', 'textdomain'),
		),
		'size' => array(
			'type' => 'select',
			'label' => __('Icon Size', 'textdomain'),
			'desc' => __('Select the Icon Size', 'textdomain'),
			'options' => array(
				'1' => '1',
				'2' => '2',
				'3' => '3',
				'4' => '4',
				'5' => '5',
				'6' => '6'
			)
		),
		'type' => array(
			'type' => 'select',
			'label' => __('Icon Type', 'textdomain'),
			'desc' => __('Action Icon or a normal Icon ?', 'textdomain'),
			'options' => array(
				'' => '',
				'action' => 'action',
			)
		),
		'color' => array(
			'type' => 'color',
			'label' => __('Icon Color', 'textdomain'),
			'desc' => __('Color Of the Icon', 'textdomain'),
		),
		'style' => array(
			'type' => 'select',
			'label' => __('Icon Style - Normal or Alternate ?', 'textdomain'),
			'desc' => __('Normal Icon will have the neat hover effect, but the background color can\'t be changed, If you wat a different background color change this to alternate but you can have the hover effect', 'textdomain'),
			'options' => array(
				'normal' => 'normal',
				'alternate' => 'alternate',
			)
		),	
		'bgcolor' => array(
			'type' => 'color',
			'label' => __('Icon Background Color', 'textdomain'),
			'desc' => __('Background color Of the Icon, choose this options only of you set the type as "Action" and the style as "alternate"', 'textdomain'),
		)	
	),
	'shortcode' => '[fontawesome_icon name="{{name}}" size="{{size}}" type="{{type}}" color="{{color}}" style="{{style}}" bgcolor="{{bgcolor}}"]',
	'popup_title' => __('Insert Youtube Video Shortcode', 'textdomain')
);

/*-----------------------------------------------------------------------------------*/
/*	Action Block
/*-----------------------------------------------------------------------------------*/

$shortcodes_framework['action'] = array(

'no_preview' => true,
	'params' => array(
		'content' => array(
			'std' => 'Action text',
			'type' => 'textarea',
			'label' => __('Action Block', 'textdomain'),
			'desc' => __('Add the Action block\'s text', 'textdomain'),
		),
		'animation' => $css_animations
	),
	'shortcode' => '[action animation="{{animation}}"]{{content}}[/action]',
	'popup_title' => __('Insert Action Block Shortcode', 'textdomain')
);



/*-----------------------------------------------------------------------------------*/
/*	Dropcap
/*-----------------------------------------------------------------------------------*/

$shortcodes_framework['dropcap'] = array(

'no_preview' => true,
	'params' => array(
		'content' => array(
			'std' => 'Text',
			'type' => 'textarea',
			'label' => __('Text', 'textdomain'),
			'desc' => __('Add text', 'textdomain'),
		)
	),
	'shortcode' => '[dropcap]{{content}}[/dropcap]',
	'popup_title' => __('Insert Dropcap Shortcode', 'textdomain')
);


/*-----------------------------------------------------------------------------------*/
/*	Datatable
/*-----------------------------------------------------------------------------------*/

$shortcodes_framework['datatable'] = array(

'no_preview' => true,
	'params' => array(
		'content' => array(
			'std' => 'Insert table here',
			'type' => 'textarea',
			'label' => __('Table', 'textdomain'),
			'desc' => __('', 'textdomain'),
		)
	),
	'shortcode' => '[datatable]{{content}}[/datatable]',
	'popup_title' => __('Insert Datatable Shortcode', 'textdomain')
);


/*-----------------------------------------------------------------------------------*/
/*	Pricing Table
/*-----------------------------------------------------------------------------------*/

$shortcodes_framework['pricingtable'] = array(
    'params' => array(
		'columns' => array(
			'type' => 'select',
			'label' => __('No. of Columns', 'textdomain'),
			'desc' => __('Total number of coluns in this Pricing table', 'textdomain'),
			'options' => array(
				'1' => '1',
				'2' => '2',
				'3' => '3',
				'4' => '4',
				'5' => '5',
				'6' => '6'
			)
		),
		'featured_column' => array(
			'type' => 'text',
			'label' => __('Featured Column', 'textdomain'),
			'desc' => __('The Column # of the featured Column', 'textdomain'),
		),

		
	),
    'no_preview' => true,
    'shortcode' => '[pricingtable columns="{{columns}}" featured_column="{{featured_column}}"] {{child_shortcode}} [/pricingtable]',
    'popup_title' => __('Insert Pricing table Shortcode', 'textdomain'),
    
    'child_shortcode' => array(
        'params' => array(
            'name' => array(
                'std' => '',
                'type' => 'text',
                'label' => __('Name', 'textdomain'),
                'desc' => __('Name for this column', 'textdomain'),
            ),
            'price' => array(
                'std' => '',
                'type' => 'text',
                'label' => __('Price', 'textdomain'),
                'desc' => __('Price for this column', 'textdomain')
            ),
	            'content' => array(
				'std' => 'Column Content',
				'type' => 'textarea',
				'label' => __('Content', 'textdomain'),
				'desc' => __('Content for this column', 'textdomain'),
			),
        ),
        'shortcode' => '[pricingcolumn name="{{name}}" price="{{price}}"] {{content}} [/pricingcolumn]',
        'clone_button' => __('Add Column', 'textdomain')
    )
);

/*-----------------------------------------------------------------------------------*/
/*	Progress Bar
/*-----------------------------------------------------------------------------------*/


$shortcodes_framework['progressbar'] = array(
	'no_preview' => true,
	'params' => array(
		'title' => array(
            'std' => '',
            'type' => 'text',
            'label' => __('Title', 'textdomain'),
            'desc' => __('Title for the progressbar', 'textdomain')
        ),
        'fill' => array(
            'std' => '40',
            'type' => 'text',
            'label' => __('Fill %', 'textdomain'),
            'desc' => __('Fill % for the progressbar, enter a value between 1 to 100', 'textdomain')
        ),
		'icon' => array(
			'std' => '',
			'type' => 'fontawesome_icon',
			'label' => __('Fontawesome Icon', 'textdomain'),
			'desc' => __('Select the Icon', 'textdomain'),
		),
		'color' => array(
			'std' => of_get_option('link_color','#289dcc'),
			'type' => 'color',
			'label' => __('Color', 'textdomain'),
			'desc' => __('Color Of the Progressbar', 'textdomain'),
		),
		'style' => array(
			'type' => 'select',
			'label' => __('Style', 'textdomain'),
			'desc' => __('Normal or Striped ?', 'textdomain'),
			'options' => array(
				'striped' => 'Striped',
				'normal' => 'Normal'
			)
		),
		'active' => array(
			'type' => 'select',
			'label' => __('Active', 'textdomain'),
			'desc' => __('Setting this option to yes will turn on the progress bar animation', 'textdomain'),
			'options' => array(
				'no' => 'no',
				'yes' => 'yes',
			)
		),
		'animation' => $css_animations
	),
	'shortcode' => '[v_progress title="{{title}}" fill="{{fill}}" icon="{{icon}}" color="{{color}}" style="{{style}}" active="{{active}}" animation="{{animation}}"]',
	'popup_title' => __('Insert Progress bar Shortcode', 'textdomain')
);


/*-----------------------------------------------------------------------------------*/
/*	Testimonial
/*-----------------------------------------------------------------------------------*/


$shortcodes_framework['testimonial'] = array(
	'no_preview' => true,
	'params' => array(
		'user' => array(
            'std' => '',
            'type' => 'text',
            'label' => __('Name', 'textdomain'),
            'desc' => __('Full name of the user', 'textdomain')
        ),
        'designation' => array(
            'type' => 'text',
            'label' => __('Designtaion', 'textdomain'),
            'desc' => __('Designation of the user', 'textdomain')
        ),
		'avatar' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('User Avatar', 'textdomain'),
			'desc' => __('URL of the avatar image', 'textdomain'),
		),
		'url' => array(
			'std' => '',
			'type' => 'text',
			'label' => __('Website URL', 'textdomain'),
			'desc' => __('Website URL of the user', 'textdomain'),
		),
		'url_text' => array(
			'type' => 'text',
			'label' => __('Website URL Text', 'textdomain'),
			'desc' => __('Text to display for the URL', 'textdomain')
		),
		'animation' => $css_animations,
		'content' => array(
			'std' => 'Testimonial Content',
			'type' => 'textarea',
			'label' => __('Content', 'textdomain'),
			'desc' => __('', 'textdomain'),
		)
	),
	'shortcode' => '[v_testimonial user="{{user}}" designation="{{designation}}" avatar="{{avatar}}" url="{{url}}" url_text="{{url_text}}" animation="{{animation}}"] {{content}} [/v_testimonial]',
	'popup_title' => __('Insert Testimonial Shortcode', 'textdomain')
);


/*-----------------------------------------------------------------------------------*/
/*	Testimonial
/*-----------------------------------------------------------------------------------*/


$shortcodes_framework['testimonial_slider'] = array(
	'no_preview' => true,
	'params' => array(
		'content' => array(
			'std' => 'INSERT TESTIMONIALS HERE',
			'type' => 'textarea',
			'label' => __('Text', 'textdomain'),
			'desc' => __('Add text', 'textdomain'),
		)
	),
	'shortcode' => '[v_testimonial_slider]{{content}}[/v_testimonial_slider]',
	'popup_title' => __('Insert Testimonial Slider Shortcode', 'textdomain')
);


/*-----------------------------------------------------------------------------------*/
/*	Recent Blog
/*-----------------------------------------------------------------------------------*/


$shortcodes_framework['recent_blog'] = array(
	'no_preview' => true,
	'params' => array(
        'count' => array(
            'std' => '6',
            'type' => 'text',
            'label' => __('Post Count', 'textdomain'),
            'desc' => __('No. of posts you want to display', 'textdomain')
        ),
		'categories' => array(
			'type' => 'checkboxgroup',
			'label' => __('Categories', 'textdomain'),
			'desc' => __('Select the categories you want to display the posts from, dont select anything to display from all categories', 'textdomain'),
			'options' => $blog_categories
		)
	),
	'shortcode' => '[recent_blog count="{{count}}" categories="{{categories}}"]',
	'popup_title' => __('Insert Recent Blog Posts Shortcode', 'textdomain')
);


/*-----------------------------------------------------------------------------------*/
/*	Recent Portfolio
/*-----------------------------------------------------------------------------------*/


$shortcodes_framework['recent_portfolio'] = array(
	'no_preview' => true,
	'params' => array(
        'count' => array(
            'std' => '6',
            'type' => 'text',
            'label' => __('Portfolio Count', 'textdomain'),
            'desc' => __('No. of portfolio items you want to display', 'textdomain')
        ),
		'categories' => array(
			'type' => 'checkboxgroup',
			'label' => __('Categories', 'textdomain'),
			'desc' => __('Select the categories you want to display the portfolio items from, dont select anything to display from all categories', 'textdomain'),
			'options' => $portfolio_categories
		)
	),
	'shortcode' => '[recent_portfolio count="{{count}}" categories="{{categories}}"]',
	'popup_title' => __('Insert Recent Portfolio Items Shortcode', 'textdomain')
);

?>