<?php

// load wordpress
require_once('get_wp.php');

class shortcodes_framework
{
	var	$conf;
	var	$popup;
	var	$params;
	var	$shortcode;
	var $cparams;
	var $cshortcode;
	var $popup_title;
	var $no_preview;
	var $has_child;
	var	$output;
	var	$errors;

	// --------------------------------------------------------------------------

	function __construct( $popup )
	{
		if( file_exists( dirname(__FILE__) . '/config.php' ) )
		{
			$this->conf = dirname(__FILE__) . '/config.php';
			$this->popup = $popup;
			
			$this->formate_shortcode();
		}
		else
		{
			$this->append_error('Config file does not exist');
		}
	}
	
	// --------------------------------------------------------------------------
	
	function formate_shortcode()
	{
		// get config file
		require_once( $this->conf );
		
		if( isset( $shortcodes_framework[$this->popup]['child_shortcode'] ) )
			$this->has_child = true;
		
		if( isset( $shortcodes_framework ) && is_array( $shortcodes_framework ) )
		{
			// get shortcode config stuff
			$this->params = $shortcodes_framework[$this->popup]['params'];
			$this->shortcode = $shortcodes_framework[$this->popup]['shortcode'];
			$this->popup_title = $shortcodes_framework[$this->popup]['popup_title'];
			
			// adds stuff for js use			
			$this->append_output( "\n" . '<div id="_zilla_shortcode" class="hidden">' . $this->shortcode . '</div>' );
			$this->append_output( "\n" . '<div id="_zilla_popup" class="hidden">' . $this->popup . '</div>' );
			
			if( isset( $shortcodes_framework[$this->popup]['no_preview'] ) && $shortcodes_framework[$this->popup]['no_preview'] )
			{
				//$this->append_output( "\n" . '<div id="_zilla_preview" class="hidden">false</div>' );
				$this->no_preview = true;		
			}
			
			// filters and excutes params
			foreach( $this->params as $pkey => $param )
			{
				// prefix the fields names and ids with zilla_
				$pkey = 'zilla_' . $pkey;
				
				// popup form row start
				$row_start  = '<tbody>' . "\n";
				$row_start .= '<tr class="form-row">' . "\n";
				$row_start .= '<td class="label">' . $param['label'] . '</td>' . "\n";
				$row_start .= '<td class="field">' . "\n";
				
				// popup form row end
				$row_end	= '<span class="zilla-form-desc">' . $param['desc'] . '</span>' . "\n";
				$row_end   .= '</td>' . "\n";
				$row_end   .= '</tr>' . "\n";					
				$row_end   .= '</tbody>' . "\n";
				
				switch( $param['type'] )
				{
					case 'text' :
						
						// prepare
						$output  = $row_start;
						$output .= '<input type="text" class="zilla-form-text zilla-input" name="' . $pkey . '" id="' . $pkey . '" value="' . $param['std'] . '" />' . "\n";
						$output .= $row_end;
						
						// append
						$this->append_output( $output );
						
						break;
						
					case 'textarea' :
						
						// prepare
						$output  = $row_start;
						$output .= '<textarea rows="10" cols="30" name="' . $pkey . '" id="' . $pkey . '" class="zilla-form-textarea zilla-input">' . $param['std'] . '</textarea>' . "\n";
						$output .= $row_end;
						
						// append
						$this->append_output( $output );
						
						break;
						
					case 'select' :
						
						// prepare
						$output  = $row_start;
						$output .= '<select name="' . $pkey . '" id="' . $pkey . '" class="zilla-form-select zilla-input">' . "\n";
						
						foreach( $param['options'] as $value => $option )
						{
							$output .= '<option value="' . $value . '">' . $option . '</option>' . "\n";
						}
						
						$output .= '</select>' . "\n";
						$output .= $row_end;
						
						// append
						$this->append_output( $output );
						
						break;
						
					case 'checkbox' :
						
						// prepare
						$output  = $row_start;
						$output .= '<label for="' . $pkey . '" class="zilla-form-checkbox">' . "\n";
						$output .= '<input type="checkbox" class="zilla-input" name="' . $pkey . '" id="' . $pkey . '" ' . ( $param['std'] ? 'checked' : '' ) . ' />' . "\n";
						$output .= ' ' . $param['checkbox_text'] . '</label>' . "\n";
						$output .= $row_end;
						
						// append
						$this->append_output( $output );
						
						break;

					case 'checkboxgroup' :

						// prepare
						$output  = $row_start;
						
						foreach( $param['options'] as $value => $option )
						{
							$output .= '<label for="' . $pkey .'_' . $value . '" class="zilla-form-checkbox">' . "\n";
							$output .= '<input type="checkbox" class="zilla-input chkgroup" name="' . $pkey . '" id="' . $pkey .'_'.$value. '" ' . ( $param['std'] ? 'checked' : '' ) . ' value="'.$value.'"/>' . "\n";
							$output .= ' ' . $option . '</label>' . "\n";
						}
						
						$output .= $row_end;

						// append
						$this->append_output( $output );

						break;

					case 'fontawesome_icon' :
						
						// prepare
						$output  = $row_start;
						$output .= '<input type="hidden" class="zilla-form-text zilla-input" name="' . $pkey . '" id="' . $pkey . '" value="' . $param['std'] . '" />' . "\n";
						$output .= '<span class="fontawesome-icon-preview"></span><a class="fontawesome-icon-select button" href="#">Select Icon</a>';
						$output .= '<div class="modal-window-fontawesome" style="display:none">';
						$output .= $this->generate_fontawesome_icons();
						$output .= '</div>';
						$output .= $row_end;
						
						// append
						$this->append_output( $output );
						
						break;


					case 'color' :
						
						// prepare
						$output  = $row_start;
						$output .= '<input type="text" class="zilla-form-color zilla-input" name="' . $pkey . '" id="' . $pkey . '" value="' . $param['std'] . '" />' . "\n";
						$output .= $row_end;
						
						// append
						$this->append_output( $output );
						
						break;
				}
			}
			
			// checks if has a child shortcode
			if( isset( $shortcodes_framework[$this->popup]['child_shortcode'] ) )
			{
				// set child shortcode
				$this->cparams = $shortcodes_framework[$this->popup]['child_shortcode']['params'];
				$this->cshortcode = $shortcodes_framework[$this->popup]['child_shortcode']['shortcode'];
			
				// popup parent form row start
				$prow_start  = '<tbody>' . "\n";
				$prow_start .= '<tr class="form-row has-child">' . "\n";
				$prow_start .= '<td><a href="#" id="form-child-add" class="button-secondary">' . $shortcodes_framework[$this->popup]['child_shortcode']['clone_button'] . '</a>' . "\n";
				$prow_start .= '<div class="child-clone-rows">' . "\n";
				
				// for js use
				$prow_start .= '<div id="_zilla_cshortcode" class="hidden">' . $this->cshortcode . '</div>' . "\n";
				
				// start the default row
				$prow_start .= '<div class="child-clone-row">' . "\n";
				$prow_start .= '<ul class="child-clone-row-form">' . "\n";
				
				// add $prow_start to output
				$this->append_output( $prow_start );
				
				foreach( $this->cparams as $cpkey => $cparam )
				{
				
					// prefix the fields names and ids with zilla_
					$cpkey = 'zilla_' . $cpkey;
					
					// popup form row start
					$crow_start  = '<li class="child-clone-row-form-row">' . "\n";
					$crow_start .= '<div class="child-clone-row-label">' . "\n";
					$crow_start .= '<label>' . $cparam['label'] . '</label>' . "\n";
					$crow_start .= '</div>' . "\n";
					$crow_start .= '<div class="child-clone-row-field">' . "\n";
					
					// popup form row end
					$crow_end	  = '<span class="child-clone-row-desc">' . $cparam['desc'] . '</span>' . "\n";
					$crow_end   .= '</div>' . "\n";
					$crow_end   .= '</li>' . "\n";
					
					switch( $cparam['type'] )
					{
						case 'text' :
							
							// prepare
							$coutput  = $crow_start;
							$coutput .= '<input type="text" class="zilla-form-text zilla-cinput" name="' . $cpkey . '" id="' . $cpkey . '" value="' . $cparam['std'] . '" />' . "\n";
							$coutput .= $crow_end;
							
							// append
							$this->append_output( $coutput );
							
							break;
							
						case 'textarea' :
							
							// prepare
							$coutput  = $crow_start;
							$coutput .= '<textarea rows="10" cols="30" name="' . $cpkey . '" id="' . $cpkey . '" class="zilla-form-textarea zilla-cinput">' . $cparam['std'] . '</textarea>' . "\n";
							$coutput .= $crow_end;
							
							// append
							$this->append_output( $coutput );
							
							break;
							
						case 'select' :
							
							// prepare
							$coutput  = $crow_start;
							$coutput .= '<select name="' . $cpkey . '" id="' . $cpkey . '" class="zilla-form-select zilla-cinput">' . "\n";
							
							foreach( $cparam['options'] as $value => $option )
							{
								$coutput .= '<option value="' . $value . '">' . $option . '</option>' . "\n";
							}
							
							$coutput .= '</select>' . "\n";
							$coutput .= $crow_end;
							
							// append
							$this->append_output( $coutput );
							
							break;
							
						case 'checkbox' :
							
							// prepare
							$coutput  = $crow_start;
							$coutput .= '<label for="' . $cpkey . '" class="zilla-form-checkbox">' . "\n";
							$coutput .= '<input type="checkbox" class="zilla-cinput" name="' . $cpkey . '" id="' . $cpkey . '" ' . ( $cparam['std'] ? 'checked' : '' ) . ' />' . "\n";
							$coutput .= ' ' . $cparam['checkbox_text'] . '</label>' . "\n";
							$coutput .= $crow_end;
							
							// append
							$this->append_output( $coutput );
							
							break;

						case 'fontawesome_icon' :
						
							// prepare
							$coutput  = $crow_start;
							$coutput .= '<input type="hidden" class="zilla-form-text zilla-cinput" name="' . $cpkey . '" id="' . $cpkey . '" value="' . $cparam['std'] . '" />' . "\n";
							$coutput .= '<span class="fontawesome-icon-preview"></span><a class="fontawesome-icon-select button" href="#">Select Icon</a>';
							$coutput .= '<div class="modal-window-fontawesome" style="display:none">';
							$coutput .= $this->generate_fontawesome_icons();
							$coutput .= '</div>';
							$coutput .= $crow_end;
							
							// append
							$this->append_output( $coutput );
							
							break;
					}
				}
				
				// popup parent form row end
				$prow_end    = '</ul>' . "\n";		// end .child-clone-row-form
				$prow_end   .= '<a href="#" class="child-clone-row-remove">Remove</a>' . "\n";
				$prow_end   .= '</div>' . "\n";		// end .child-clone-row
				
				
				$prow_end   .= '</div>' . "\n";		// end .child-clone-rows
				$prow_end   .= '</td>' . "\n";
				$prow_end   .= '</tr>' . "\n";					
				$prow_end   .= '</tbody>' . "\n";
				
				// add $prow_end to output
				$this->append_output( $prow_end );
			}			
		}
	}


	function generate_fontawesome_icons(){
		$icons = array('icon-compass', 'icon-collapse', 'icon-collapse-top', 'icon-expand', 'icon-euro', 'icon-gbp', 'icon-usd', 'icon-inr', 'icon-jpy', 'icon-cny', 'icon-krw', 'icon-btc', 'icon-file', 'icon-file-text', 'icon-sort-by-alphabet', 'icon-sort-by-alphabet-alt', 'icon-sort-by-attributes', 'icon-sort-by-attributes-alt', 'icon-sort-by-order', 'icon-sort-by-order-alt', 'icon-thumbs-up', 'icon-thumbs-down', 'icon-youtube-sign', 'icon-youtube', 'icon-xing', 'icon-xing-sign', 'icon-youtube-play', 'icon-dropbox', 'icon-stackexchange', 'icon-instagram', 'icon-flickr', 'icon-adn', 'icon-bitbucket', 'icon-bitbucket-sign', 'icon-tumblr', 'icon-tumblr-sign', 'icon-long-arrow-down', 'icon-long-arrow-up', 'icon-long-arrow-left', 'icon-long-arrow-right', 'icon-apple', 'icon-windows', 'icon-android', 'icon-linux', 'icon-dribbble', 'icon-skype', 'icon-foursquare', 'icon-trello', 'icon-female', 'icon-male', 'icon-gittip', 'icon-sun', 'icon-moon', 'icon-archive', 'icon-bug', 'icon-vk', 'icon-weibo', 'icon-renren', 'icon-adjust', 'icon-anchor', 'icon-asterisk', 'icon-ban-circle', 'icon-bar-chart', 'icon-barcode', 'icon-beaker', 'icon-beer', 'icon-bell', 'icon-bell-alt', 'icon-bolt', 'icon-book', 'icon-bookmark', 'icon-bookmark-empty', 'icon-briefcase', 'icon-building', 'icon-bullhorn', 'icon-bullseye', 'icon-calendar', 'icon-calendar-empty', 'icon-camera', 'icon-camera-retro', 'icon-certificate', 'icon-check', 'icon-check-empty', 'icon-check-minus', 'icon-check-sign', 'icon-circle', 'icon-circle-blank', 'icon-cloud', 'icon-cloud-download', 'icon-cloud-upload', 'icon-code', 'icon-code-fork', 'icon-coffee', 'icon-cog', 'icon-cogs', 'icon-collapse-alt', 'icon-comment', 'icon-comment-alt', 'icon-comments', 'icon-comments-alt', 'icon-credit-card', 'icon-crop', 'icon-dashboard', 'icon-desktop', 'icon-download', 'icon-download-alt', 'icon-edit', 'icon-edit-sign', 'icon-ellipsis-horizontal', 'icon-ellipsis-vertical', 'icon-envelope', 'icon-envelope-alt', 'icon-eraser', 'icon-exchange', 'icon-exclamation', 'icon-exclamation-sign', 'icon-expand-alt', 'icon-external-link', 'icon-external-link-sign', 'icon-eye-close', 'icon-eye-open', 'icon-facetime-video', 'icon-fighter-jet', 'icon-film', 'icon-filter', 'icon-fire', 'icon-fire-extinguisher', 'icon-flag', 'icon-flag-alt', 'icon-flag-checkered', 'icon-folder-close', 'icon-folder-close-alt', 'icon-folder-open', 'icon-folder-open-alt', 'icon-food', 'icon-frown', 'icon-gamepad', 'icon-gear', 'icon-gears', 'icon-gift', 'icon-glass', 'icon-globe', 'icon-group', 'icon-hdd', 'icon-headphones', 'icon-heart', 'icon-heart-empty', 'icon-home', 'icon-inbox', 'icon-info', 'icon-info-sign', 'icon-key', 'icon-keyboard', 'icon-laptop', 'icon-leaf', 'icon-legal', 'icon-lemon', 'icon-level-down', 'icon-level-up', 'icon-lightbulb', 'icon-location-arrow', 'icon-lock', 'icon-magic', 'icon-magnet', 'icon-mail-forward', 'icon-mail-reply', 'icon-mail-reply-all', 'icon-map-marker', 'icon-meh', 'icon-microphone', 'icon-microphone-off', 'icon-minus', 'icon-minus-sign', 'icon-minus-sign-alt', 'icon-mobile-phone', 'icon-money', 'icon-move', 'icon-music', 'icon-off', 'icon-ok', 'icon-ok-circle', 'icon-ok-sign', 'icon-pencil', 'icon-phone', 'icon-phone-sign', 'icon-picture', 'icon-plane', 'icon-plus', 'icon-plus-sign', 'icon-plus-sign-alt', 'icon-power-off', 'icon-print', 'icon-pushpin', 'icon-puzzle-piece', 'icon-qrcode', 'icon-question', 'icon-question-sign', 'icon-quote-left', 'icon-quote-right', 'icon-random', 'icon-refresh', 'icon-remove', 'icon-remove-circle', 'icon-remove-sign', 'icon-reorder', 'icon-reply', 'icon-reply-all', 'icon-resize-horizontal', 'icon-resize-vertical', 'icon-retweet', 'icon-road', 'icon-rocket', 'icon-rss', 'icon-rss-sign', 'icon-screenshot', 'icon-search', 'icon-share', 'icon-share-alt', 'icon-share-sign', 'icon-shield', 'icon-shopping-cart', 'icon-sign-blank', 'icon-signal', 'icon-signin', 'icon-signout', 'icon-sitemap', 'icon-smile', 'icon-sort', 'icon-sort-down', 'icon-sort-up', 'icon-spinner', 'icon-star', 'icon-star-empty', 'icon-star-half', 'icon-star-half-empty', 'icon-star-half-full', 'icon-subscript', 'icon-suitcase', 'icon-superscript', 'icon-tablet', 'icon-tag', 'icon-tags', 'icon-tasks', 'icon-terminal', 'icon-thumbs-down-alt', 'icon-thumbs-up-alt', 'icon-ticket', 'icon-time', 'icon-tint', 'icon-trash', 'icon-trophy', 'icon-truck', 'icon-umbrella', 'icon-unchecked', 'icon-unlock', 'icon-unlock-alt', 'icon-upload', 'icon-upload-alt', 'icon-user', 'icon-volume-down', 'icon-volume-off', 'icon-volume-up', 'icon-warning-sign', 'icon-wrench', 'icon-zoom-in', 'icon-zoom-out', 'icon-align-center', 'icon-align-justify', 'icon-align-left', 'icon-align-right', 'icon-bold', 'icon-columns', 'icon-copy', 'icon-cut', 'icon-file-alt', 'icon-file-text-alt', 'icon-font', 'icon-indent-left', 'icon-indent-right', 'icon-italic', 'icon-link', 'icon-list', 'icon-list-alt', 'icon-list-ol', 'icon-list-ul', 'icon-paper-clip', 'icon-paperclip', 'icon-paste', 'icon-repeat', 'icon-rotate-left', 'icon-rotate-right', 'icon-save', 'icon-strikethrough', 'icon-table', 'icon-text-height', 'icon-text-width', 'icon-th', 'icon-th-large', 'icon-th-list', 'icon-underline', 'icon-undo', 'icon-unlink', 'icon-angle-down', 'icon-angle-left', 'icon-angle-right', 'icon-angle-up', 'icon-arrow-down', 'icon-arrow-left', 'icon-arrow-right', 'icon-arrow-up', 'icon-caret-down', 'icon-caret-left', 'icon-caret-right', 'icon-caret-up', 'icon-chevron-down', 'icon-chevron-left', 'icon-chevron-right', 'icon-chevron-sign-down', 'icon-chevron-sign-left', 'icon-chevron-sign-right', 'icon-chevron-sign-up', 'icon-chevron-up', 'icon-circle-arrow-down', 'icon-circle-arrow-left', 'icon-circle-arrow-right', 'icon-circle-arrow-up', 'icon-double-angle-down', 'icon-double-angle-left', 'icon-double-angle-right', 'icon-double-angle-up', 'icon-hand-down', 'icon-hand-left', 'icon-hand-right', 'icon-hand-up', 'icon-backward', 'icon-eject', 'icon-fast-backward', 'icon-fast-forward', 'icon-forward', 'icon-fullscreen', 'icon-pause', 'icon-play', 'icon-play-circle', 'icon-play-sign', 'icon-resize-full', 'icon-resize-small', 'icon-step-backward', 'icon-step-forward', 'icon-stop', 'icon-css3', 'icon-facebook', 'icon-facebook-sign', 'icon-github', 'icon-github-alt', 'icon-github-sign', 'icon-google-plus', 'icon-google-plus-sign', 'icon-html5', 'icon-linkedin', 'icon-linkedin-sign', 'icon-maxcdn', 'icon-pinterest', 'icon-pinterest-sign', 'icon-twitter', 'icon-twitter-sign', 'icon-ambulance', 'icon-h-sign', 'icon-hospital', 'icon-medkit', 'icon-stethoscope', 'icon-user-md');

		$html = '';

		foreach ($icons as $icon) {
			$html .= "<i class='$icon fontawesome-preview-icon'></i>";
		}

		return $html;

	}
	
	// --------------------------------------------------------------------------
	
	function append_output( $output )
	{
		$this->output = $this->output . "\n" . $output;		
	}
	
	// --------------------------------------------------------------------------
	
	function reset_output( $output )
	{
		$this->output = '';
	}
	
	// --------------------------------------------------------------------------
	
	function append_error( $error )
	{
		$this->errors = $this->errors . "\n" . $error;
	}
}

?>