<?php
add_action('widgets_init', 'infinite_recentportfolio_widget');

function infinite_recentportfolio_widget()
{
	register_widget('infinite_RecentPortfolio_Widget');
}

class infinite_RecentPortfolio_Widget extends WP_Widget {
	
	function infinite_RecentPortfolio_Widget()
	{
		$widget_ops = array('classname' => 'infinite-recent-portfolio clearfix', 'description' => '');

		$control_ops = array('id_base' => 'infinite-recent-portfolio-widget');

		$this->WP_Widget('infinite-recent-portfolio-widget', 'Infinite Recent Portfolio', $widget_ops, $control_ops);
	}
	
	function widget($args, $instance)
	{
		extract($args);
		$title = apply_filters('widget_title', $instance['title']);
		$count = $instance['count'];

		echo $before_widget;

		if($title) {
			echo $before_title.$title.$after_title;
		}
		?>

		<?php $the_query = new WP_Query( array('showposts' => $count, 'post_type' => 'portfolio', 'orderby' => 'post_date', 'order' => 'DESC')); ?>
	    <?php while ($the_query -> have_posts()) : $the_query -> the_post(); ?>
				<a href="<?php the_permalink() ?>" title="<?php the_title() ?>" class="recent-portfolio">
					<?php has_post_thumbnail() ? the_post_thumbnail('thumb-large') : print '<i class="icon-minus-sign icon-4"></i> <img src="'.get_stylesheet_directory_uri().'/images/related-post-dummy.jpg">';?>
				</a>
	    <?php endwhile;wp_reset_query();?>

	<?php
		echo $after_widget;
	}
	
	function update($new_instance, $old_instance)
	{
		$instance = $old_instance;

		$instance['title'] = strip_tags($new_instance['title']);
		$instance['count'] = $new_instance['count'];
		
		return $instance;
	}

	function form($instance)
	{
		$defaults = array('title' => 'Recent Portfolio Items');
		$instance = wp_parse_args((array) $instance, $defaults); ?>
		
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>">Title:</label>
			<input class="widefat" style="width: 216px;" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" value="<?php echo isset($instance['title']) ? $instance['title'] : ''; ?>" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id('count'); ?>">Count:</label>
			<input class="widefat" style="width: 216px;" id="<?php echo $this->get_field_id('count'); ?>" name="<?php echo $this->get_field_name('count'); ?>" value="<?php echo isset($instance['count']) ? $instance['count'] : ''; ?>" />
		</p>

	<?php
	}
}
?>