<!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js" >
<head>
	<meta charset="<?php bloginfo('charset') ?>">
	<title><?php wp_title('|', true, 'right') ?><?php bloginfo('name') ?></title>
	<meta name="description" content="<?php bloginfo('description') ?>">
	<meta name="author" content="">

	<!-- Mobile Specific Meta -->
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	

	<?php 

		$heading_font = of_get_option('heading_google_font');
		if($heading_font && $heading_font != 'None'){
			$google_heading = str_replace(' ', '+', $heading_font);
			$heading_font = "'".$heading_font."', ".'Helvetica, Arial, sans-serif';
		}else{
			$heading_font = of_get_option('heading_normal_font');
		}

		$body_font = of_get_option('body_google_font');
		if($body_font && $body_font != 'None'){
			$google_body = str_replace(' ', '+', $body_font);
			$body_font = "'".$body_font."', ".'Helvetica, Arial, sans-serif';
		}else{
			$body_font = of_get_option('body_normal_font');
		}
	?>

	<!-- Stylesheets -->
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url') ?>" />

	<!--[if lt IE 9]>
		<script src="http://html5shim.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->

	<!--[if lt IE 8]>
		<link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri() ?>/css/font-awesome-ie7.min.css">
	<![endif]-->

	<!-- Favicon and Apple Icons -->
	<link rel="icon" type="image/png" href="<?php echo of_get_option('favicon',get_stylesheet_directory_uri().'/images/favicon.png') ?>"> 
	<link rel="apple-touch-icon" href="<?php print IMAGES; ?>/icons/apple-touch-icon.png">
	<link rel="apple-touch-icon" sizes="72x72" href="<?php print IMAGES; ?>/icons/apple-touch-icon-72x72.png">
	<link rel="apple-touch-icon" sizes="114x114" href="<?php print IMAGES; ?>/icons/apple-touch-icon-114x114.png">


	<?php if(isset($google_heading) || isset($google_body)) : ?>
		<?php wp_enqueue_style('googleFonts', 'http://fonts.googleapis.com/css?family='.(isset($google_heading) ? $google_heading.'|' : '').(isset($google_body) ? $google_body : '')) ?>
	<?php endif; ?>

	<?php if (of_get_option('layout_model','yes') == 'yes' && of_get_option('layout_width', 1170 ) == 1170) : ?>
		<?php wp_enqueue_style('responsive-1170', get_stylesheet_directory_uri().'/css/responsive-1170.css') ?>
	<?php elseif (of_get_option('layout_model') == 'no' && of_get_option('layout_width', 1170 ) == 1170) : ?>
		<?php wp_enqueue_style('1170', get_stylesheet_directory_uri().'/css/1170.css') ?>
	<?php endif; ?>

	<?php if(of_get_option('layout_model','yes') == 'yes'): ?>
		<?php wp_enqueue_style('responsive', get_stylesheet_directory_uri().'/css/responsive.css') ?>
	<?php endif; ?>	


	<?php wp_head() ?>

	<?php load_template( get_stylesheet_directory() . '/custom.css.php' );?>

	<?php if ( is_singular() && get_option( 'thread_comments' ) )    wp_enqueue_script( 'comment-reply' ); ?>

	<?php if(of_get_option('google_analytics')) echo '<script>'.of_get_option('google_analytics').'</script>'?>

	<!--[if IE]>
		<link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri(); ?>/css/ie.css" media="screen" type="text/css" />
	<![endif]-->

</head>

<body <?php body_class(); ?>> 
<div id="<?php echo of_get_option('layout_type', 'fluid-layout')  ?>" class="<?php echo of_get_option('header_layout', 'fixed-header') ?>">
	<header class="main-header clearfix">
		<div class="container-wrapper">
			<div class="container">
				<div class="row">
					<div class="span3 logo-container">
						<h1 class="logo"><a href="<?php echo home_url(); ?>"><img src="<?php echo of_get_option('logo',get_stylesheet_directory_uri().'/images/logo.png') ?>" alt="<?php bloginfo('name') ?> | <?php bloginfo('description') ?>"></a></h1>
					</div> <!-- end span3 -->
					<div class="span9 menu-container">
						<nav class="main-menu">
							<?php wp_nav_menu(array(
								'theme_location' => 'main-menu'
							)); ?>
						</nav> <!-- end nav -->

						<!-- Mobile Menu -->
						<div class="main-menu-sma dl-menuwrapper" id="dl-menu">
							<button class="dl-trigger"><?php _e('Open Menu','infinite-framework') ?></button>
							<?php wp_nav_menu(array(
								'theme_location' => 'main-menu',
								'menu_class' => 'dl-menu',
								'container' => false,
								'walker' => new infinite_mob_menu()
							)); ?>
						</div>

					</div> <!-- end span9 -->
				</div><!-- end row -->
			</div> <!-- end container -->
			<?php do_action('infinite_main_header'); ?>
		</div> <!-- end container-wrapper -->
	</header> <!-- end header -->

<div class="container-wrapper clearfix fixed-header-fix">
	<div class="container">
		<div class="row">
		</div>
	</div>
</div>

<?php if(is_home() && !is_front_page()): ?>
	<div class="container-wrapper" id="title-container">
		<div class="container title-container">
			<div class="row">
				<div class="span4"><h3><?php the_title(); ?></h3></div>
				<div class="span8">
					<?php kriesi_breadcrumb();	 ?>
				</div>
			</div>
		</div>
	</div>
<?php //endif; ?>

<?php elseif(is_single() && (!function_exists('is_bbpress') || !is_bbpress()) && (!function_exists('is_woocommerce') || !is_woocommerce())): ?>
	<div class="container-wrapper" id="title-container">
		<div class="container title-container">
			<div class="row">
				<div class="span4"><h3><?php the_title(); ?></h3></div>
				<div class="span8">
					<?php kriesi_breadcrumb();	 ?>
				</div>
			</div>
		</div>
	</div>
<?php //endif; ?>

<?php elseif(is_search()): ?>
	<div class="container-wrapper" id="title-container">
		<div class="container title-container">
			<div class="row">
				<div class="span4"><h3><?php _e('Search results for: ', 'infinite-framework'); ?> <?php echo get_search_query(); ?></h3></div>
				<div class="span8">
					<?php kriesi_breadcrumb();	 ?>
				</div>
			</div>
		</div>
	</div>
<?php //endif; ?>

<?php elseif(is_archive() && (!function_exists('is_woocommerce') || !is_woocommerce()) && (!class_exists('bbPress') && !is_bbpress())): ?>
	<div class="container-wrapper" id="title-container">
		<div class="container title-container">
			<div class="row">
				<div class="span4"><h3><?php single_cat_title(); ?></h3></div>
				<div class="span8">
					<?php kriesi_breadcrumb();	 ?>
				</div>
			</div>
		</div>
	</div>
<?php //endif; ?>

<?php elseif( (function_exists('is_cart') && is_cart()) || (function_exists('is_checkout') && is_checkout()) ): ?>

	<div class="container-wrapper" id="title-container">
		<div class="container title-container">
			<div class="row">
				<div class="span4"><h3><?php the_title(); ?></h3></div>
				<div class="span8">
					<?php kriesi_breadcrumb();	 ?>
				</div>
			</div>
		</div>
	</div>

<?php elseif(function_exists('is_woocommerce') && is_woocommerce() && of_get_option('woocommerce_show_titlebar', 'Yes') == 'Yes') : ?>

	<?php 
	if(is_shop()) $title  = get_option('woocommerce_shop_page_title');

		$shop_id = woocommerce_get_page_id('shop');
		if($shop_id && $shop_id != -1)
		{
			if(empty($title)) $title = get_the_title($shop_id);
			$t_link = get_permalink($shop_id);
		}

		if(!$title) $title  = __("Shop",'infinite-framework');

		if(is_product_category() || is_product_tag())
        {
            global $wp_query;
            $tax = $wp_query->get_queried_object();
            $title = $tax->name;
            $t_link = '';
        } 
        ?>

	<div class="container-wrapper" id="title-container">
		<div class="container title-container">
			<div class="row">
				<div class="span4"><h3><?php echo $title ?></h3></div>
				<div class="span8">
					<?php woocommerce_breadcrumb(array(
													'before' => '<li>', 
													'after' => '</li>',
													'delimiter' => '',
													'wrap_before' => '<ul class="breadcrumbs">',
													'wrap_after' => '</ul>'
													));	 ?>
				</div>
			</div>
		</div>
	</div>

<?php elseif(class_exists('bbPress') && is_bbpress() && of_get_option('forum_show_titlebar', 'Yes') == 'Yes') : ?>

	<div class="container-wrapper" id="title-container">
		<div class="container title-container">
			<div class="row">
				<div class="span4"><h3><?php echo of_get_option('bbpress_root_title', 'Forum') ?></h3></div>
				<div class="span8">
					<?php $bbpress_breadcrum_options = array(
														'before' => '<ul class="breadcrumbs">',
														'after' => '</ul>',
														'home_text' => 'Home', 
														'sep' => '', 
														'sep_before' => '', 
														'sep_after' => '', 
														'root_text' => of_get_option('bbpress_root_title', 'Forum'), 
														'include_root' => true
														); 
							if(is_archive()) $bbpress_breadcrum_options['include_current'] = false;

														?>
					<?php echo bbp_get_breadcrumb($bbpress_breadcrum_options) ?>
				</div>
			</div>
		</div>
	</div>

<?php endif; ?>