<?php
/**
 * A unique identifier is defined to store the options in the database and reference them from the theme.
 * By default it uses the theme name, in lowercase and without spaces, but this can be changed if needed.
 * If the identifier changes, it'll appear as if the options have been reset.
 */

function optionsframework_option_name() {

	// This gets the theme name from the stylesheet
	$themename = get_option( 'stylesheet' );
	$themename = preg_replace("/\W/", "_", strtolower($themename) );

	$optionsframework_settings = get_option( 'optionsframework' );
	$optionsframework_settings['id'] = $themename;
	update_option( 'optionsframework', $optionsframework_settings );
}


/**
 * Defines an array of options that will be used to generate the settings page and be saved in the database.
 * When creating the 'id' fields, make sure to use all lowercase and no spaces.
 *
 * If you are making your theme translatable, you should replace 'options_framework_theme'
 * with the actual text domain for your theme.  Read more:
 * http://codex.wordpress.org/Function_Reference/load_theme_textdomain
 */

function optionsframework_options() {

	

$google_fonts = array(
		'None' => 'None',
		'ABeeZee' => 'ABeeZee',
		'Abel' => 'Abel',
		'Abril Fatface' => 'Abril Fatface',
		'Aclonica' => 'Aclonica',
		'Acme' => 'Acme',
		'Actor' => 'Actor',
		'Adamina' => 'Adamina',
		'Advent Pro' => 'Advent Pro',
		'Aguafina Script' => 'Aguafina Script',
		'Akronim' => 'Akronim',
		'Aladin' => 'Aladin',
		'Aldrich' => 'Aldrich',
		'Alef' => 'Alef',
		'Alegreya' => 'Alegreya',
		'Alegreya SC' => 'Alegreya SC',
		'Alex Brush' => 'Alex Brush',
		'Alfa Slab One' => 'Alfa Slab One',
		'Alice' => 'Alice',
		'Alike' => 'Alike',
		'Alike Angular' => 'Alike Angular',
		'Allan' => 'Allan',
		'Allerta' => 'Allerta',
		'Allerta Stencil' => 'Allerta Stencil',
		'Allura' => 'Allura',
		'Almendra' => 'Almendra',
		'Almendra Display' => 'Almendra Display',
		'Almendra SC' => 'Almendra SC',
		'Amarante' => 'Amarante',
		'Amaranth' => 'Amaranth',
		'Amatic SC' => 'Amatic SC',
		'Amethysta' => 'Amethysta',
		'Anaheim' => 'Anaheim',
		'Andada' => 'Andada',
		'Andika' => 'Andika',
		'Angkor' => 'Angkor',
		'Annie Use Your Telescope' => 'Annie Use Your Telescope',
		'Anonymous Pro' => 'Anonymous Pro',
		'Antic' => 'Antic',
		'Antic Didone' => 'Antic Didone',
		'Antic Slab' => 'Antic Slab',
		'Anton' => 'Anton',
		'Arapey' => 'Arapey',
		'Arbutus' => 'Arbutus',
		'Arbutus Slab' => 'Arbutus Slab',
		'Architects Daughter' => 'Architects Daughter',
		'Archivo Black' => 'Archivo Black',
		'Archivo Narrow' => 'Archivo Narrow',
		'Arimo' => 'Arimo',
		'Arizonia' => 'Arizonia',
		'Armata' => 'Armata',
		'Artifika' => 'Artifika',
		'Arvo' => 'Arvo',
		'Asap' => 'Asap',
		'Asset' => 'Asset',
		'Astloch' => 'Astloch',
		'Asul' => 'Asul',
		'Atomic Age' => 'Atomic Age',
		'Aubrey' => 'Aubrey',
		'Audiowide' => 'Audiowide',
		'Autour One' => 'Autour One',
		'Average' => 'Average',
		'Average Sans' => 'Average Sans',
		'Averia Gruesa Libre' => 'Averia Gruesa Libre',
		'Averia Libre' => 'Averia Libre',
		'Averia Sans Libre' => 'Averia Sans Libre',
		'Averia Serif Libre' => 'Averia Serif Libre',
		'Bad Script' => 'Bad Script',
		'Balthazar' => 'Balthazar',
		'Bangers' => 'Bangers',
		'Basic' => 'Basic',
		'Battambang' => 'Battambang',
		'Baumans' => 'Baumans',
		'Bayon' => 'Bayon',
		'Belgrano' => 'Belgrano',
		'Belleza' => 'Belleza',
		'BenchNine' => 'BenchNine',
		'Bentham' => 'Bentham',
		'Berkshire Swash' => 'Berkshire Swash',
		'Bevan' => 'Bevan',
		'Bigelow Rules' => 'Bigelow Rules',
		'Bigshot One' => 'Bigshot One',
		'Bilbo' => 'Bilbo',
		'Bilbo Swash Caps' => 'Bilbo Swash Caps',
		'Bitter' => 'Bitter',
		'Black Ops One' => 'Black Ops One',
		'Bokor' => 'Bokor',
		'Bonbon' => 'Bonbon',
		'Boogaloo' => 'Boogaloo',
		'Bowlby One' => 'Bowlby One',
		'Bowlby One SC' => 'Bowlby One SC',
		'Brawler' => 'Brawler',
		'Bree Serif' => 'Bree Serif',
		'Bubblegum Sans' => 'Bubblegum Sans',
		'Bubbler One' => 'Bubbler One',
		'Buda' => 'Buda',
		'Buenard' => 'Buenard',
		'Butcherman' => 'Butcherman',
		'Butterfly Kids' => 'Butterfly Kids',
		'Cabin' => 'Cabin',
		'Cabin Condensed' => 'Cabin Condensed',
		'Cabin Sketch' => 'Cabin Sketch',
		'Caesar Dressing' => 'Caesar Dressing',
		'Cagliostro' => 'Cagliostro',
		'Calligraffitti' => 'Calligraffitti',
		'Cambo' => 'Cambo',
		'Candal' => 'Candal',
		'Cantarell' => 'Cantarell',
		'Cantata One' => 'Cantata One',
		'Cantora One' => 'Cantora One',
		'Capriola' => 'Capriola',
		'Cardo' => 'Cardo',
		'Carme' => 'Carme',
		'Carrois Gothic' => 'Carrois Gothic',
		'Carrois Gothic SC' => 'Carrois Gothic SC',
		'Carter One' => 'Carter One',
		'Caudex' => 'Caudex',
		'Cedarville Cursive' => 'Cedarville Cursive',
		'Ceviche One' => 'Ceviche One',
		'Changa One' => 'Changa One',
		'Chango' => 'Chango',
		'Chau Philomene One' => 'Chau Philomene One',
		'Chela One' => 'Chela One',
		'Chelsea Market' => 'Chelsea Market',
		'Chenla' => 'Chenla',
		'Cherry Cream Soda' => 'Cherry Cream Soda',
		'Cherry Swash' => 'Cherry Swash',
		'Chewy' => 'Chewy',
		'Chicle' => 'Chicle',
		'Chivo' => 'Chivo',
		'Cinzel' => 'Cinzel',
		'Cinzel Decorative' => 'Cinzel Decorative',
		'Clicker Script' => 'Clicker Script',
		'Coda' => 'Coda',
		'Coda Caption' => 'Coda Caption',
		'Codystar' => 'Codystar',
		'Combo' => 'Combo',
		'Comfortaa' => 'Comfortaa',
		'Coming Soon' => 'Coming Soon',
		'Concert One' => 'Concert One',
		'Condiment' => 'Condiment',
		'Content' => 'Content',
		'Contrail One' => 'Contrail One',
		'Convergence' => 'Convergence',
		'Cookie' => 'Cookie',
		'Copse' => 'Copse',
		'Corben' => 'Corben',
		'Courgette' => 'Courgette',
		'Cousine' => 'Cousine',
		'Coustard' => 'Coustard',
		'Covered By Your Grace' => 'Covered By Your Grace',
		'Crafty Girls' => 'Crafty Girls',
		'Creepster' => 'Creepster',
		'Crete Round' => 'Crete Round',
		'Crimson Text' => 'Crimson Text',
		'Croissant One' => 'Croissant One',
		'Crushed' => 'Crushed',
		'Cuprum' => 'Cuprum',
		'Cutive' => 'Cutive',
		'Cutive Mono' => 'Cutive Mono',
		'Damion' => 'Damion',
		'Dancing Script' => 'Dancing Script',
		'Dangrek' => 'Dangrek',
		'Dawning of a New Day' => 'Dawning of a New Day',
		'Days One' => 'Days One',
		'Delius' => 'Delius',
		'Delius Swash Caps' => 'Delius Swash Caps',
		'Delius Unicase' => 'Delius Unicase',
		'Della Respira' => 'Della Respira',
		'Denk One' => 'Denk One',
		'Devonshire' => 'Devonshire',
		'Didact Gothic' => 'Didact Gothic',
		'Diplomata' => 'Diplomata',
		'Diplomata SC' => 'Diplomata SC',
		'Domine' => 'Domine',
		'Donegal One' => 'Donegal One',
		'Doppio One' => 'Doppio One',
		'Dorsa' => 'Dorsa',
		'Dosis' => 'Dosis',
		'Dr Sugiyama' => 'Dr Sugiyama',
		'Droid Sans' => 'Droid Sans',
		'Droid Sans Mono' => 'Droid Sans Mono',
		'Droid Serif' => 'Droid Serif',
		'Duru Sans' => 'Duru Sans',
		'Dynalight' => 'Dynalight',
		'EB Garamond' => 'EB Garamond',
		'Eagle Lake' => 'Eagle Lake',
		'Eater' => 'Eater',
		'Economica' => 'Economica',
		'Electrolize' => 'Electrolize',
		'Elsie' => 'Elsie',
		'Elsie Swash Caps' => 'Elsie Swash Caps',
		'Emblema One' => 'Emblema One',
		'Emilys Candy' => 'Emilys Candy',
		'Engagement' => 'Engagement',
		'Englebert' => 'Englebert',
		'Enriqueta' => 'Enriqueta',
		'Erica One' => 'Erica One',
		'Esteban' => 'Esteban',
		'Euphoria Script' => 'Euphoria Script',
		'Ewert' => 'Ewert',
		'Exo' => 'Exo',
		'Expletus Sans' => 'Expletus Sans',
		'Fanwood Text' => 'Fanwood Text',
		'Fascinate' => 'Fascinate',
		'Fascinate Inline' => 'Fascinate Inline',
		'Faster One' => 'Faster One',
		'Fasthand' => 'Fasthand',
		'Federant' => 'Federant',
		'Federo' => 'Federo',
		'Felipa' => 'Felipa',
		'Fenix' => 'Fenix',
		'Finger Paint' => 'Finger Paint',
		'Fjalla One' => 'Fjalla One',
		'Fjord One' => 'Fjord One',
		'Flamenco' => 'Flamenco',
		'Flavors' => 'Flavors',
		'Fondamento' => 'Fondamento',
		'Fontdiner Swanky' => 'Fontdiner Swanky',
		'Forum' => 'Forum',
		'Francois One' => 'Francois One',
		'Freckle Face' => 'Freckle Face',
		'Fredericka the Great' => 'Fredericka the Great',
		'Fredoka One' => 'Fredoka One',
		'Freehand' => 'Freehand',
		'Fresca' => 'Fresca',
		'Frijole' => 'Frijole',
		'Fruktur' => 'Fruktur',
		'Fugaz One' => 'Fugaz One',
		'GFS Didot' => 'GFS Didot',
		'GFS Neohellenic' => 'GFS Neohellenic',
		'Gabriela' => 'Gabriela',
		'Gafata' => 'Gafata',
		'Galdeano' => 'Galdeano',
		'Galindo' => 'Galindo',
		'Gentium Basic' => 'Gentium Basic',
		'Gentium Book Basic' => 'Gentium Book Basic',
		'Geo' => 'Geo',
		'Geostar' => 'Geostar',
		'Geostar Fill' => 'Geostar Fill',
		'Germania One' => 'Germania One',
		'Gilda Display' => 'Gilda Display',
		'Give You Glory' => 'Give You Glory',
		'Glass Antiqua' => 'Glass Antiqua',
		'Glegoo' => 'Glegoo',
		'Gloria Hallelujah' => 'Gloria Hallelujah',
		'Goblin One' => 'Goblin One',
		'Gochi Hand' => 'Gochi Hand',
		'Gorditas' => 'Gorditas',
		'Goudy Bookletter 1911' => 'Goudy Bookletter 1911',
		'Graduate' => 'Graduate',
		'Grand Hotel' => 'Grand Hotel',
		'Gravitas One' => 'Gravitas One',
		'Great Vibes' => 'Great Vibes',
		'Griffy' => 'Griffy',
		'Gruppo' => 'Gruppo',
		'Gudea' => 'Gudea',
		'Habibi' => 'Habibi',
		'Hammersmith One' => 'Hammersmith One',
		'Hanalei' => 'Hanalei',
		'Hanalei Fill' => 'Hanalei Fill',
		'Handlee' => 'Handlee',
		'Hanuman' => 'Hanuman',
		'Happy Monkey' => 'Happy Monkey',
		'Headland One' => 'Headland One',
		'Henny Penny' => 'Henny Penny',
		'Herr Von Muellerhoff' => 'Herr Von Muellerhoff',
		'Holtwood One SC' => 'Holtwood One SC',
		'Homemade Apple' => 'Homemade Apple',
		'Homenaje' => 'Homenaje',
		'IM Fell DW Pica' => 'IM Fell DW Pica',
		'IM Fell DW Pica SC' => 'IM Fell DW Pica SC',
		'IM Fell Double Pica' => 'IM Fell Double Pica',
		'IM Fell Double Pica SC' => 'IM Fell Double Pica SC',
		'IM Fell English' => 'IM Fell English',
		'IM Fell English SC' => 'IM Fell English SC',
		'IM Fell French Canon' => 'IM Fell French Canon',
		'IM Fell French Canon SC' => 'IM Fell French Canon SC',
		'IM Fell Great Primer' => 'IM Fell Great Primer',
		'IM Fell Great Primer SC' => 'IM Fell Great Primer SC',
		'Iceberg' => 'Iceberg',
		'Iceland' => 'Iceland',
		'Imprima' => 'Imprima',
		'Inconsolata' => 'Inconsolata',
		'Inder' => 'Inder',
		'Indie Flower' => 'Indie Flower',
		'Inika' => 'Inika',
		'Irish Grover' => 'Irish Grover',
		'Istok Web' => 'Istok Web',
		'Italiana' => 'Italiana',
		'Italianno' => 'Italianno',
		'Jacques Francois' => 'Jacques Francois',
		'Jacques Francois Shadow' => 'Jacques Francois Shadow',
		'Jim Nightshade' => 'Jim Nightshade',
		'Jockey One' => 'Jockey One',
		'Jolly Lodger' => 'Jolly Lodger',
		'Josefin Sans' => 'Josefin Sans',
		'Josefin Slab' => 'Josefin Slab',
		'Joti One' => 'Joti One',
		'Judson' => 'Judson',
		'Julee' => 'Julee',
		'Julius Sans One' => 'Julius Sans One',
		'Junge' => 'Junge',
		'Jura' => 'Jura',
		'Just Another Hand' => 'Just Another Hand',
		'Just Me Again Down Here' => 'Just Me Again Down Here',
		'Kameron' => 'Kameron',
		'Karla' => 'Karla',
		'Kaushan Script' => 'Kaushan Script',
		'Kavoon' => 'Kavoon',
		'Keania One' => 'Keania One',
		'Kelly Slab' => 'Kelly Slab',
		'Kenia' => 'Kenia',
		'Khmer' => 'Khmer',
		'Kite One' => 'Kite One',
		'Knewave' => 'Knewave',
		'Kotta One' => 'Kotta One',
		'Koulen' => 'Koulen',
		'Kranky' => 'Kranky',
		'Kreon' => 'Kreon',
		'Kristi' => 'Kristi',
		'Krona One' => 'Krona One',
		'La Belle Aurore' => 'La Belle Aurore',
		'Lancelot' => 'Lancelot',
		'Lato' => 'Lato',
		'League Script' => 'League Script',
		'Leckerli One' => 'Leckerli One',
		'Ledger' => 'Ledger',
		'Lekton' => 'Lekton',
		'Lemon' => 'Lemon',
		'Libre Baskerville' => 'Libre Baskerville',
		'Life Savers' => 'Life Savers',
		'Lilita One' => 'Lilita One',
		'Limelight' => 'Limelight',
		'Linden Hill' => 'Linden Hill',
		'Lobster' => 'Lobster',
		'Lobster Two' => 'Lobster Two',
		'Londrina Outline' => 'Londrina Outline',
		'Londrina Shadow' => 'Londrina Shadow',
		'Londrina Sketch' => 'Londrina Sketch',
		'Londrina Solid' => 'Londrina Solid',
		'Lora' => 'Lora',
		'Love Ya Like A Sister' => 'Love Ya Like A Sister',
		'Loved by the King' => 'Loved by the King',
		'Lovers Quarrel' => 'Lovers Quarrel',
		'Luckiest Guy' => 'Luckiest Guy',
		'Lusitana' => 'Lusitana',
		'Lustria' => 'Lustria',
		'Macondo' => 'Macondo',
		'Macondo Swash Caps' => 'Macondo Swash Caps',
		'Magra' => 'Magra',
		'Maiden Orange' => 'Maiden Orange',
		'Mako' => 'Mako',
		'Marcellus' => 'Marcellus',
		'Marcellus SC' => 'Marcellus SC',
		'Marck Script' => 'Marck Script',
		'Margarine' => 'Margarine',
		'Marko One' => 'Marko One',
		'Marmelad' => 'Marmelad',
		'Marvel' => 'Marvel',
		'Mate' => 'Mate',
		'Mate SC' => 'Mate SC',
		'Maven Pro' => 'Maven Pro',
		'McLaren' => 'McLaren',
		'Meddon' => 'Meddon',
		'MedievalSharp' => 'MedievalSharp',
		'Medula One' => 'Medula One',
		'Megrim' => 'Megrim',
		'Meie Script' => 'Meie Script',
		'Merienda' => 'Merienda',
		'Merienda One' => 'Merienda One',
		'Merriweather' => 'Merriweather',
		'Merriweather Sans' => 'Merriweather Sans',
		'Metal' => 'Metal',
		'Metal Mania' => 'Metal Mania',
		'Metamorphous' => 'Metamorphous',
		'Metrophobic' => 'Metrophobic',
		'Michroma' => 'Michroma',
		'Milonga' => 'Milonga',
		'Miltonian' => 'Miltonian',
		'Miltonian Tattoo' => 'Miltonian Tattoo',
		'Miniver' => 'Miniver',
		'Miss Fajardose' => 'Miss Fajardose',
		'Modern Antiqua' => 'Modern Antiqua',
		'Molengo' => 'Molengo',
		'Molle' => 'Molle',
		'Monda' => 'Monda',
		'Monofett' => 'Monofett',
		'Monoton' => 'Monoton',
		'Monsieur La Doulaise' => 'Monsieur La Doulaise',
		'Montaga' => 'Montaga',
		'Montez' => 'Montez',
		'Montserrat' => 'Montserrat',
		'Montserrat Alternates' => 'Montserrat Alternates',
		'Montserrat Subrayada' => 'Montserrat Subrayada',
		'Moul' => 'Moul',
		'Moulpali' => 'Moulpali',
		'Mountains of Christmas' => 'Mountains of Christmas',
		'Mouse Memoirs' => 'Mouse Memoirs',
		'Mr Bedfort' => 'Mr Bedfort',
		'Mr Dafoe' => 'Mr Dafoe',
		'Mr De Haviland' => 'Mr De Haviland',
		'Mrs Saint Delafield' => 'Mrs Saint Delafield',
		'Mrs Sheppards' => 'Mrs Sheppards',
		'Muli' => 'Muli',
		'Mystery Quest' => 'Mystery Quest',
		'Neucha' => 'Neucha',
		'Neuton' => 'Neuton',
		'New Rocker' => 'New Rocker',
		'News Cycle' => 'News Cycle',
		'Niconne' => 'Niconne',
		'Nixie One' => 'Nixie One',
		'Nobile' => 'Nobile',
		'Nokora' => 'Nokora',
		'Norican' => 'Norican',
		'Nosifer' => 'Nosifer',
		'Nothing You Could Do' => 'Nothing You Could Do',
		'Noticia Text' => 'Noticia Text',
		'Noto Sans' => 'Noto Sans',
		'Noto Serif' => 'Noto Serif',
		'Nova Cut' => 'Nova Cut',
		'Nova Flat' => 'Nova Flat',
		'Nova Mono' => 'Nova Mono',
		'Nova Oval' => 'Nova Oval',
		'Nova Round' => 'Nova Round',
		'Nova Script' => 'Nova Script',
		'Nova Slim' => 'Nova Slim',
		'Nova Square' => 'Nova Square',
		'Numans' => 'Numans',
		'Nunito' => 'Nunito',
		'Odor Mean Chey' => 'Odor Mean Chey',
		'Offside' => 'Offside',
		'Old Standard TT' => 'Old Standard TT',
		'Oldenburg' => 'Oldenburg',
		'Oleo Script' => 'Oleo Script',
		'Oleo Script Swash Caps' => 'Oleo Script Swash Caps',
		'Open Sans' => 'Open Sans',
		'Open Sans Condensed' => 'Open Sans Condensed',
		'Oranienbaum' => 'Oranienbaum',
		'Orbitron' => 'Orbitron',
		'Oregano' => 'Oregano',
		'Orienta' => 'Orienta',
		'Original Surfer' => 'Original Surfer',
		'Oswald' => 'Oswald',
		'Over the Rainbow' => 'Over the Rainbow',
		'Overlock' => 'Overlock',
		'Overlock SC' => 'Overlock SC',
		'Ovo' => 'Ovo',
		'Oxygen' => 'Oxygen',
		'Oxygen Mono' => 'Oxygen Mono',
		'PT Mono' => 'PT Mono',
		'PT Sans' => 'PT Sans',
		'PT Sans Caption' => 'PT Sans Caption',
		'PT Sans Narrow' => 'PT Sans Narrow',
		'PT Serif' => 'PT Serif',
		'PT Serif Caption' => 'PT Serif Caption',
		'Pacifico' => 'Pacifico',
		'Paprika' => 'Paprika',
		'Parisienne' => 'Parisienne',
		'Passero One' => 'Passero One',
		'Passion One' => 'Passion One',
		'Patrick Hand' => 'Patrick Hand',
		'Patrick Hand SC' => 'Patrick Hand SC',
		'Patua One' => 'Patua One',
		'Paytone One' => 'Paytone One',
		'Peralta' => 'Peralta',
		'Permanent Marker' => 'Permanent Marker',
		'Petit Formal Script' => 'Petit Formal Script',
		'Petrona' => 'Petrona',
		'Philosopher' => 'Philosopher',
		'Piedra' => 'Piedra',
		'Pinyon Script' => 'Pinyon Script',
		'Pirata One' => 'Pirata One',
		'Plaster' => 'Plaster',
		'Play' => 'Play',
		'Playball' => 'Playball',
		'Playfair Display' => 'Playfair Display',
		'Playfair Display SC' => 'Playfair Display SC',
		'Podkova' => 'Podkova',
		'Poiret One' => 'Poiret One',
		'Poller One' => 'Poller One',
		'Poly' => 'Poly',
		'Pompiere' => 'Pompiere',
		'Pontano Sans' => 'Pontano Sans',
		'Port Lligat Sans' => 'Port Lligat Sans',
		'Port Lligat Slab' => 'Port Lligat Slab',
		'Prata' => 'Prata',
		'Preahvihear' => 'Preahvihear',
		'Press Start 2P' => 'Press Start 2P',
		'Princess Sofia' => 'Princess Sofia',
		'Prociono' => 'Prociono',
		'Prosto One' => 'Prosto One',
		'Puritan' => 'Puritan',
		'Purple Purse' => 'Purple Purse',
		'Quando' => 'Quando',
		'Quantico' => 'Quantico',
		'Quattrocento' => 'Quattrocento',
		'Quattrocento Sans' => 'Quattrocento Sans',
		'Questrial' => 'Questrial',
		'Quicksand' => 'Quicksand',
		'Quintessential' => 'Quintessential',
		'Qwigley' => 'Qwigley',
		'Racing Sans One' => 'Racing Sans One',
		'Radley' => 'Radley',
		'Raleway' => 'Raleway',
		'Raleway Dots' => 'Raleway Dots',
		'Rambla' => 'Rambla',
		'Rammetto One' => 'Rammetto One',
		'Ranchers' => 'Ranchers',
		'Rancho' => 'Rancho',
		'Rationale' => 'Rationale',
		'Redressed' => 'Redressed',
		'Reenie Beanie' => 'Reenie Beanie',
		'Revalia' => 'Revalia',
		'Ribeye' => 'Ribeye',
		'Ribeye Marrow' => 'Ribeye Marrow',
		'Righteous' => 'Righteous',
		'Risque' => 'Risque',
		'Roboto' => 'Roboto',
		'Roboto Condensed' => 'Roboto Condensed',
		'Roboto Slab' => 'Roboto Slab',
		'Rochester' => 'Rochester',
		'Rock Salt' => 'Rock Salt',
		'Rokkitt' => 'Rokkitt',
		'Romanesco' => 'Romanesco',
		'Ropa Sans' => 'Ropa Sans',
		'Rosario' => 'Rosario',
		'Rosarivo' => 'Rosarivo',
		'Rouge Script' => 'Rouge Script',
		'Ruda' => 'Ruda',
		'Rufina' => 'Rufina',
		'Ruge Boogie' => 'Ruge Boogie',
		'Ruluko' => 'Ruluko',
		'Rum Raisin' => 'Rum Raisin',
		'Ruslan Display' => 'Ruslan Display',
		'Russo One' => 'Russo One',
		'Ruthie' => 'Ruthie',
		'Rye' => 'Rye',
		'Sacramento' => 'Sacramento',
		'Sail' => 'Sail',
		'Salsa' => 'Salsa',
		'Sanchez' => 'Sanchez',
		'Sancreek' => 'Sancreek',
		'Sansita One' => 'Sansita One',
		'Sarina' => 'Sarina',
		'Satisfy' => 'Satisfy',
		'Scada' => 'Scada',
		'Schoolbell' => 'Schoolbell',
		'Seaweed Script' => 'Seaweed Script',
		'Sevillana' => 'Sevillana',
		'Seymour One' => 'Seymour One',
		'Shadows Into Light' => 'Shadows Into Light',
		'Shadows Into Light Two' => 'Shadows Into Light Two',
		'Shanti' => 'Shanti',
		'Share' => 'Share',
		'Share Tech' => 'Share Tech',
		'Share Tech Mono' => 'Share Tech Mono',
		'Shojumaru' => 'Shojumaru',
		'Short Stack' => 'Short Stack',
		'Siemreap' => 'Siemreap',
		'Sigmar One' => 'Sigmar One',
		'Signika' => 'Signika',
		'Signika Negative' => 'Signika Negative',
		'Simonetta' => 'Simonetta',
		'Sintony' => 'Sintony',
		'Sirin Stencil' => 'Sirin Stencil',
		'Six Caps' => 'Six Caps',
		'Skranji' => 'Skranji',
		'Slackey' => 'Slackey',
		'Smokum' => 'Smokum',
		'Smythe' => 'Smythe',
		'Sniglet' => 'Sniglet',
		'Snippet' => 'Snippet',
		'Snowburst One' => 'Snowburst One',
		'Sofadi One' => 'Sofadi One',
		'Sofia' => 'Sofia',
		'Sonsie One' => 'Sonsie One',
		'Sorts Mill Goudy' => 'Sorts Mill Goudy',
		'Source Code Pro' => 'Source Code Pro',
		'Source Sans Pro' => 'Source Sans Pro',
		'Special Elite' => 'Special Elite',
		'Spicy Rice' => 'Spicy Rice',
		'Spinnaker' => 'Spinnaker',
		'Spirax' => 'Spirax',
		'Squada One' => 'Squada One',
		'Stalemate' => 'Stalemate',
		'Stalinist One' => 'Stalinist One',
		'Stardos Stencil' => 'Stardos Stencil',
		'Stint Ultra Condensed' => 'Stint Ultra Condensed',
		'Stint Ultra Expanded' => 'Stint Ultra Expanded',
		'Stoke' => 'Stoke',
		'Strait' => 'Strait',
		'Sue Ellen Francisco' => 'Sue Ellen Francisco',
		'Sunshiney' => 'Sunshiney',
		'Supermercado One' => 'Supermercado One',
		'Suwannaphum' => 'Suwannaphum',
		'Swanky and Moo Moo' => 'Swanky and Moo Moo',
		'Syncopate' => 'Syncopate',
		'Tangerine' => 'Tangerine',
		'Taprom' => 'Taprom',
		'Tauri' => 'Tauri',
		'Telex' => 'Telex',
		'Tenor Sans' => 'Tenor Sans',
		'Text Me One' => 'Text Me One',
		'The Girl Next Door' => 'The Girl Next Door',
		'Tienne' => 'Tienne',
		'Tinos' => 'Tinos',
		'Titan One' => 'Titan One',
		'Titillium Web' => 'Titillium Web',
		'Trade Winds' => 'Trade Winds',
		'Trocchi' => 'Trocchi',
		'Trochut' => 'Trochut',
		'Trykker' => 'Trykker',
		'Tulpen One' => 'Tulpen One',
		'Ubuntu' => 'Ubuntu',
		'Ubuntu Condensed' => 'Ubuntu Condensed',
		'Ubuntu Mono' => 'Ubuntu Mono',
		'Ultra' => 'Ultra',
		'Uncial Antiqua' => 'Uncial Antiqua',
		'Underdog' => 'Underdog',
		'Unica One' => 'Unica One',
		'UnifrakturCook' => 'UnifrakturCook',
		'UnifrakturMaguntia' => 'UnifrakturMaguntia',
		'Unkempt' => 'Unkempt',
		'Unlock' => 'Unlock',
		'Unna' => 'Unna',
		'VT323' => 'VT323',
		'Vampiro One' => 'Vampiro One',
		'Varela' => 'Varela',
		'Varela Round' => 'Varela Round',
		'Vast Shadow' => 'Vast Shadow',
		'Vibur' => 'Vibur',
		'Vidaloka' => 'Vidaloka',
		'Viga' => 'Viga',
		'Voces' => 'Voces',
		'Volkhov' => 'Volkhov',
		'Vollkorn' => 'Vollkorn',
		'Voltaire' => 'Voltaire',
		'Waiting for the Sunrise' => 'Waiting for the Sunrise',
		'Wallpoet' => 'Wallpoet',
		'Walter Turncoat' => 'Walter Turncoat',
		'Warnes' => 'Warnes',
		'Wellfleet' => 'Wellfleet',
		'Wendy One' => 'Wendy One',
		'Wire One' => 'Wire One',
		'Yanone Kaffeesatz' => 'Yanone Kaffeesatz',
		'Yellowtail' => 'Yellowtail',
		'Yeseva One' => 'Yeseva One',
		'Yesteryear' => 'Yesteryear',
		'Zeyada' => 'Zeyada'
	);


$normal_fonts = array(
		'None' => 'None',
		'Arial Black, Gadget, sans-serif' => 'Arial Black, Gadget, sans-serif',
		'Arial, Helvetica, sans-serif' => 'Arial, Helvetica, sans-serif',
		'Comic Sans MS, cursive, sans-serif' => 'Comic Sans MS, cursive, sans-serif',
		'Courier New, Courier, monospace' => 'Courier New, Courier, monospace',
		'Georgia, serif' => 'Georgia, serif',
		'Impact, Charcoal, sans-serif' => 'Impact, Charcoal, sans-serif',
		'Lucida Console, Monaco, monospace' => 'Lucida Console, Monaco, monospace',
		'Lucida Sans Unicode, "Lucida Grande", sans-serif' => 'Lucida Sans Unicode, "Lucida Grande", sans-serif',
		'Palatino Linotype, "Book Antiqua", Palatino, serif' => 'Palatino Linotype, "Book Antiqua", Palatino, serif',
		'Tahoma, Geneva, sans-serif' => 'Tahoma, Geneva, sans-serif',
		'Times New Roman, Times, serif' => 'Times New Roman, Times, serif',
		'Trebuchet MS, Helvetica, sans-serif' => 'Trebuchet MS, Helvetica, sans-serif',
		'Verdana, Geneva, sans-serif' => 'Verdana, Geneva, sans-serif'
	);


$tmp = range (16,60);
foreach ($tmp as $num) {
	$heading_font_sizes[$num] = $num.' px';
}

$body_font_sizes = array(13 => '13px');
$tmp = range (9, 48);
foreach ($tmp as $num) {
	$body_font_sizes[$num] = $num.' px';
}


	$options[] = array(
		'name' => __('General Settings', 'options_framework_theme'),
		'type' => 'heading');

	$options[] = array( "name" => "Import Dummy Data",
						"desc" => "Do you want to import Dummy data as seen in the Theme Demo ? Please note that it imports posts, sliders and overrides your theme settings",
						"id" => "import_dummy_data",
						"type" => "button",
						'std' => 'Import Data');

	 $options[] = array( "name" => "Logo",
						"desc" => "The logo for the website - max width of 166px and min/max height of 66px",
						"id" => "logo",
						"type" => "upload",
						'std' => get_stylesheet_directory_uri().'/images/logo.png');

	//FAVICON
	$options[] = array( 'name' => __('Favicon', 'options_framework_theme'),
						'desc' => __('The Favicon for the website, only .ico,.png or.jpg', 'options_framework_theme'),
						'id' => 'favicon',
						'type' => 'upload',
						'std' => get_stylesheet_directory_uri().'/images/favicon.png');



	$options[] = array( 'name' => __('Resize Images', 'options_framework_theme'),
						'desc' => __('<a href="'.admin_url('admin.php?page=ajax-thumbnail-rebuild').'">Click here</a> to resize all images, you need to resize images if you are migrating from an existing theme', 'options_framework_theme'),
						'id' => 'resize_thumbnails',
						'type' => 'info'
						);
	


	$options[] =	array(
		'id' => 'share_social',
		'type' => 'select',
		'class' => 'mini',
		'name' => __('Show the Share post on social networks section in posts ?', 'nhp-opts'), 
		'desc' => __('Do you want to show the Share on Social media section which allows the users to share the posts via their social networks', 'nhp-opts'),
		'options' => array('1' => 'Yes','0' => 'No'),
		'std' => '1'
		);

	$options[] =	array(
		'id' => 'share_social_portfolio',
		'type' => 'select',
		'class' => 'mini',
		'name' => __('Show the Share post on social networks section in Portfolio single page ?', 'nhp-opts'), 
		'desc' => __('Do you want to show the Share on Social media section which allows the users to share the portfolio page ?', 'nhp-opts'),
		'options' => array('1' => 'Yes','0' => 'No'),
		'std' => '0'
		);

	$options[] =	array(
			'id' => 'footer_widgets',
			'class' => 'mini',
			'type' => 'select',
			'name' => __('Display Footer Widgets ?', 'nhp-opts'), 
			'desc' => __('Do you want to show the footer widgets ?', 'nhp-opts'),
			'options' => array('1' => 'Yes','0' => 'No'),
			'std' => '1'
			);


	$options[] = array(
			'id' => 'footer_columns',
			'type' => 'select',
			'class' => 'mini',
			'name' => __('No. of columns for Footer Widgets', 'nhp-opts'), 
			'desc' => __('Number of columns for the footer, which displays the widgets', 'nhp-opts'),
			'options' => array('1' => '1 Column','2' => '2 Columns','3' => '3 Columns', '4' => '4 Columns'),
			'std' => '4'
			);

	$options[] = array(
			'id' => 'copyright',
			'type' => 'select',
			'class' => 'mini',
			'name' => __('Display Copyright Information ?', 'nhp-opts'), 
			'desc' => __('Do you want to show the Copyright Information ?', 'nhp-opts'),
			'options' => array('1' => 'Yes','0' => 'No'),
			'std' => '1'
			);

	$options[] = array(
			'id' => 'copyright_info',
			'type' => 'textarea',
			'name' => __('Your Copyright Info', 'nhp-opts'),
			'desc' => __('Eg: &copy: infinite 2012 (HTML is allowed in here.)', 'nhp-opts'),
			'validate' => 'html',
			);

	$options[] = array(
			'id' => 'call_to_action',
			'type' => 'textarea',
			'name' => __('Call To Action', 'nhp-opts'),
			'desc' => __('Site Wide call to action text, this will be displayed in all the pages. You can use shortcodes & html as well. Eg: <h3>infinite is an amazing theme with lots of features. Buy it now  ', 'nhp-opts'),
			'validate' => 'html',
			);


	$options[] = array(
			'id' => 'google_analytics',
			'type' => 'textarea',
			'name' => __('Your Analytics Code', 'nhp-opts'),
			'desc' => __('Enter your analytics tracking Code here (Google or anything else). It will automatically be added so you can track your visitors behavior. You have to add the script tags as well', 'nhp-opts'),
			'validate' => 'html',
			);


	$options[] = array(
			'id' => 'custom_css',
			'type' => 'textarea',
			'name' => __('Custom CSS', 'nhp-opts'),
			'desc' => __('Just want to do some quick CSS changes? Enter them here, they will be applied to the theme.)', 'nhp-opts'),
			'validate' => 'html',
			);

	//APPEARANCE
	$options[] = array(
		'name' => __('Appearance', 'options_framework_theme'),
		'type' => 'heading');

	// //LAYOUT TYPE
	$options[] = array(
		'name' => __('Layout type - Boxed or Wide', 'options_framework_theme'),
		'desc' => __('The layout type you want, choose either Boxed or Wide', 'options_framework_theme'),
		'id' => 'layout_type',
		'std' => 'fluid-layout',
		'type' => 'select',
		'class' => 'mini',
		'options' => array(
						'fluid-layout' => __('Wide','options_framework_theme'),
						'boxed-layout' => __('Boxed','options_framework_theme')
						));


	$options[] = array(
		'name' => __('Enable Responsiveness ?', 'options_framework_theme'),
		'desc' => __('Do you want the website to be responsive ?', 'options_framework_theme'),
		'id' => 'layout_model',
		'std' => 'yes',
		'type' => 'select',
		'class' => 'mini',
		'options' => array(
						'yes' => __('Yes','options_framework_theme'),
						'no' => __('No','options_framework_theme')
						));

	$options[] = array(
		'name' => __('Max Width of the Website content', 'options_framework_theme'),
		'desc' => __('The max width of the website content (This includes the main column & the sidebar)', 'options_framework_theme'),
		'id' => 'layout_width',
		'std' => '1170',
		'type' => 'select',
		'class' => 'mini',
		'options' => array(
						'1170' => __('1170 Pixels','options_framework_theme'),
						'940' => __('940 Pixels','options_framework_theme')
						));

	// $options[] = array(
	// 	'name' => __('Blog Style', 'options_framework_theme'),
	// 	'desc' => __('The style of the blog', 'options_framework_theme'),
	// 	'id' => 'blog_style',
	// 	'std' => 'large',
	// 	'type' => 'select',
	// 	'class' => 'mini',
	// 	'options' => array(
	// 					'large' => __('Large Image','options_framework_theme'),
	// 					'medium' => __('Medium Image','options_framework_theme'),
	// 					'grid' => __('Grid','options_framework_theme')
	// 					));


	$options[] = array(
		'name' => __('Portfolio Single Page Style', 'options_framework_theme'),
		'desc' => __('Do you want the Portfolio single page to show accordion type content or normal content ?', 'options_framework_theme'),
		'id' => 'portfolio_single_style',
		'std' => 'normal',
		'type' => 'select',
		'class' => 'mini',
		'options' => array(
						'normal' => 'Normal',
						'accordion' => 'Accordion'
						));

	// $options[] = array(
	// 	'name' => __('No of columns in Portfolio Grid', 'options_framework_theme'),
	// 	'desc' => __('The number of columns to show in the Portfolio Grid', 'options_framework_theme'),
	// 	'id' => 'portfolio_grid_columns',
	// 	'std' => '4',
	// 	'type' => 'select',
	// 	'class' => 'mini',
	// 	'options' => array(
	// 					'3' => '3',
	// 					'4' => '4',
	// 					'5' => '5'
	// 					));

	$options[] = array(
		'name' => __('Display sidebar in Portfolio Single page', 'options_framework_theme'),
		'desc' => __('Do you want to show sidebar in the portfolio single page?', 'options_framework_theme'),
		'id' => 'portfolio_sidebar',
		'std' => 'no',
		'type' => 'select',
		'class' => 'mini',
		'options' => array(
						'no' => 'No',
						'yes' => 'Yes'
						));


	$options[] = array(
		'name' => __('Display Related works in Portfolio', 'options_framework_theme'),
		'desc' => __('Do you want to show Related works in portfolio page?', 'options_framework_theme'),
		'id' => 'related_posts_portfolio',
		'std' => 'no',
		'type' => 'select',
		'class' => 'mini',
		'options' => array(
						'no' => 'No',
						'yes' => 'Yes'
						));

	$options[] = array(
		'name' => __('Header Layout', 'options_framework_theme'),
		'desc' => __('Do you want a fixed header or a normal header ?', 'options_framework_theme'),
		'id' => 'header_layout',
		'std' => 'fixed-header',
		'type' => 'select',
		'class' => 'mini',
		'options' => array(
						'fixed-header' => __('Fixed','options_framework_theme'),
						'normal-header' => __('Normal','options_framework_theme')
						));

	$options[] = array(
	'name' => __('Sidebar Position', 'options_framework_theme'),
	'desc' => __('The sidebar position, left or right ?', 'options_framework_theme'),
	'id' => 'sidebar_position',
	'std' => 'right',
	'type' => 'select',
	'class' => 'mini',
	'options' => array(
					'right' => __('Right','options_framework_theme'),
					'left' => __('Left','options_framework_theme')
					));

	$options[] = array(
	'name' => __('Enable Post Slideshows', 'options_framework_theme'),
	'desc' => __('Do you want to enable slideshows in posts ?', 'options_framework_theme'),
	'id' => 'post_slideshows',
	'std' => 'yes',
	'type' => 'select',
	'class' => 'mini',
	'options' => array(
					'yes' => __('Yes','options_framework_theme'),
					'no' => __('No','options_framework_theme')
					));

	$options[] = array(
	'name' => __('Show Related Posts in the single post page ?', 'options_framework_theme'),
	'desc' => __('Do you want to show the realted posts slider in the single post page ?', 'options_framework_theme'),
	'id' => 'related_posts',
	'std' => 'yes',
	'type' => 'select',
	'class' => 'mini',
	'options' => array(
					'yes' => __('Yes','options_framework_theme'),
					'no' => __('No','options_framework_theme')
					));

	$options[] = array(
	'name' => __('Maximum number of related posts', 'options_framework_theme'),
	'desc' => __('Maximum number of related posts you want to show, default is 10', 'options_framework_theme'),
	'id' => 'related_posts_num',
	'std' => '10',
	'class' => 'mini',
	'type' => 'text');

	$options[] = array(
	'name' => __('Show author info on single post page ?', 'options_framework_theme'),
	'desc' => __('Do you want show the author info displayed in the single post page ?', 'options_framework_theme'),
	'id' => 'author_info',
	'std' => 'yes',
	'type' => 'select',
	'class' => 'mini',
	'options' => array(
					'yes' => __('Yes','options_framework_theme'),
					'no' => __('No','options_framework_theme')
					));


// $options[] = array( 'name' => 'Selected Google Fonts',
// 	'desc' => 'Fifteen of the top google fonts.',
// 	'id' => 'google_font',
// 	'std' => array( 'size' => '36px', 'face' => 'Rokkitt, serif', 'color' => '#00bc96'),
// 	'type' => 'typography',
// 	'options' => array(
// 		'faces' => $google_fonts,
// 		'styles' => false )
// 	);

	$options[] = array(
		'name' => __('Google Heading Font', 'options_framework_theme'),
		'desc' => __('Google Fonts for Headings, if you dont want to use google fonts select "None"', 'options_framework_theme'),
		'id' => 'heading_google_font',
		'std' => 'Ubuntu',
		'type' => 'select',
		//'class' => 'mini',
		'options' => $google_fonts
		);

	$options[] = array(
		'name' => __('Google Body Font', 'options_framework_theme'),
		'desc' => __('Google Fonts for Body, if you dont want to use google fonts select "None"', 'options_framework_theme'),
		'id' => 'body_google_font',
		'std' => 'Open Sans',
		'type' => 'select',
		//'class' => 'mini',
		'options' => $google_fonts
		);


	$options[] = array(
		'name' => __('Normal Heading Font Family', 'options_framework_theme'),
		'desc' => __('Choose this only if you dont want to use google fonts, this will only work when you choose the Google Heading font as "None"', 'options_framework_theme'),
		'id' => 'heading_normal_font',
		'std' => 'None',
		'type' => 'select',
		//'class' => 'mini',
		'options' => $normal_fonts
		);

	$options[] = array(
		'name' => __('Normal Body Font Family', 'options_framework_theme'),
		'desc' => __('Choose this only if you dont want to use google fonts, this will only work when you choose the Google Body font as "None"', 'options_framework_theme'),
		'id' => 'body_normal_font',
		'std' => 'None',
		'type' => 'select',
		//'class' => 'mini',
		'options' => $normal_fonts
		);

	$options[] = array(
		'name' => __('Heading Font Size', 'options_framework_theme'),
		'desc' => __('The size of the heading fonts', 'options_framework_theme'),
		'id' => 'heading_font_size',
		'std' => '22px',
		'type' => 'select',
		'class' => 'mini',
		'options' => $heading_font_sizes
		);

	$options[] = array(
		'name' => __('Body Font Size', 'options_framework_theme'),
		'desc' => __('The size of the body fonts', 'options_framework_theme'),
		'id' => 'body_font_size',
		'std' => '13px',
		'type' => 'select',
		'class' => 'mini',
		'options' => $body_font_sizes
		);



	//DESIGN
	$options[] = array(
		'name' => __('Design', 'options_framework_theme'),
		'type' => 'heading');

	$options[] = array(
		'name' => "Pre Defined Color Schemes",
		'desc' => "Select any of the color shemes and the color options below will be updated according to the color scheme",
		'id' => "color_scheme",
		'std' => "orange",
		'type' => "images",
		'options' => array(
			'alizarin' => get_template_directory_uri() . '/images/color_schemes/alizarin.jpg',
			'amethyst' => get_template_directory_uri() . '/images/color_schemes/amethyst.jpg',
			'asbestos' => get_template_directory_uri() . '/images/color_schemes/asbestos.jpg',
			'ash' => get_template_directory_uri() . '/images/color_schemes/ash.jpg',
			'belize-hole' => get_template_directory_uri() . '/images/color_schemes/belize-hole.jpg',
			'carrot' => get_template_directory_uri() . '/images/color_schemes/carrot.jpg',
			'cyan' => get_template_directory_uri() . '/images/color_schemes/cyan.jpg',
			'dark-blue' => get_template_directory_uri() . '/images/color_schemes/dark-blue.jpg',
			'emerald' => get_template_directory_uri() . '/images/color_schemes/emerald.jpg',
			'gold' => get_template_directory_uri() . '/images/color_schemes/gold.jpg',
			'green-sea' => get_template_directory_uri() . '/images/color_schemes/green-sea.jpg',
			'light-blue' => get_template_directory_uri() . '/images/color_schemes/light-blue.jpg',
			'light-green' => get_template_directory_uri() . '/images/color_schemes/light-green.jpg',
			'midnight-blue' => get_template_directory_uri() . '/images/color_schemes/midnight-blue.jpg',
			'nephritis' => get_template_directory_uri() . '/images/color_schemes/nephritis.jpg',
			'orange' => get_template_directory_uri() . '/images/color_schemes/orange.jpg',
			'peter-river' => get_template_directory_uri() . '/images/color_schemes/peter-river.jpg',
			'pink' => get_template_directory_uri() . '/images/color_schemes/pink.jpg',
			'pomegranate' => get_template_directory_uri() . '/images/color_schemes/pomegranate.jpg',
			'pumpkin' => get_template_directory_uri() . '/images/color_schemes/pumpkin.jpg',
			'purple' => get_template_directory_uri() . '/images/color_schemes/purple.jpg',
			'red' => get_template_directory_uri() . '/images/color_schemes/red.jpg',
			'sky-blue' => get_template_directory_uri() . '/images/color_schemes/sky-blue.jpg',
			'sunflower' => get_template_directory_uri() . '/images/color_schemes/sunflower.jpg',
			)
	);

    $options[] = array( "name" => "Accent/Theme Color (Link Color - Hover State)",
					    "desc" => "",
					    "id" => "link_color",
					    "std" => "#26ade5",
					    "type" => "color" );

    $options[] = array( "name" => "Link Color Normal (Usually Dark Color)",
					    "desc" => "",
					    "id" => "link_color_dark",
					    "std" => "#1a1a1a",
					    "type" => "color" );

	$options[] = array( "name" => "Border Color",
					    "desc" => "",
					    "id" => "border_color",
					    "std" => "#e5e1e1",
					    "type" => "color" );

	$options[] = array( "name" => "Text Color",
					    "desc" => "",
					    "id" => "text_color",
					    "std" => "#6a6767",
					    "type" => "color" );


	$options[] = array( "name" => "Title Background Color",
					    "desc" => "Choose the Color for the title background, make sure you set the Title background option to Color",
					    "id" => "title_bg_color",
					    "std" => "#f9f8f8",
					    "type" => "color" );

	$options[] = array( 'name' => __('Title Background Image', 'options_framework_theme'),
						'desc' => __('Choose the Image for the title background, please select a really wide image with a max height of 58px', 'options_framework_theme'),
						'id' => 'title_bg_image',
						'type' => 'upload',
						'std' => '');


$options[] = array(
		'name' => "Page Background Patterns",
		'desc' => "Select any of the background patterns for the page",
		'id' => "page_pattern",
		'std' => "subtle_stripes",
		'type' => "images",
		'options' => array(
			'brickwall' => get_template_directory_uri() . '/images/patterns/demo/brickwall.png',
			'dark_Tire' => get_template_directory_uri() . '/images/patterns/demo/dark_Tire.png',
			'dark_wood' => get_template_directory_uri() . '/images/patterns/demo/dark_wood.png',
			'fabric_of_squares_gray' => get_template_directory_uri() . '/images/patterns/demo/fabric_of_squares_gray.png',
			'grey_wash_wall' => get_template_directory_uri() . '/images/patterns/demo/grey_wash_wall.png',
			'noisy_grid' => get_template_directory_uri() . '/images/patterns/demo/noisy_grid.png',
			'pinstripe' => get_template_directory_uri() . '/images/patterns/demo/pinstripe.png',
			'retina_wood' => get_template_directory_uri() . '/images/patterns/demo/retina_wood.png',
			'subtle_stripes' => get_template_directory_uri() . '/images/patterns/demo/subtle_stripes.png',
			'textured_paper' => get_template_directory_uri() . '/images/patterns/demo/textured_paper.png',
			'tileable_wood_texture' => get_template_directory_uri() . '/images/patterns/demo/tileable_wood_texture.png',
			'vertical_cloth' => get_template_directory_uri() . '/images/patterns/demo/vertical_cloth.png'
			)
	);

	$options[] = array( 'name' => __('Page Background Image', 'options_framework_theme'),
						'desc' => __('Upload a custom image as the page background', 'options_framework_theme'),
						'id' => 'page_bg_image',
						'type' => 'upload',
						'std' => '');

	$options[] = array(
	'name' => __('Background Image Position', 'options_framework_theme'),
	'desc' => __('Do you want the background image to be fixed or should it be scrollable along with the content ?', 'options_framework_theme'),
	'id' => 'page_bg_position',
	'std' => '',
	'type' => 'select',
	'class' => 'mini',
	'options' => array(
					'' => __('Normal','options_framework_theme'),
					'Fixed' => __('Fixed','options_framework_theme')
					));

	$options[] = array( "name" => __("Page Background Color", 'options_framework_theme'),
					    "desc" => __("The page backgroud color, this will be displayed only if the image is lesser than the width of the screen and the image is set to no-repeat", 'options_framework_theme'),
					    "id" => "page_bg_color",
					    "std" => "#fff",
					    "type" => "color" );


	$options[] = array(
	'name' => __('Background Image Repeat', 'options_framework_theme'),
	'desc' => __('Do you want to repeat the background Image? Repeat will repeat it on both axis, Repeat-x will repeat on x axis and Repeat-y will repeat on y axis', 'options_framework_theme'),
	'id' => 'page_bg_repeat',
	'std' => 'repeat',
	'type' => 'select',
	'class' => 'mini',
	'options' => array(
					'no-repeat' => __('No Repeat','options_framework_theme'),
					'repeat' => __('Repeat','options_framework_theme'),
					'repeat-x' => __('Repeat-x','options_framework_theme'),
					'repeat-y' => __('Repeat-y','options_framework_theme')
					));




	//SOCIAL ICONS
	$options[] = array(
		'name' => __('Social Media', 'options_framework_theme'),
		'type' => 'heading');


	$options[] = array(
		'name' => __('Facebook Link', 'options_framework_theme'),
		'id' => 'social_facebook',
		'std' => '',
		'type' => 'text');

	$options[] = array(
		'name' => __('Twitter Link', 'options_framework_theme'),
		'id' => 'social_twitter',
		'std' => '',
		'type' => 'text');


	$options[] = array(
		'name' => __('Google+ Link', 'options_framework_theme'),
		'id' => 'social_googleplus',
		'std' => '',
		'type' => 'text');


	$options[] = array(
		'name' => __('Linkedin Link', 'options_framework_theme'),
		'id' => 'social_linkedin',
		'std' => '',
		'type' => 'text');

	$options[] = array(
		'name' => __('Skype Link', 'options_framework_theme'),
		'id' => 'social_skype',
		'std' => '',
		'type' => 'text');

	$options[] = array(
		'name' => __('Youtube Link', 'options_framework_theme'),
		'id' => 'social_youtube',
		'std' => '',
		'type' => 'text');

	$options[] = array(
		'name' => __('Flickr Link', 'options_framework_theme'),
		'id' => 'social_flickr',
		'std' => '',
		'type' => 'text');


	$options[] = array(
		'name' => __('Dribbble Link', 'options_framework_theme'),
		'id' => 'social_dribbble',
		'std' => '',
		'type' => 'text');

	$options[] = array(
		'name' => __('Pinterest Link', 'options_framework_theme'),
		'id' => 'social_pinterest',
		'std' => '',
		'type' => 'text');

	$options[] = array(
		'name' => __('Tumblr Link', 'options_framework_theme'),
		'id' => 'social_tumblr',
		'std' => '',
		'type' => 'text');

	$options[] = array(
		'name' => __('Rss Link', 'options_framework_theme'),
		'id' => 'social_rss',
		'std' => '',
		'type' => 'text');

	$options[] = array(
		'name' => __('Twitter API', 'options_framework_theme'),
		'type' => 'heading');

	$options[] = array(
		'name' => __('Twitter Consumer Key', 'options_framework_theme'),
		'id' => 'infinite_twitter_consumer_key',
		'std' => '',
		'type' => 'text');


	$options[] = array(
		'name' => __('Twitter Consumer Secret', 'options_framework_theme'),
		'id' => 'infinite_twitter_consumer_secret',
		'std' => '',
		'type' => 'text');


	$options[] = array(
		'name' => __('Twitter Access Token', 'options_framework_theme'),
		'id' => 'infinite_twitter_access_token',
		'std' => '',
		'type' => 'text');


	$options[] = array(
		'name' => __('Twitter Access Token Secret', 'options_framework_theme'),
		'id' => 'infinite_twitter_access_token_secret',
		'std' => '',
		'type' => 'text');

	return $options;
}