<?php 
/*Woo Commerce*/

if ( !class_exists( 'woocommerce' ) ){ return ; }

add_theme_support( 'woocommerce' );

add_filter( 'loop_shop_per_page', 'infinite_woocommerce_product_count' );


$_SESSION['infinite_woocommerce']['product_count'] = of_get_option('woocommerce_product_count', 10);


if(function_exists('register_sidebar')){
	register_sidebar( array( 
        'name'            => __('Shop Catalog Sidebar','infinite-framework'),
        'id'            => __('shop-catalog-sidebar','infinite-framework'),
        'description'    => __('Sidebar for Shop Catalog page (WooCommerce)','infinite-framework'),
        'before_widget'    => '<div class="sidebar-widget clearfix %2$s" id="%1$s">',
        'after_widget'    => "</div>\n",
        'before_title'    => '<h3>',
        'after_title'    => "</h3>\n"
        )    
    );

	register_sidebar( array( 
        'name'            => __('Shop Product Sidebar','infinite-framework'),
        'id'            => __('shop-product-sidebar','infinite-framework'),
        'description'    => __('Sidebar for Single Product page (WooCommerce)','infinite-framework'),
        'before_widget'    => '<div class="sidebar-widget clearfix %2$s" id="%1$s">',
        'after_widget'    => "</div>\n",
        'before_title'    => '<h3>',
        'after_title'    => "</h3>\n"
        )    
    );

}


remove_filter( 'woocommerce_loop_add_to_cart_link', 'add_to_cart_link', 10 );

function add_to_cart_link($url, $product, $link) {
    return sprintf('<a href="%s" rel="nofollow" data-product_id="%s" data-product_sku="%s" class="%s add_to_cart_link product_type_%s"><i class="icon-shopping-cart"></i> %s</a>', esc_url( $link['url'] ), esc_attr( $product->id ), esc_attr( $product->get_sku() ), esc_attr( $link['class'] ), esc_attr( $product->product_type ), esc_html( $link['label'] ) );
}

add_filter('woocommerce_loop_add_to_cart_link', 'add_to_cart_link', 10, 3);


add_action( 'woocommerce_before_shop_loop_item_title', 'infinite_woocommerce_thumbnail', 10);
remove_action( 'woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_product_thumbnail', 10);

function infinite_woocommerce_thumbnail($s) {
	global $product;
	$rating = $product->get_rating_html(); //get rating
	
	$id = get_the_ID();
	$size = 'shop_catalog';
	
	echo "<div class='thumbnail_container'>";
		echo infinite_woocommerce_gallery_first_thumbnail( $id , $size);
		echo get_the_post_thumbnail( $id , $size );
		if(!empty($rating)) echo "<span class='rating_container'>".$rating."</span>";
		if($product->product_type == 'simple') echo "<span class='cart-loading'></span><span class='added-check'><i class='icon-check'></i></span>";
	echo "</div>";
}


function infinite_woocommerce_gallery_first_thumbnail($id, $size) {
	$product_gallery = get_post_meta( $id, '_product_image_gallery', true );
	
	if(!empty($product_gallery))
	{
		$gallery	= explode(',',$product_gallery);
		$image_id 	= $gallery[0];
		$image 		= wp_get_attachment_image( $image_id, $size, false, array( 'class' => "attachment-$size infinite-product-hover" ));
		
		if(!empty($image)) return $image;
	}
}


remove_action( 'woocommerce_after_shop_loop', 'woocommerce_pagination', 10 );

add_action( 'woocommerce_after_shop_loop', 'infinite_woocommerce_pagination', 10 );

function infinite_woocommerce_pagination() {
global $wp_query;

if ( $wp_query->max_num_pages <= 1 )
	return;

echo '<nav class="woocommerce-pagination pagination pagination-centered">';
		echo paginate_links( apply_filters( 'woocommerce_pagination_args', array(
			'base' 			=> str_replace( 999999999, '%#%', get_pagenum_link( 999999999 ) ),
			'format' 		=> '',
			'current' 		=> max( 1, get_query_var('paged') ),
			'total' 		=> $wp_query->max_num_pages,
			'prev_text' 	=> '<i class="icon-double-angle-left"></i>',
			'next_text' 	=> '<i class="icon-double-angle-right"></i>',
			'type'			=> 'list',
			'end_size'		=> 3,
			'mid_size'		=> 3
		) ) );
echo '</nav>';
}

remove_action( 'woocommerce_after_shop_loop_item_title', 'woocommerce_template_loop_rating', 5 );



add_action( 'infinite_main_header', 'infinite_woocommerce_cart_dropdown', 10);

function infinite_woocommerce_cart_dropdown(){
	global $woocommerce;
	$cart_subtotal = $woocommerce->cart->get_cart_subtotal();
	$link = $woocommerce->cart->get_cart_url();

	
	$output = "";
	$output .= "<ul class = 'cart-menu' data-success='".__('was added to the cart', 'infinite-framework')."'><li class='cart-menu-first'>";
	$output .= "<a class='cart-menu-link' href='".$link."'><i class='icon-shopping-cart'></i></a><!--<span class='cart_subtotal'>".$cart_subtotal."</span>-->";
	$output .= "<div class='cart-menu-dropdown'><div class='arrow-up'></div>";
	$output .= '<div class="widget_shopping_cart_content"></div>';
	$output .= "</div>";
	$output .= "</li></ul>";

	echo $output;
}


function infinite_woocommerce_3_columns(){
	return 3;
}

remove_action( 'woocommerce_before_shop_loop', 'woocommerce_result_count', 20 ); /*remove result count above products*/
remove_action( 'woocommerce_before_shop_loop', 'woocommerce_catalog_ordering', 30 ); /*remove woocommerce ordering dropdown*/

add_action( 'woocommerce_before_shop_loop', 'infinite_woocommerce_frontend_search_params', 20);

function infinite_woocommerce_frontend_search_params(){
	//used to show proper sidebar

	global $infinite_config;
	$infinite_config['current_page'] = 'shop_catalog';

	if($infinite_config['sidebar']){
		add_filter( 'loop_shop_columns', 'infinite_woocommerce_3_columns' );
	}



	$product_order['default'] 	= __("Default Order",'infinite-framework');
	$product_order['title'] 	= __("Name",'infinite-framework');
	$product_order['price'] 	= __("Price",'infinite-framework');
	$product_order['date'] 		= __("Date",'infinite-framework');
	$product_order['popularity'] = __("Popularity",'infinite-framework');

	$product_sort['asc'] 		= __("Click to order products ascending",  'infinite-framework');
	$product_sort['desc'] 		= __("Click to order products descending",  'infinite-framework');

	$per_page_string 		 	= __("Products per page",'infinite-framework');

	$count = $_SESSION['infinite_woocommerce']['product_count'];
	$order = $_SESSION['infinite_woocommerce']['product_order'];
	$sort = $_SESSION['infinite_woocommerce']['product_sort'];

	parse_str($_SERVER['QUERY_STRING'], $params);

	$order = array_key_exists($order, $product_order) ? $order : 'default';

	$per_page = of_get_option('woocommerce_product_count', 10);
	if(!$per_page) $per_page 	= get_option('posts_per_page');

	$html .= '<div class="product-sorting clearfix">';
	$html .= '<ul class="sort-param orderby">';
	$html .= '<li><span class="currently-selected">'.__('Sort By', 'infinite-framework').' <strong>'.$product_order[$order].'</strong> <i class="icon-angle-down"></i></span>';
	$html .= '<ul>';
	$html .= '<li><a href="'.infinite_woocomerce_build_query_string($params, 'product_order', 'default').'"'.infinite_sort_active_class($order, 'default').'>'.$product_order['default'].'</a></li>';
	$html .= '<li><a href="'.infinite_woocomerce_build_query_string($params, 'product_order', 'title').'"'.infinite_sort_active_class($order, 'title').'>'.$product_order['title'].'</a></li>';
	$html .= '<li><a href="'.infinite_woocomerce_build_query_string($params, 'product_order', 'price').'"'.infinite_sort_active_class($order, 'price').'>'.$product_order['price'].'</a></li>';
	$html .= '<li><a href="'.infinite_woocomerce_build_query_string($params, 'product_order', 'date').'"'.infinite_sort_active_class($order, 'date').'>'.$product_order['date'].'</a></li>';
	$html .= '<li><a href="'.infinite_woocomerce_build_query_string($params, 'product_order', 'popularity').'"'.infinite_sort_active_class($order, 'popularity').'>'.$product_order['popularity'].'</a></li>';
	$html .= '</li></ul></ul>';

	$html .= '<ul class="sort-param direction">';
	if($sort == 'desc')
		$html .= '<li><span class="currently-selected"><a href="'.infinite_woocomerce_build_query_string($params, 'product_sort', 'asc').'" title="'.$product_sort['asc'].'"><i class="icon-arrow-down"></i></a></span>';
	else
		$html .= '<li><span class="currently-selected"><a href="'.infinite_woocomerce_build_query_string($params, 'product_sort', 'desc').'" title="'.$product_sort['desc'].'"><i class="icon-arrow-up"></i></a></span>';
	$html .= '</ul>';

	$html .= '<ul class="sort-param perpage">';
	$html .= '<li><span class="currently-selected">'.__('Show', 'infinite-framework').'<strong> '.$count.' '.$per_page_string.' </strong><i class="icon-angle-down"></i></span>';
	$html .= '<ul>';
	$html .= '<li><a href="'.infinite_woocomerce_build_query_string($params, 'product_count', $per_page).'"'.infinite_sort_active_class($per_page, $count).'>'.($per_page).' '.$per_page_string.'</a></li>';
	$html .= '<li><a href="'.infinite_woocomerce_build_query_string($params, 'product_count', $per_page * 2).'"'.infinite_sort_active_class($per_page * 2, $count).'>'.($per_page * 2).' '.$per_page_string.'</a></li>';
	$html .= '<li><a href="'.infinite_woocomerce_build_query_string($params, 'product_count', $per_page * 3).'"'.infinite_sort_active_class($per_page * 3, $count).'>'.($per_page * 3).' '.$per_page_string.'</a></li>';
	$html .= '</li></ul></ul>';

	$html .= '</div>';


	echo $html;
}



add_filter( 'woocommerce_get_catalog_ordering_args','infinite_query_sort_args' );
function infinite_query_sort_args() {
	
	$config = array();

	$check = array('product_order', 'product_count', 'product_sort');

	foreach($check as $key){
		if(isset($_GET[$key]) ) $_SESSION['infinite_woocommerce'][$key] = esc_attr($_GET[$key]);
		if(isset($_SESSION['infinite_woocommerce'][$key]) ) $config[$key] = $_SESSION['infinite_woocommerce'][$key];
	}

	// Sort by and order
    $current_order = ( isset( $_SESSION['infinite_woocommerce']['product_order'] ) ) ? $_SESSION['infinite_woocommerce']['product_order'] : apply_filters( 'woocommerce_default_catalog_orderby', get_option( 'woocommerce_default_catalog_orderby' ) );
				        
	switch ( $current_order ) {
		case 'date' :
			$orderby = 'date';
			$order = 'desc';
			$meta_key = '';
		break;
		case 'price' :
			$orderby = 'meta_value_num';
			$order = 'asc';
			$meta_key = '_price';
		break;
		case 'title' :
			$orderby = 'title';
			$order = 'asc';
			$meta_key = '';
		break;
		case 'popularity' : 
			$orderby = 'meta_value_num'; 
			$order = 'desc'; 
			$meta_key = 'total_sales'; 
		break;
		default :
			$orderby = 'menu_order title';
			$order = 'asc';
			$meta_key = '';			
		break;
	}
    
    $args = array();
    		
    $args['orderby'] = $orderby;
   	$args['order'] = isset($_SESSION['infinite_woocommerce']['product_sort']) ? $_SESSION['infinite_woocommerce']['product_sort'] : $order;

   	$_SESSION['infinite_woocommerce']['product_order'] = $current_order;
   	$_SESSION['infinite_woocommerce']['product_sort'] = $args['order'];
				
    if ($meta_key) :
    	$args['meta_key'] = $meta_key;
    endif;
				
    return $args;
}


function infinite_woocommerce_product_count(){
	return $_SESSION['infinite_woocommerce']['product_count'];
}

function infinite_sort_active_class($key, $value){
	if($key == $value) return ' class="current-param" ';
	return '';
}

function infinite_woocomerce_build_query_string($params, $key, $value){
	$params[$key] = $value;
	return "?". http_build_query($params);
}

add_filter('woocommerce_show_page_title', 'infinite_hide_woocomerce_page_title');

function infinite_hide_woocomerce_page_title(){
	return false;
}




remove_action( 'woocommerce_before_single_product_summary', 'woocommerce_show_product_images', 20 );
remove_action( 'woocommerce_before_single_product_summary', 'woocommerce_show_product_sale_flash', 10 );

add_action( 'woocommerce_before_single_product_summary', 'infinite_woocommerce_show_product_images', 20 );

function infinite_woocommerce_show_product_images(){
	global $post, $woocommerce, $product;

	echo '<div class="images span4">';
	
	if ($product->is_on_sale()) :
		echo '<span class="onsale">'.__( 'Sale!', 'infinite-framework' ).'</span>';
	endif;

	$images = '';
	$thumbs = '';

	if ( has_post_thumbnail() ) {

		$image_title 		= esc_attr( get_the_title( get_post_thumbnail_id() ) );
		$image_link  		= wp_get_attachment_url( get_post_thumbnail_id() );
		$image       		= get_the_post_thumbnail( $post->ID, apply_filters( 'single_product_large_thumbnail_size', 'shop_single' ), array(
			'title' => $image_title
			) );
		$attachment_count   = count( $product->get_gallery_attachment_ids() );

		if ( $attachment_count > 0 ) {
			$gallery = '[product-gallery]';
		} else {
			$gallery = '';
		}

		echo sprintf( '<a href="%s" itemprop="image" class="woocommerce-main-image zoom" title="%s"  rel="prettyPhoto' . $gallery . '">%s</a>', $image_link, $image_title, $image );

	} else {
		echo sprintf( '<img src="%s" alt="Placeholder" />', woocommerce_placeholder_img_src());
	}


	$attachment_ids = $product->get_gallery_attachment_ids();

	if ( $attachment_ids ) {
		
		echo '<div class="thumbnails clearfix">';

		foreach ( $attachment_ids as $attachment_id ) {

			$classes = array( 'zoom', 'woocommerce-main-image' );

			$image_link = wp_get_attachment_url( $attachment_id );

			if ( ! $image_link )
				continue;

			$image       = wp_get_attachment_image( $attachment_id, apply_filters( 'single_product_small_thumbnail_size', 'shop_thumbnail' ) );
			$image_class = esc_attr( implode( ' ', $classes ) );
			$image_title = esc_attr( get_the_title( $attachment_id ) );

			echo sprintf( '<a href="%s" class="%s" title="%s"  rel="prettyPhoto[product-gallery]">%s</a>', $image_link, $image_class, $image_title, $image );

		}
		echo '</div>';
	}


	echo '</div>';

}


remove_action( 'woocommerce_after_single_product_summary', 'woocommerce_output_product_data_tabs', 10 );


add_action( 'woocommerce_after_single_product_summary', 'infinite_woocommerce_output_product_data_tabs', 10 );

function infinite_woocommerce_output_product_data_tabs() {
	$tabs = apply_filters( 'woocommerce_product_tabs', array() );

	if ( ! empty( $tabs ) ) :

		echo '<div class="woocommerce-tabs tab-container alt">';
		echo '	<ul class="tabs nav nav-tabs">';
				foreach ( $tabs as $key => $tab ) :
					echo '<li class="active '.$key.'_tab">';
					echo '	<a href="#tab-'. $key . '">'. apply_filters( 'woocommerce_product_' . $key . '_tab_title', $tab['title'], $key ) .'</a>';
					echo '</li>';
				 endforeach; 
		echo '	</ul>';
		echo '<div class="tab-content">';
			foreach ( $tabs as $key => $tab ) :

				echo '<div class="panel entry-content tab-pane" id="tab-'. $key .'">';
					 call_user_func( $tab['callback'], $key, $tab );
				echo '</div>';

			 endforeach;
		echo '</div>';
		echo '</div>';

	 endif;
}

remove_filter( 'woocommerce_product_tabs', 'woocommerce_default_product_tabs' );

add_filter( 'woocommerce_product_tabs', 'infinite_woocommerce_default_product_tabs' );

function infinite_woocommerce_default_product_tabs(){
	global $product, $post;

	// Description tab - shows product content
	if ( $post->post_content )
		$tabs['description'] = array(
			'title'    => __( 'Description', 'woocommerce' ),
			'priority' => 10,
			'callback' => 'woocommerce_product_description_tab'
		);

	// Additional information tab - shows attributes
	if ( $product->has_attributes() || ( get_option( 'woocommerce_enable_dimension_product_attributes' ) == 'yes' && ( $product->has_dimensions() || $product->has_weight() ) ) )
		$tabs['additional_information'] = array(
			'title'    => __( 'Additional Information', 'woocommerce' ),
			'priority' => 20,
			'callback' => 'woocommerce_product_additional_information_tab'
		);

	// Reviews tab - shows comments
	if ( comments_open() )
		$tabs['reviews'] = array(
			'title'    => sprintf( __( 'Reviews (%d)', 'woocommerce' ), $product->get_rating_count() ),
			'priority' => 30,
			'callback' => 'comments_template'
		);

	return $tabs;
}

remove_action( 'woocommerce_before_single_product', 'woocommerce_show_messages', 10 );
add_action( 'woocommerce_before_single_product', 'infinte_woocommerce_show_messages', 10 );

function infinte_woocommerce_show_messages() {
	global $woocommerce;

	//used to show proper sidebar

	global $infinite_config;
	$infinite_config['current_page'] = 'shop_product';


	if ( $woocommerce->error_count() > 0  ){
		$errors = $woocommerce->get_errors();
		foreach ($errors as $error) {
			echo '<div class="alert alert-error">';
				echo "<p>$error</p>";
			echo '</div>';
		}
	}


	if ( $woocommerce->message_count() > 0  ){
		$messages = $woocommerce->get_messages();
		foreach ($messages as $message) {
			echo '<div class="alert alert-success">';
				echo "<p>$message</p>";
			echo '</div>';
		}
	}	

	$woocommerce->clear_messages();
}

add_action( 'woocommerce_after_single_product_summary', 'infinite_wocommerce_social_share_icons', 11 );

function infinite_wocommerce_social_share_icons(){

	if(of_get_option('share_social_woocommerce', 'Yes') == 'Yes'):

		global $post;
		$permalink = get_permalink( $post->ID );
		$title = get_the_title( $post->ID );

		echo '<div class="post-share action noborder social-icon-container clearfix">';
			echo '<span>'.__('Share this product on your social platform !', 'infinite-framework').'</span>';
			echo '<ul>';
				echo '<li>';
					echo '<a class="social-icon" alt="Share using Facebook" data-toggle="tooltip" data-original-title="Facebook" target="_blank" href="http://www.facebook.com/share.php?u='.$permalink.'&title='.$title.'"><i class="icon-facebook"></i></a>';
					echo '<a class="social-icon" alt="Share using Twitter" data-toggle="tooltip" data-original-title="Twitter" target="_blank" href="http://twitter.com/home?status='.$permalink.'"><i class="icon-twitter"></i></a>';
					echo '<a class="social-icon" alt="Share using Google+" data-toggle="tooltip" data-original-title="Google+" target="_blank" href="https://plus.google.com/share?url='.$permalink.'"><i class="icon-google-plus"></i></a>';
					echo '<a class="social-icon" alt="Share using LinkedIn" data-toggle="tooltip" data-original-title="LinkedIn" target="_blank" href="http://www.linkedin.com/shareArticle?mini=true&url='.$permalink.'&title='.$title.'&source='.$permalink.'"><i class="icon-linkedin"></i></a>';
				echo '</li>';
			echo '</ul>';
		echo '</div>';

	endif;
	
}


add_action( 'woocommerce_before_shop_loop', 'infinite_add_products_container_tag', 30 );
add_action( 'woocommerce_after_shop_loop', 'infinite_add_products_container_tag_close', 5 );

function infinite_add_products_container_tag(){
	echo '<div id="woocommerce-products" class="clearfix">';
}

function infinite_add_products_container_tag_close(){
	echo '</div>';
}


add_filter('woocommerce_get_image_size_shop_catalog', 'infinite_woocommerce_catalog_size');
add_filter('woocommerce_get_image_size_shop_thumbnail', 'infinite_woocommerce_thumbnail_size');

function infinite_woocommerce_catalog_size(){
	return array('width' => 300, 'height' => 300, 'crop' => 1);
}

function infinite_woocommerce_thumbnail_size(){
	return array('width' => 120, 'height' => 120, 'crop' => 1);
}



add_filter('of_options', 'infinite_woocommerce_options');

function infinite_woocommerce_options($options) {

	 $options[] = array(
		'name' => __('WooCommerce', 'options_framework_theme'),
		'type' => 'heading');

	  $options[] = array(
	      'name' => 'Show Social Icons',
	      'desc' => 'Do you want to show social share icons on product pages ?',
	      'id' => 'share_social_woocommerce',
	      'std' => 'Yes',
	      'class' => 'mini',
	      'type' => 'select',
	      'options' => array('Yes' => 'Yes','No' => 'No')
	  );


	   $options[] = array(
	      'name' => 'Products per page',
	      'desc' => 'The number of products you want to display in the catalog page',
	      'id' => 'woocommerce_product_count',
	      'std' => '10',
	      'class' => 'mini',
	      'type' => 'select',
	      'options' => array('10' => 10, '20' => 20, '30' => 30, '40' => 40, '50' => 50)
	  );
 
 		$options[] = array(
	      'name' => 'Enable Sidebar for WooCommerce pages ?',
	      'desc' => 'Do you want to show sidebars in woocommerce pages ? You also need to add the widgets to WooCommerce Sidebars from Widgets section',
	      'id' => 'woocommerce_sidebar',
	      'std' => 'No',
	      'class' => 'mini',
	      'type' => 'select',
	      'options' => array('No' => 'No', 'Yes' => 'Yes')
	  );


 	 $options[] = array(
	      'name' => 'Show Title bar in woocommerce pages ?',
	      'desc' => 'Do you want to show the title bar with the page title and breadcrubs in all woocommerce pages ?',
	      'id' => 'woocommerce_show_titlebar',
	      'std' => 'Yes',
	      'class' => 'mini',
	      'type' => 'select',
	      'options' => array('No' => 'No', 'Yes' => 'Yes')
	  );

      return $options;
 }


//remove default woocommerce styles and make prettyPhoto mandatory
add_action('wp_enqueue_scripts', 'inifinite_woocommerce_required_scripts', 50);

function inifinite_woocommerce_required_scripts(){

	global $woocommerce, $post;

	if( is_product() || ( ! empty( $post->post_content ) && strstr( $post->post_content, '[product_page' ) ) ){

		$suffix = defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ? '' : '.min';
		
		if(!wp_script_is('prettyPhoto','enqueued'))
			wp_enqueue_script( 'prettyPhoto', $woocommerce->plugin_url() . '/assets/js/prettyPhoto/jquery.prettyPhoto' . $suffix . '.js', array( 'jquery' ), $woocommerce->version, true );

		if(!wp_script_is('prettyPhoto-init','enqueued'))
			wp_enqueue_script( 'prettyPhoto-init', $woocommerce->plugin_url() . '/assets/js/prettyPhoto/jquery.prettyPhoto.init' . $suffix . '.js', array( 'jquery' ), $woocommerce->version, true );

		if(!wp_style_is('woocommerce_prettyPhoto_css','enqueued'))
			wp_enqueue_style( 'woocommerce_prettyPhoto_css', $woocommerce->plugin_url() . '/assets/css/prettyPhoto.css' );

	}

	if(wp_style_is('woocommerce_frontend_styles','enqueued'))
			wp_dequeue_style('woocommerce_frontend_styles');


	wp_enqueue_style('scrollbar-css', get_stylesheet_directory_uri() . '/css/jquery.mCustomScrollbar.css');
	wp_enqueue_script( 'scrollbar', get_stylesheet_directory_uri() . '/js/jquery.mCustomScrollbar.concat.min.js',array('jquery'), 1, true );

	wp_enqueue_style( 'infinite-woocommerce-css', get_stylesheet_directory_uri().'/woocommerce/woocommerce.css');
	wp_enqueue_script( 'infinite-woocommerce-js', get_stylesheet_directory_uri().'/woocommerce/woocommerce.js' , array('jquery'), 1, true);

}

?>