<?php 
$csob_setting = csob_get_template_setting();
$sidebars = $csob_setting['sidebars'];

$csob_logo = get_option( 'csob_theme_options_logo_url' );
$top_banner_code = ot_get_option( 'top_banner_code' );
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo('charset'); ?>">                   
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php csob_print_page_title(); ?></title>     
    <link rel="profile" href="http://gmpg.org/xfn/11">           
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
    
    <?php if (ot_get_option('favicon')){
		echo '<link rel="shortcut icon" href="'. ot_get_option('favicon') .'" />';
	} 

	if (ot_get_option('ipad_retina_icon')){
		echo '<link rel="apple-touch-icon" sizes="144x144" href="'. ot_get_option('ipad_retina_icon') .'" >';
	} 

	if (ot_get_option('iphone_retina_icon')){
		echo '<link rel="apple-touch-icon" sizes="114x114" href="'. ot_get_option('iphone_retina_icon') .'" >';
	}

	if (ot_get_option('ipad_icon')){
		echo '<link rel="apple-touch-icon" sizes="72x72" href="'. ot_get_option('ipad_icon') .'" >';
	} 

	if (ot_get_option('iphone_icon')){
		echo '<link rel="apple-touch-icon" href="'. ot_get_option('iphone_icon') .'" >';
	} ?>
    
	
	<?php echo ot_get_option('analytics_code'); ?>
    <?php wp_head(); ?>
</head>   
<body <?php body_class(); ?>>
<header id="page-header">
    
    <div id="header-bottom">
        <div class="r-color"></div>
        <div class="wrapper">
            <div class="row-fluid">
                <div class="span12 clearfix">
                        <div id="logo-image">
							<?php 
							$default_logo = ot_get_option('logo_upload');
							$retina_logo = ot_get_option('retina_logo_upload');
							if (!$default_logo){
								echo '<a href="'. home_url() .'">
										<h1>', bloginfo('name') .'</h1>
									</a>';
							} else {
								if ($retina_logo){
									$retina_logo_width = ot_get_option('retina_logo_width');
									$retina_logo_width = str_replace("px", "", $retina_logo_width);
									$retina_logo_height = ot_get_option('retina_logo_height');
									$retina_logo_height = str_replace("px", "", $retina_logo_height);
									echo '<a href="'. home_url() .'">
										<img src="'. $default_logo .'" alt="', bloginfo('name') .'" class="default-logo" />
										<img src="'. $retina_logo .'" width="'. $retina_logo_width .'" height="'. $retina_logo_height .'" alt="', bloginfo('name') .'" class="retina-logo" />
									</a>';
								} else {
									echo '<a href="'. home_url() .'">
										<img src="'. $default_logo .'" alt="', bloginfo('name') .'" />
									</a>';
								}
							}
							
							?>
                        </div>
                        <!-- logo-image -->
                        <div class="top-banner">
                            <?php
							$phone_ad_image = ot_get_option('phone_ad_image');
							$phone_ad_link = ot_get_option('phone_ad_link');
							$ipad_por_image = ot_get_option('ipad_por_image');
							$ipad_por_link = ot_get_option('ipad_por_link');
							
							$ipad_lan_image = ot_get_option('ipad_lan_image');
							$ipad_lan_link = ot_get_option('ipad_lan_link');
							$desktop_ad_image = ot_get_option('desktop_ad_image');
							$desktop_ad_link = ot_get_option('desktop_ad_link');
							
							if (ot_get_option('top_banner_code')){
							echo htmlspecialchars_decode( stripslashes( $top_banner_code ) );
							} else {
								echo '<div class="td_mod_wrap">';
								
								echo '<div class="td-rec-phone td-rec-spot"><a href="' .$phone_ad_link. '" target="_blank"><img src="'. $phone_ad_image .'"/></a></div>';
								echo '<div class="td-rec-tablet-p td-rec-spot"><a href="' .$ipad_por_link. '" target="_blank"><img src="'. $ipad_por_image .'"/></a></div>';
								echo '<div class="td-rec-tablet-l td-rec-spot"><a href="' .$ipad_lan_link. '" target="_blank"><img src="'. $ipad_lan_image .'"/></a></div>';
								echo '<div class="td-rec-monitor td-rec-spot"><a href="' .$desktop_ad_link. '" target="_blank"><img src="'. $desktop_ad_image .'"/></a></div>';
								
								echo '</div>';
							} ?>
                        </div>
                        <!-- top-banner -->
                 </div>
                <!-- span12 -->
            </div>
            <!-- row-fluid -->
        </div>
        <!-- wrapper -->
    </div>
    <!-- header-bottom -->
	
	<div id="header-top" class="clearfix">
        <div class="r-color"></div>
        <div class="wrapper">
            <div class="row-fluid">
                <div class="span12 clearfix">
                    <div class="l-col">
                        <nav id="main-nav">
                            <?php 
                            if ( has_nav_menu( 'main-nav' ) ) {
                                wp_nav_menu( array(
                                    'theme_location' => 'main-nav',
                                    'container'      => '',
                                    'menu_id'        => 'main-menu',
                                    'items_wrap'     => '<ul id="%1$s" class="%2$s clearfix">%3$s</ul>'
                                ) );

                                $mobile_menu_walker = new csob_mobile_menu();
                                wp_nav_menu( array(
                                    'theme_location' => 'main-nav',
                                    'container'      => 'div',
                                    'container_id'   => 'mobile-menu',
                                    'menu_id'        => 'toggle-view-menu',
                                    'items_wrap'     => '<i class="moon-paragraph-justify-3" style="font-size: 20px;"></i><span>'.__( 'Menu', csob_get_domain() ).'</span><ul id="%1$s">%3$s</ul>',
                                    'walker'         => $mobile_menu_walker
                                ) );
                            } ?>
                        </nav>
                        <!-- main-nav -->
                    </div>
                    <!-- l-col -->
                    <div class="r-col" style="padding:0px;">                    
                        <?php get_search_form(); ?>
                    </div>
                    <!-- r-col -->
                </div>                
                <!-- span12 -->
            </div>
            <!-- row-fluid -->
        </div>
        <!-- wrapper -->
    </div>
    <!-- header-top -->
	
	
</header>
<!-- page-header -->

