<?php
add_action('wp_enqueue_scripts', 'add_scripts');
function add_scripts() {
	
	// jQuery
    wp_enqueue_script( 'jquery' );
	
	// Theme scripts
	wp_enqueue_script('main-scripts', CBES_JS . '/main.js', array('jquery'), '', true);
	
	// Responsive layout scripts
	if (ot_get_option('responsive_layout') == 'responsive_mobile' || ot_get_option('responsive_layout') == 'responsive_all') {
		if (ot_get_option('mobile-menu-simple')){
			wp_enqueue_script('mobile-menu-simple', CBES_JS . '/mobile-menu-simple.js', array('jquery'), '', true);
		} else {
			wp_enqueue_script('mobile-menu', CBES_JS . '/mobile-menu.js', array('jquery'), '', true);
		}
		
		wp_enqueue_script('fluid-video', CBES_JS . '/jquery.fitvids.js', array('jquery'), '', true);
	}
	
	// Portfolio
	if (is_page_template('page-portfolio.php')) {
		wp_enqueue_script('jquery-quicksand', CBES_JS . '/jquery.quicksand.js', array('jquery'), '', false);
		wp_enqueue_script('jquery-easing', CBES_JS . '/jquery.easing.1.3.js', array('jquery'), '', false);
		wp_enqueue_script('quicksand-custom', CBES_JS . '/quicksand.custom.js', array('jquery'), '', true);
	}
	wp_enqueue_style('portfolio-style', CBES_CSS . '/portfolio.css', false, '', 'all');
	
	
	
	// Responsive layout CSS
	if (ot_get_option('responsive_layout') == 'responsive_mobile') {
		wp_enqueue_style('responsive-css', CBES_CSS . '/responsive.css', array('dynamic-style'), '', 'all');
	} elseif (ot_get_option('responsive_layout') == 'responsive_all') {
		wp_enqueue_style('responsive-css', CBES_CSS . '/responsive-all.css', array('dynamic-style'), '', 'all');
	}
	
	// Comment Script
	if(is_singular() && comments_open()){
		wp_enqueue_script( 'comment-reply' ); 
	}

}
?>