<?php
function csb_widgets_init() {
	register_sidebar( array(
		'name' => __( 'Blog Sidebar', 'csb-admin' ),
		'id' => 'blog-widget-area',
		'description' => __( 'Blog widget area', 'csb-admin' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h3 class="block-title"><span>',
		'after_title' => '</span></h3>',
	) );
	
	register_sidebar( array(
		'name' => __( 'Default Page Sidebar', 'csb-admin' ),
		'id' => 'primary-widget-area',
		'description' => __( 'Default page widget area', 'csb-admin' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h3 class="block-title"><span>',
		'after_title' => '</span></h3>',
	) );
	
	register_sidebar( array(
		'name' => __( 'Search Page Sidebar', 'csb-admin' ),
		'id' => 'search-widget-area',
		'description' => __( 'Search page widget area', 'csb-admin' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h3 class="block-title"><span>',
		'after_title' => '</span></h3>',
	) );
	
	register_sidebar( array(
		'name' => __( 'Header Sidebar', 'csb-admin' ),
		'id' => 'header-widget-area',
		'description' => __( 'Header widget area', 'csb-admin' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<li class="block-title"><span>',
		'after_title' => '</span></li>',
	) );
	
	if(ot_get_option('top_bar')) {
		register_sidebar( array(
			'name' => __( 'Top Bar Sidebar Left', 'csb-admin' ),
			'id' => 'top-left-widget-area',
			'description' => __( 'Top bar widget area (align left)', 'csb-admin' ),
			'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
			'after_widget' => '</li>',
			'before_title' => '<li class="block-title"><span>',
			'after_title' => '</span></li>',
		) );
		
		register_sidebar( array(
			'name' => __( 'Top Bar Sidebar Right', 'csb-admin' ),
			'id' => 'top-right-widget-area',
			'description' => __( 'Top bar widget area (align right)', 'csb-admin' ),
			'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
			'after_widget' => '</li>',
			'before_title' => '<li class="block-title"><span>',
			'after_title' => '</span></li>',
		) );
	}
	
	register_sidebar( array(
		'name' => __( 'Footer Widget Area 1', 'csb-admin' ),
		'id' => 'first-footer-widget-area',
		'description' => __( 'The first footer widget area', 'csb-admin' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<div class="block-title"><span>',
		'after_title' => '</span></div>',
	) );
	
	register_sidebar( array(
		'name' => __( 'Footer Widget Area 2', 'csb-admin' ),
		'id' => 'second-footer-widget-area',
		'description' => __( 'The second footer widget area', 'csb-admin' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<div class="block-title"><span>',
		'after_title' => '</span></div>',
	) );
	
	register_sidebar( array(
		'name' => __( 'Footer Widget Area 3', 'csb-admin' ),
		'id' => 'third-footer-widget-area',
		'description' => __( 'The third footer widget area', 'csb-admin' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<div class="block-title"><span>',
		'after_title' => '</span></div>',
	) );
	
	register_sidebar( array(
		'name' => __( 'Footer Widget Area 4', 'csb-admin' ),
		'id' => 'fourth-footer-widget-area',
		'description' => __( 'The fourth footer widget area', 'csb-admin' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<div class="block-title"><span>',
		'after_title' => '</span></div>',
	) );
}

add_action( 'widgets_init', 'csb_widgets_init' );
?>