<?php

	/**
	 * List of available shortcodes
	 */
	function su_shortcodes( $shortcode = false ) {
	
	$menu_list = array();
	$menus = get_terms( 'nav_menu', array( 'hide_empty' => false ) );
	foreach ( $menus as $menu ) {
		$menu_list[] = $menu->name;
	}
	
		$shortcodes = array(
			# basic shortcodes - start
			'basic-shortcodes-open' => array(
				'name' => __( 'Frequently Needed Shortcodes', 'csb-admin' ),
				'type' => 'opengroup'
			),
				
				# column
				'column' => array(
					'name' => 'Columns',
					'type' => 'wrap',
					'atts' => array(
						'size' => array(
							'values' => array(
								'1-2',
								'1-3',
								'1-4',
								'1-5',
								'1-6',
								'2-3',
								'2-5',
								'3-4',
								'3-5',
								'4-5',
								'5-6'
							),
							'default' => '1-2',
							'desc' => __( 'Column width', 'csb-admin' )
						),
						'last' => array(
							'values' => array(
								'0',
								'1'
							),
							'default' => '0',
							'desc' => __( 'Last column <span>(0 = false, 1 = true)</span>', 'csb-admin' )
						)
					),
					'usage' => '[column size="1-2"] Content [/column]<br/>[column size="1-2" last="1"] Content [/column]',
					'content' => __( 'Column content', 'csb-admin' ),
					'desc' => __( 'Flexible columns', 'csb-admin' )
				),
				
				# heading
				'heading' => array(
					'name' => 'Heading',
					'type' => 'wrap',
					'atts' => array(
						'size' => array(
								'values' => array( ),
								'default' => '28',
								'desc' => __( 'Heading Size', 'csb-admin' )
							),
						'text_align' => array(
							'values' => array(
								'center',
								'right',
								'left'
							),
							'default' => 'left',
							'desc' => __( 'Text Align', 'csb-admin' )
						)
					),
					'usage' => '[heading text_align="" size=""] Content [/heading]',
					'content' => __( 'Heading text', 'csb-admin' ),
					'desc' => __( 'Styled heading', 'csb-admin' )
				),

				
				# spacer
				'spacer' => array(
					'name' => 'Spacer',
					'type' => 'single',
					'atts' => array(
						'size' => array(
							'values' => array( ),
							'default' => '20',
							'desc' => __( 'Spacer height in pixels', 'csb-admin' )
						)
					),
					'usage' => '[spacer size="20"]',
					'desc' => __( 'Empty space with adjustable height (White space)', 'csb-admin' )
				),
				
				# button
				'button' => array(
					'name' => 'Button',
					'type' => 'wrap',
					'atts' => array(
						'link' => array(
							'values' => array( ),
							'default' => '#',
							'desc' => __( 'Button link URL <span>(include http://)</span>', 'csb-admin' )
						),
						'target' => array(
							'values' => array(
								'self',
								'blank'
							),
							'default' => 'self',
							'desc' => __( 'Button link target', 'csb-admin' )
						),
						'icon' => array(
							'values' => array( ),
							'default' => '',
							'desc' => __( 'Add icon <span>(optional)</span>', 'csb-admin' ),
							'type' => 'icon'
						),
						'color' => array(
							'values' => array( ),
							'default' => '#2da5da',
							'desc' => __( 'Button background color <span>(Eg: #2da5da)</span>', 'csb-admin' )
						),
						'text' => array(
							'values' => array(
								'light',
								'dark'
							),
							'default' => 'light',
							'desc' => __( 'Text color', 'csb-admin' )
						)
					),
					'usage' => '[button link="#" size="3" style="3" dark="1" square="1" color=""] Button text [/button]',
					'content' => __( 'Button text', 'csb-admin' ),
					'desc' => __( 'Styled button', 'csb-admin' )
				),
				
				# list
				'list' => array(
					'name' => 'List',
					'type' => 'wrap',
					'atts' => array(
						'icon' => array(
							'values' => array( ),
							'default' => '',
							'desc' => __( 'Choose list item icon', 'csb-admin' ),
							'type' => 'icon'
						),
						'color' => array(
							'values' => array( ),
							'default' => ot_get_option('general_color'),
							'desc' => __( 'Icon color <span>(clear to use "Primary theme color")</span>', 'csb-admin' ),
							'type' => 'color'
						)
					),
					'usage' => '[list]',
					'content' => 'Item text',
					'desc' => __( 'List item with custom icon', 'csb-admin' )
				),
				
				# fancy_link
				'fancy_link' => array(
					'name' => 'Fancy link',
					'type' => 'single',
					'atts' => array(
						'link_text' => array(
							'values' => array( ),
							'default' => 'Learn More',
							'desc' => __( 'Link text', 'csb-admin' )
						),
						'url' => array(
							'values' => array( ),
							'default' => '#',
							'desc' => __( 'URL <span>(include http://)</span>', 'csb-admin' )
						),
						'float' => array(
							'values' => array(
								'none',
								'left',
								'right'
							),
							'default' => 'none',
							'desc' => __( 'Choose left or right link position', 'csb-admin' ),
						)
						
					),
					'usage' => '[fancy_link] Read more [/fancy_link]',
					'content' => __( 'Link text', 'csb-admin' ),
					'desc' => __( 'Styled link', 'csb-admin' )
				),
				
				# divider
				'divider' => array(
					'name' => 'Divider',
					'type' => 'single',
					'atts' => array(
						'style' => array(
							'values' => array(
								'default',
								'with-link-to-top',
								'with-bottom-pointer',
								'with-top-pointer'
							),
							'default' => 'default',
							'desc' => __( 'Choose divider style', 'csb-admin' )
						),
						'color' => array(
								'values' => array( ),
								'default' => '#E7E7E7',
								'desc' => __( 'Divider color', 'csb-admin' ),
								'type' => 'color'
						)				
					),
					'usage' => '[divider top="1"]',
					'desc' => __( 'Content divider with 4 styles', 'csb-admin' )
				),
			
			# basic shortcodes - end
			'basic-shortcodes-close' => array(
				'type' => 'closegroup'
			),
			
			# slider shortcodes - start
			'slider-shortcodes-open' => array(
				'name' => __( 'Slider Shortcodes', 'csb-admin' ),
				'type' => 'opengroup'
			),
				
	
				# Featured post carousel
				'fp_carousel' => array(
					'name' => 'Post carousel',
					'type' => 'single',
					'atts' => array(
						'width' => array(
							'values' => false,
							'default' => '1000',
							'desc' => __( 'Slider width', 'csb-admin' )
						),
						'height' => array(
							'values' => false,
							'default' => '200',
							'desc' => __( 'Slider height <span>(min = 130)</span>', 'csb-admin' )
						),
						'items' => array(
							'values' => array(
								'3',
								'4',
								'5'
							),
							'default' => '5',
							'desc' => __( 'Number of items in one slide', 'csb-admin' )
						),
						'num' => array(
							'values' => false,
							'default' => '-1',
							'desc' => __( 'How many post rotate <span>(-1 = all posts)</span>', 'csb-admin' )
						),
						'speed' => array(
							'values' => false,
							'default' => '600',
							'desc' => __( 'Animation speed <span>(1000 = 1 second)</span>', 'csb-admin' )
						),
						'cat' => array(
							'values' => false,
							'default' => '',
							'desc' => __( 'Category <span>SLUG</span>', 'csb-admin' )
						),
						'tag' => array(
							'values' => false,
							'default' => '',
							'desc' => __( 'Tag <span>SLUG</span>', 'csb-admin' )
						),
						'orderby' => array(
							'values' => array(
								'ID',
								'author',
								'title',
								'date',
								'modified',
								'parent',
								'rand',
								'comment_count'	
							),
							'default' => 'date',
							'desc' => __( 'Order by', 'csb-admin' )
						),
						'post_type' => array(
							'values' => false,
							'default' => 'post',
							'desc' => __( 'Post type', 'csb-admin' )
						),
						'include' => array(
							'values' => false,
							'default' => '',
							'desc' => __( 'Include <span>(post IDs comma separated)</span>', 'csb-admin' )
						),
						'exclude' => array(
							'values' => false,
							'default' => '',
							'desc' => __( 'Exclude <span>(post IDs comma separated)</span>', 'csb-admin' )
						)
					),
					'usage' => '[fp_carousel]',
					'desc' => __( 'Featured post slider', 'csb-admin' )
				),

			# slider shortcodes - end
			'slider-shortcodes-close' => array(
				'type' => 'closegroup'
			),
			
			
			# content shortcodes - start
			'content-shortcodes-open' => array(
				'name' => __( 'Other Shortcodes', 'csb-admin' ),
				'type' => 'opengroup'
			),
			
				# author_info
				'author_info' => array(
					'name' => 'Awesome Author info',
					'type' => 'wrap',
					'atts' => array(
						'banner_img' => array(
								'values' => array( ),
								'default' => '',
								'desc' => __( 'Banner Image', 'csb-admin' )
							),
						'author_img' => array(
								'values' => array( ),
								'default' => '',
								'desc' => __( 'Author Image', 'csb-admin' )
							),
						'name' => array(
								'values' => array( ),
								'default' => '',
								'desc' => __( 'Author Name', 'csb-admin' )
							),
						'profession' => array(
								'values' => array( ),
								'default' => '',
								'desc' => __( 'Author Profession', 'csb-admin' )
							),
					),
					'usage' => '[author_info banner_img="" author_img="" name="" profession="" content=""][/author_info]',
					'content' => __( 'Author Info', 'csb-admin' ),
					'desc' => __( 'Author Info', 'csb-admin' )
				),
				
				# quote
				'quote' => array(
					'name' => 'Quote',
					'type' => 'wrap',
					'atts' => array(
						'author' => array(
								'values' => array( ),
								'default' => __( 'Author Name', 'csb-admin' ),
								'desc' => __( 'Author of a Quote <span>(Can be empty)</span>', 'csb-admin' )
						)
					),
					'usage' => '[quote] Content [/quote]',
					'content' => __( 'Quote text', 'csb-admin' ),
					'desc' => __( 'Blockquote alternative', 'csb-admin' )
				),
				# pullquote
				'pullquote' => array(
					'name' => 'Pullquote',
					'type' => 'wrap',
					'atts' => array(
						'align' => array(
							'values' => array(
								'left',
								'right'
							),
							'default' => 'left',
							'desc' => __( 'Pullquote alignment', 'csb-admin' )
						)
					),
					'usage' => '[pullquote align="left"] Content [/pullquote]',
					'content' => __( 'Pullquote', 'csb-admin' ),
					'desc' => __( 'Styled pullquote', 'csb-admin' )
				),
				
				# testimonials
				'testimonials_slider' => array(
					'name' => 'Testimonials slider',
					'type' => 'wrap',
					'atts' => array(
					),
					'usage' => '[testimonials_slider][testimonial author="autrhor"] Tab content [/testimonial] [testimonials]',
					'content' => __( '[testimonial author=&quot;Author Name&quot;] Quote text [/testimonial][testimonial author=&quot;Author Name&quot;] Quote text 2[/testimonial]', 'csb-admin' ),
					'desc' => __( 'Testimonials slider (used with "Testimonial" shortcode)', 'csb-admin' )
				),
				# testimonial
				'testimonial' => array(
					'name' => 'Testimonial',
					'type' => 'wrap',
					'atts' => array(
						'author' => array(
							'values' => array( ),
							'default' => __( 'Author Name', 'csb-admin' ),
							'desc' => __( 'Author', 'csb-admin' )
						)
					),
					'usage' => '[testimonials] [testimonial author="autrhor"] content [/testimonial] [/testimonials]',
					'content' => __( 'Testimonial text', 'csb-admin' ),
					'desc' => __( 'User testimonial', 'csb-admin' )
				),
				# testimonial image
				'img_testimonial' => array(
					'name' => 'Testimonial with image',
					'type' => 'wrap',
					'atts' => array(
						'img' => array(
							'values' => array( ),
							'default' => __( '', 'csb-admin' ),
							'desc' => __( 'Image URL <span>(include http://)</span>', 'csb-admin' )
						),						
						'author' => array(
							'values' => array( ),
							'default' => __( 'Author Name', 'csb-admin' ),
							'desc' => __( 'Author', 'csb-admin' )
						)
					),
					'usage' => '[testimonials] [testimonial author="autrhor"] content [/testimonial] [/testimonials]',
					'content' => __( 'Testimonial text', 'csb-admin' ),
					'desc' => __( 'Large testimonial with user photo', 'csb-admin' )
				),
		
				
				# highlight
				'highlight' => array(
					'name' => 'Highlight',
					'type' => 'wrap',
					'atts' => array(
						'bg' => array(
							'values' => array( ),
							'default' => '#DDFF99',
							'desc' => __( 'Background color', 'csb-admin' ),
							'type' => 'color'
						),
						'color' => array(
							'values' => array( ),
							'default' => '#000000',
							'desc' => __( 'Text color', 'csb-admin' ),
							'type' => 'color'
						)
					),
					'usage' => '[highlight bg="#fc0" color="#000"] Content [/highlight]',
					'content' => __( 'Highlighted text', 'csb-admin' ),
					'desc' => __( 'Highlighted text', 'csb-admin' )
				),
				
				# dropcap
				'dropcap' => array(
					'name' => 'Dropcap',
					'type' => 'wrap',
					'atts' => array(
						'bg' => array(
							'values' => array( ),
							'default' => '#222222',
							'desc' => __( 'Background color', 'csb-admin' ),
							'type' => 'color'
						),
						'color' => array(
							'values' => array( ),
							'default' => '#ffffff',
							'desc' => __( 'Text color', 'csb-admin' ),
							'type' => 'color'
						)
					),
					'usage' => '[dropcap style=""] [/dropcap]',
					'content' => 'A',
					'desc' => __( 'Styled dropcaps', 'csb-admin' )
				),
				

				# box
				'box' => array(
					'name' => 'Box',
					'type' => 'wrap',
					'atts' => array(
						'title' => array(
							'values' => array( ),
							'default' => __( 'Box title', 'csb-admin' ),
							'desc' => __( 'Box title', 'csb-admin' )
						),
						'color' => array(
							'values' => array( ),
							'default' => '#333333',
							'desc' => __( 'Box color', 'csb-admin' ),
							'type' => 'color'
						)
					),
					'usage' => '[box title="Box title" color="#f00"] Content [/box]',
					'content' => __( 'Box content', 'csb-admin' ),
					'desc' => __( 'Colored box with title', 'csb-admin' )
				),
				# note
				'note' => array(
					'name' => 'Note',
					'type' => 'wrap',
					'atts' => array(
						'color' => array(
							'values' => array( ),
							'default' => '#FFCC00',
							'desc' => __( 'Note color', 'csb-admin' ),
							'type' => 'color'
						)
					),
					'usage' => '[note color="#FFCC00"] Content [/note]',
					'content' => __( 'Note text', 'csb-admin' ),
					'desc' => __( 'Colored note box', 'csb-admin' )
				),
				# callout
				'callout' => array(
					'name' => 'Call Out',
					'type' => 'wrap',
					'atts' => array(
							'add_button' => array(
								'values' => array(
									'yes',
									'no'
								),
								'default' => 'no',
								'desc' => __( 'Show button?', 'csb-admin' )
							),
							'button_text' => array(
								'values' => array( ),
								'default' => __( 'Learn More', 'csb-admin' ),
								'desc' => __( 'Button text', 'csb-admin' )
							),
							'button_url' => array(
								'values' => array( ),
								'default' => __( '#', 'csb-admin' ),
								'desc' => __( 'Button URL <span>(include http://)</span>', 'csb-admin' )
							),
							'button_icon' => array(
								'values' => array( ),
								'default' => '',
								'desc' => __( 'Button Icon <span>(optional)</span>', 'csb-admin' ),
								'type' => 'icon'
							),
							'button_color' => array(
								'values' => array( ),
								'default' => ot_get_option('general_color'),
								'desc' => __( 'Button color <span>(clear to use "Primary theme color")</span>', 'csb-admin' ),
								'type' => 'color'
							)
					),		
					'usage' => '[callout color="#FFCC00"] Content [/callout]',
					'content' => __( '<h4><strong>This is title</strong></h4>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Curabitur mollis nisl.', 'csb-admin' ),
					'desc' => __( 'Call out box', 'csb-admin' )
				),			
								
				# post shortcode
				'show_posts' => array(
					'name' => 'Show posts',
					'type' => 'single',
					'atts' => array(
						'category' => array(
							'values' => false,
							'default' => '',
							'desc' => __( 'Category SLUG', 'csb-admin' )
						),
						'tag' => array(
							'values' => false,
							'default' => '',
							'desc' => __( 'Tag SLUG', 'csb-admin' )
						),
						'type' => array(
							'values' => array(
								'excerpt',
								'thumbnail-excerpt',
								'full-content'
							),
							'default' => 'excerpt',
							'desc' => __( 'Content type', 'csb-admin' )
						),	
						'excerpt_words' => array(
							'values' => false,
							'default' => '18',
							'desc' => __( 'Words in excerpt', 'csb-admin' )
						),
						'limit' => array(
							'values' => false,
							'default' => '3',
							'desc' => __( 'Number of posts', 'csb-admin' )
						),
						'paging' => array(
							'values' => array(
								'false',
								'true'
							),
							'default' => 'false',
							'desc' => __( 'Show paging?', 'csb-admin' )
						),
						'orderby' => array(
							'values' => array(
								'ID',
								'author',
								'title',
								'date',
								'modified',
								'parent',
								'rand',
								'comment_count'	
							),
							'default' => 'date',
							'desc' => __( 'Order by', 'csb-admin' )
						),
						'order' => array(
							'values' => array(
								'ASC',
								'DESC'
							),
							'default' => 'DESC',
							'desc' => __( 'Order', 'csb-admin' )
						),	
						'offset' => array(
							'values' => false,
							'default' => '0',
							'desc' => __( 'Offset', 'csb-admin' )
						),
						'post_type' => array(
							'values' => false,
							'default' => 'post',
							'desc' => __( 'Post type', 'csb-admin' )
						),
						'id' => array(
							'values' => false,
							'default' => '',
							'desc' => __( 'Post ID', 'csb-admin' )
						)
					),
					'usage' => '[show_posts]',
					'desc' => __( 'Display your latest posts or posts from certain categories', 'csb-admin' )
				),
				
				# accordion
				'accordion' => array(
					'name' => 'Accordion',
					'type' => 'wrap',
					'atts' => array( ),
					'usage' => '[accordion]<br/>[spoiler open="true"] content [/spoiler]<br/>[spoiler] content [/spoiler]<br/>[spoiler] content [/spoiler]<br/>[/accordion]',
					'content' => '[spoiler] content [/spoiler][spoiler] content 2 [/spoiler]',
					'desc' => __( 'Toggle view content / FAQ', 'csb-admin' )
				),
						
				# spoiler
				'spoiler' => array(
					'name' => 'Spoiler',
					'type' => 'wrap',
					'atts' => array(
						'title' => array(
							'values' => array( ),
							'default' => __( 'Spoiler title', 'csb-admin' ),
							'desc' => __( 'Spoiler title', 'csb-admin' )
						),
						'open' => array(
							'values' => array(
								'0',
								'1'
							),
							'default' => '0',
							'desc' => __( 'Open by default? <span>(0 = false, 1 = true)</span>', 'csb-admin' )
						),
						'style' => array(
							'values' => array(
								'1',
								'2'
							),
							'default' => '1',
							'desc' => __( 'Spoiler style', 'csb-admin' )
						)
					),
					'usage' => '[spoiler title="Spoiler title"] Hidden text [/spoiler]',
					'content' => __( 'Hidden content', 'csb-admin' ),
					'desc' => __( 'Toggle hidden text / FAQ', 'csb-admin' )
				),

				# skillbar
				'skillbar' => array(
					'name' => 'Skillbar',
					'type' => 'single',
					'atts' => array(
						'title' => array(
							'values' => array( ),
							'default' => 'WordPress',
							'desc' => __( 'Bar title', 'csb-admin' )
						),
						'level' => array(
							'values' => array( ),
							'default' => '80',
							'desc' => __( 'Level', 'csb-admin' )
						)
					),
					'usage' => '[skill]',
					'desc' => __( 'Show skill level', 'csb-admin' )
				),				
								
				# tabs
				'tabs' => array(
					'name' => 'Tabs',
					'type' => 'wrap',
					'atts' => array(
						'style' => array(
							'values' => array(
								'1',
								'2'
							),
							'default' => '1',
							'desc' => __( 'Tabs style', 'csb-admin' )
						)
					),
					'usage' => '[tabs style="1"] [tab title="Tab name"] Tab content [/tab] [/tabs]',
					'content' => '[tab title=&quot;Tab name&quot;] Tab content [/tab][tab title=&quot;Tab name 2&quot;] Tab content 2[/tab]',
					'desc' => __( 'Tabs container (Use with TAB shortcode)', 'csb-admin' )
				),
				# tab
				'tab' => array(
					'name' => 'Tab',
					'type' => 'wrap',
					'atts' => array(
						'title' => array(
							'values' => array( ),
							'default' => __( 'Title', 'csb-admin' ),
							'desc' => __( 'Tab title', 'csb-admin' )
						),
						'icon' => array(
							'values' => array( ),
							'default' => '',
							'desc' => __( 'Icon', 'csb-admin' ),
							'type' => 'icon'
						)
					),
					'usage' => '[tabs style="1"] [tab title="Tab name"] Tab content [/tab] [/tabs]',
					'content' => __( 'Tab content', 'csb-admin' ),
					'desc' => __( 'Single tab', 'csb-admin' )
				),
								
				# clients
				'client' => array(
					'name' => 'Client',
					'type' => 'single',
					'atts' => array(
						'logo' => array(
							'values' => array( ),
							'default' => '',
							'desc' => __( 'Logo IMG URL<span>(min width: 280px) (include http://)</span>', 'csb-admin' )
						),
						'link' => array(
							'values' => array( ),
							'default' => '',
							'desc' => __( 'Client container URL <span>(optional) (include http://)</span>', 'csb-admin' )
						),
						'align' => array(
							'values' => array(
								'center',
								'left',
								'right'
							),
							'default' => 'center',
							'desc' => __( 'Image align', 'csb-admin' )
						)
					),
					'usage' => '[client]',
					'desc' => __( 'Add styled client or partner logo', 'csb-admin' )
				),
				
				# menu
				'sitemap' => array(
					'name' => 'Sitemap',
					'type' => 'single',
					'atts' => array(
						'name' => array(
							'values' => $menu_list,
							'default' => '',
							'desc' => __( 'Choose custom menu', 'csb-admin' )
						)
					),
					'usage' => '[sitemap name="Main menu"]',
					'desc' => __( 'Sitemap style for custom menu', 'csb-admin' )
				),

				# document
				'document' => array(
					'name' => 'Document',
					'type' => 'single',
					'atts' => array(
						'file' => array(
							'values' => false,
							'default' => '',
							'desc' => __( 'Document URL <span>(include http://)</span>', 'csb-admin' )
						),
						'width' => array(
							'values' => false,
							'default' => '600',
							'desc' => __( 'Width', 'csb-admin' )
						),
						'height' => array(
							'values' => false,
							'default' => '400',
							'desc' => __( 'Height', 'csb-admin' )
						)
					),
					'usage' => '[document file="file.doc" width="600" height="400"]',
					'desc' => __( '.doc, .xls, .pdf viewer by Google', 'csb-admin' )
				),
				
				
				# gmap
				'gmap' => array(
					'name' => 'Gmap',
					'type' => 'single',
					'atts' => array(
						'width' => array(
							'values' => false,
							'default' => '600',
							'desc' => __( 'Width', 'csb-admin' )
						),
						'height' => array(
							'values' => false,
							'default' => '400',
							'desc' => __( 'Height', 'csb-admin' )
						),
						'address' => array(
							'values' => false,
							'default' => '',
							'desc' => __( 'Marker address', 'csb-admin' )
						),
					),
					'usage' => '[gmap width="600" height="400" address="Russia, Moscow"]',
					'desc' => __( 'Maps by Google', 'csb-admin' )
				),
				
				# contact info
				'contact_info' => array(
					'name' => 'Contact Info',
					'type' => 'wrap',
					'atts' => array(
						'address' => array(
							'values' => array( ),
							'default' => __( '13, Main St, LocalHost, Uk', 'csb-admin' ),
							'desc' => __( 'Address : ', 'csb-admin' )
						),
						'phone' => array(
							'values' => array( ),
							'default' => __( '+61 (123) 456 789', 'csb-admin' ),
							'desc' => __( 'Phone Number :', 'csb-admin' )
						),
						'fax' => array(
							'values' => array( ),
							'default' => __( '+61 (123) 456 789', 'csb-admin' ),
							'desc' => __( 'Fax Number :', 'csb-admin' )
						),
						'email' => array(
							'values' => array( ),
							'default' => __( 'test@yoursite.com', 'csb-admin' ),
							'desc' => __( 'Email :', 'csb-admin' )
						),
						'website' => array(
							'values' => array( ),
							'default' => __( 'http://www.yoursite.com', 'csb-admin' ),
							'desc' => __( 'Website :', 'csb-admin' )
						)
					),
					'usage' => '[contact][/contact]',
					'content' => '',
					'desc' => __( 'Contact info', 'csb-admin' )
				),
				
				# clear
				'clear' => array(
					'name' => 'Clear',
					'type' => 'single',
					'atts' => array(),
					'usage' => '[clear]',
					'desc' => __( 'Clear floats after elements', 'csb-admin' )
				),
			
			# content shortcodes - end
			'content-shortcodes-close' => array(
				'type' => 'closegroup'
			),
			
		);

		if ( $shortcode )
			return $shortcodes[$shortcode];
		else
			return $shortcodes;
	}

?>