<?php
/*
Contact Info
*/


class WP_Contact_Info_Widget extends WP_Widget {

	function WP_Contact_Info_Widget()
	{
		$widget_ops = array('description' => __('Display your contact information. To edit this field on Theme Options -> Contact Info', 'csb-admin') );
		
		$this->WP_Widget( 'contact_info', __('Contact Info', 'csb-admin'), $widget_ops );
	}
	
	function widget( $args, $instance )
	{
		extract($args);
		
		$title = apply_filters('widget_title', empty($instance['title']) ? __('', 'csb-admin') : $instance['title'], $instance, $this->id_base);
		
		echo $before_widget;
		
		if ( !empty( $title ) ) { echo $before_title . $title . $after_title; }

			if (ot_get_option('contact_info_address')) {
			echo '<span>', ot_get_option('contact_info_address') .'</span><br>';
			}
			
			if (ot_get_option('contact_info_telephone')) {
			echo '<span>', ot_get_option('contact_info_telephone') .'</span><br>';
			}
			
			if (ot_get_option('contact_info_fax')) {
			echo '<span>', ot_get_option('contact_info_fax') .'</span><br>';
			}
			
			if (ot_get_option('contact_info_email')) {
			echo '<span><a href="mailto:', ot_get_option('contact_info_email') .'" style="color:', ot_get_option('general_color') .';" target="_blank"> ', ot_get_option('contact_info_email') .'</a></span><br>';
			}
			
			if (ot_get_option('contact_info_site')) {
			echo '<span><a href="', ot_get_option('contact_info_site') .'" style="color:', ot_get_option('general_color') .';" target="_blank"> ', ot_get_option('contact_info_site') .'</a></span><br>';
			}
											
		echo $after_widget;
	}

	function update( $new_instance, $old_instance )
	{
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		return $instance;
	}

	function form( $instance )
	{		
		$instance = wp_parse_args( (array) $instance, array( 'title' => '' ) );
		$title = strip_tags($instance['title']);
		
		?>
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>">Title:</label>
			<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo esc_attr($title); ?>" />
		</p>
		<?php
	}
}

function register_contact_info() {
	register_widget( 'WP_Contact_Info_Widget' );
}

add_action( 'widgets_init', 'register_contact_info' );
?>