<?php
if (!function_exists('save_general_setting')) {

    function save_general_setting() {
        if (!wp_verify_nonce($_POST['wpnonce_save_theme_options'], 'save_general_setting'))
            exit();
        $data = $_POST;
        foreach ($data as $key => $value) {
            if (strpos($key, 'csob_theme_options_') === 0) {
                update_option($key, $value);
            }
        }
        exit();
    }

    add_action('wp_ajax_save_general_setting', 'save_general_setting');
}
/* ==============================================================================
 * Remove Sidebar
  =============================================================================== */
if (!function_exists('csob_remove_sidebar')) {

    function csob_remove_sidebar() {
        if (!wp_verify_nonce($_POST['wpnonce'], 'save_sidebar_setting'))
            exit();

        if (!empty($_POST['removed_sidebar_id'])) {
            $removed_sidebar_id = ($_POST['removed_sidebar_id']);
            if ($removed_sidebar_id === 'sidebar_hide') {
                echo json_encode(array("is_exist" => true, "error_message" => "You can not remove this sidebar!"));
            } else {
                $csob_sidebar = get_option("csob_sidebar", array());
                $found_sidebar = false;
                foreach ($csob_sidebar as $e_sidebar_id => $e_sidebar_name) {
                    if ($removed_sidebar_id === $e_sidebar_id) {
                        $found_sidebar = true;
                    }
                }
                if ($found_sidebar) {
                    $csob_setting = get_option('csob_setting', array());
                    $found_setting = false;
                    foreach ($csob_setting as $csob_setting_key => $csob_setting_value) {
                        foreach ($csob_setting_value['sidebars'] as $key => $value) {
                            if ($removed_sidebar_id === $value) {
                                $found_setting = true;
                                $layout_id = $csob_setting_key;
                            }
                        }
                    }
                    if ($found_setting) {
                        $csob_template_hierarchy = unserialize(CSOB_TEMPLATE_HIERARCHY);
                        echo json_encode(array("is_exist" => true, "error_message" => "You can not remove this sidebar. It is in used for " . $csob_template_hierarchy[$layout_id]['title'] . ' page'));
                    } else {
                        unset($csob_sidebar[$removed_sidebar_id]);
                        update_option("csob_sidebar", $csob_sidebar);
                        echo json_encode(array("is_exist" => false, "error_message" => "successfull"));
                    }
                }
            }
        }
        exit();
    }

    add_action('wp_ajax_csob_remove_sidebar', 'csob_remove_sidebar');
}
////////////////////////////////////////////////////////
if (!function_exists('csob_add_sidebar')) {

    function csob_add_sidebar() {
        if (!wp_verify_nonce($_POST['wpnonce'], 'save_sidebar_setting'))
            exit();
        if (!empty($_POST['new_sidebar_name'])) {
            $csob_sidebar_name = ($_POST['new_sidebar_name']);
            $csob_sidebar = get_option("csob_sidebar", array());
            $sidebar_id = strtolower(trim(str_replace(" ", "_", $csob_sidebar_name)));
            $found_sidebar = false;
            foreach ($csob_sidebar as $e_sidebar_id => $e_sidebar_name) {
                if ($sidebar_id === $e_sidebar_id) {
                    $found_sidebar = true;
                }
            }
            if ($found_sidebar) {
                $error_message = 'The sidebar name "' . $csob_sidebar_name . '" already exist!';
                echo json_encode(array("is_exist" => true, "error_message" => $error_message, "sidebar_id" => $sidebar_id));
            } else {
                echo json_encode(array("is_exist" => false, "error_message" => "", "sidebar_id" => $sidebar_id));
                $csob_sidebar[$sidebar_id] = $csob_sidebar_name;
                update_option("csob_sidebar", $csob_sidebar);
            }
        }
        exit();
    }

    add_action('wp_ajax_csob_add_sidebar', 'csob_add_sidebar');
}
////////////////////////////////////////////////////////
if (!function_exists('save_sidebar_setting')) {

    function save_sidebar_setting() {
        if (!wp_verify_nonce($_POST['wpnonce'], 'save_sidebar_setting'))
            exit();
        if (!empty($_POST[csob_sidebar])) {
            $csob_sidebar_name_arr = ($_POST[csob_sidebar]);
            $csob_sidebar_existing = get_option("csob_sidebar", array());

            foreach ($csob_sidebar_name_arr as $key => $value) {
                $sidebar_id = \trim(str_replace(" ", "_", $value)) . $key;
                if (in_array($sidebar_id, $csob_sidebar_existing)) {
                    $sidebar_id = $sidebar_id . 'csob';
                }
                $csob_sidebar[$sidebar_id] = $value;
            }
            update_option("csob_sidebar", $csob_sidebar);
        }
        exit();
    }

    add_action('wp_ajax_save_sidebar_setting', 'save_sidebar_setting');
}
////////////////////////////////////////////////////////
if (!function_exists('save_layout')) {

    function save_layout() {
        $csob_setting = get_option('csob_setting');
        if (!wp_verify_nonce($_POST['wpnonce'], 'save_layout_setting'))
            exit();
        if (!empty($_POST)) {
            $new_csob_setting = $_POST['csob_setting'];
            $template_id = $_POST['template_id'];

            $csob_setting[$template_id] = $new_csob_setting[0];
            update_option("csob_setting", $csob_setting);
        }
        exit();
    }

    add_action('wp_ajax_save_layout', 'save_layout');
}

if (!function_exists('load_layout')) {

    function load_layout() {
        if (!wp_verify_nonce($_POST['wpnonce'], 'load_layout_setting'))
            exit();
        if (!empty($_POST)) {
            echo csob_layout_page($_POST['csob_template_id']);
        }
        exit();
    }

    add_action('wp_ajax_load_layout', 'load_layout');
}

function csob_layout_page($_csob_template_id) {
    $csob_layout = unserialize(CSOB_LAYOUT);
    $csob_template_hierarchy = unserialize(CSOB_TEMPLATE_HIERARCHY);
    $csob_sidebar_position = unserialize(CSOB_SIDEBAR_POSITION);
    $csob_setting = get_option('csob_setting');
    $csob_sidebar = get_option('csob_sidebar');
    wp_nonce_field("load_layout_setting", "nonce_id");
    wp_nonce_field("save_layout_setting", "nonce_id_save");
    ?>
    <div id="csob-admin-wrapper" class="clearfix">
        <div id="csob-loading-gif"></div>
        <input type="hidden" id="csob_template_id" value="<?php echo $_csob_template_id; ?>">
        <?php
        if ($csob_template_hierarchy) {
            echo '<div class="csob-nav list-container">
                <ul class="tabs clearfix">';
            foreach ($csob_template_hierarchy as $csob_template_key => $csob_template_value) {
                if ($csob_template_key === $_csob_template_id)
                    $_active = "class='active'";
                else {
                    $_active = '';
                }
                echo '<li ' . $_active . '><span title="' . $csob_template_key . '" onclick="load_layout_setting(jQuery(this))">' . $csob_template_value['title'] . '</span></li>';
            }
            echo '</ul><!--tabs--->
             </div><!--csob-nav-->';
        }
        ?>
        <div class="csob-content">
            <div class="csob-page-header clearfix">
                <div class="pull-left">
                    <h4><i class="icon-cog"></i>Layout And Sidebar Manager</h4>
                </div>
                <div class="pull-right">
                    <div class="csob-copyrights">
                        <span>Visit author URL: </span><a href="http://cyberspacebuilder.com" target="_blank">http://cyberspacebuilder.com</a>
                    </div><!--="csob-copyrights-->
                </div>
            </div><!--csob-page-header-->
            <div class="tab-container">
                <div class="csob-content-box tab-content csob-content-main-box" id="<?php echo $_csob_template_id; ?>">
                    <div class="csob-actions clearfix">
                        <div class="csob-button">
                            <span class="btn btn-primary" onclick="save_layout_setting(jQuery(this))"><i class="icon-ok-circle"></i>Save</span>
                        </div>
                    </div><!--csob-actions-->
                    <div class="csob-box-head">
                        <i class="icon-hand-right"></i>
                        <span class="csob-section-title"><?php echo $csob_template_hierarchy[$_csob_template_id]['title'] ?></span>
                    </div><!--csob-box-head-->
                    <div class="csob-box-body clearfix"> 
                        <div class="csob-layout-box pull-left">
                            <div class="csob-select-layout-box csob-element-box">
                                <span class="csob-component-title">Select the layout</span>
                                <select class="csob-layout-select"  onchange="show_onchange(jQuery(this));" autocomplete="off">
                                    <?php
                                    foreach ($csob_template_hierarchy[$_csob_template_id]['layout'] as $keys => $value) {
                                        echo '<option value="' . $value . '"';
                                        /* foreach ($csob_setting as $csob_setting_key => $csob_setting_value) {
                                          if ($csob_setting_key == $_csob_template_id && $csob_setting_value[layout_id] == $value) {
                                          echo 'selected="selected"';
                                          }
                                          } */
                                        if ($value === $csob_setting[$_csob_template_id]['layout_id']) {
                                            echo 'selected="selected"';
                                        }
                                        echo '>' . $csob_layout[$value]['title'] . '</option>';
                                    }
                                    ?>
                                </select>                          
                            </div><!--csob-select-layout-box-->
                            <?php
                            foreach ($csob_template_hierarchy[$_csob_template_id]['layout'] as $keys => $value) {
                                foreach ($csob_layout as $layout_key => $layout_value) {
                                    if ($layout_key == $value) {
                                        ?>
                                        <div class="<?php echo 'csob-sidebar-box-wrapper sidebar-position-' . $layout_key; ?>">
                                            <?php
                                            foreach ($layout_value['positions'] as $postion_key => $postion_id) {
                                                ?>
                                                <div class="csob-sidebar-box csob-element-box">
                                                    <span class="csob-component-title"><?php echo $csob_sidebar_position[$postion_id]['title']; ?></span>
                                                    <label class="csob-label">Select sidebars</label>
                                                    <?php
                                                    echo '<select class="csob-sidebar-select" autocomplete="off">';
                                                    foreach ($csob_sidebar as $sidebar_list_key => $sidebar_list_value) {
                                                        $__selected_sidebar = '';
                                                        if ($layout_key === $csob_setting[$_csob_template_id]['layout_id']) {
                                                            if ($sidebar_list_key === $csob_setting[$_csob_template_id]['sidebars'][$postion_key]) {
                                                                $__selected_sidebar = 'selected="selected"';
                                                            }
                                                        }
                                                        echo '<option value="' . $sidebar_list_key . '" ' . $__selected_sidebar . '>' . $sidebar_list_value . '</option>';
                                                        $__selected_sidebar = '';
                                                    }
                                                    echo '</select>';
                                                    ?>
                                                </div><!--csob-sidebar-box-->
                                            <?php } ?>
                                        </div><!--csob-sidebar-box-wrapper-->
                                        <?php
                                    }
                                }
                            }
                            ?>
                        </div><!--csob-layout-box-->
                        <div class="csob-thumbnails-box pull-right">
                            <?php
                            foreach ($csob_template_hierarchy[$_csob_template_id]['layout'] as $thumbnails_key => $thumbnails_value) {
                                ?>
                                <image class="responsive-img <?php echo ' csob-cpanel-thumbnails csob-cpanel-thumbnails-' . $thumbnails_value; ?>" src="<?php echo CSOB_CPANEL_IMAGE_DIR . $csob_layout[$thumbnails_value]['thumbnails']; ?>" class="img-polaroid" alt="">
                                <?php
                            }
                            ?>
                        </div><!--csob-thumbnails-box-->
                    </div><!--csob-box-body-->
                    <div class="csob-actions csob-bottom-action-bar clearfix">
                        <div class="csob-button">
                            <span class="btn btn-primary" onclick="save_layout_setting(jQuery(this))"><i class="icon-ok-circle"></i>Save</span>
                        </div>
                    </div>

                </div><!--csob-content-box-->
            </div><!--tab-container-->
        </div><!--csob-content-->
    </div><!--csob-admin-wrapper-->
    <?php
}

if (!function_exists('csob_ajax_send_contact')) {

    function csob_ajax_send_contact() {
        check_ajax_referer('csob_send_contact_nicole_kidman', 'csob_send_contact_nonce');

        foreach ($_POST as $key => $value) {
            if (ini_get('magic_quotes_gpc')) {
                $_POST[$key] = stripslashes($_POST[$key]);
            }
            $_POST[$key] = htmlspecialchars(strip_tags($_POST[$key]));
        }

        $name = $_POST["name"];
        $email = $_POST["email"];
        $message = $_POST["message"];

        $message_body = "Name: {$name}" . PHP_EOL . "Message: {$message}";

        $to = get_bloginfo('admin_email');
        if ( isset( $_POST["subject"] ) && $_POST["subject"] != '' ) {
            $subject = "Contact Form: $name - {$_POST['subject']}";
        } else {
            $subject = "Contact Form: $name";
        }

        if ( isset( $_POST['url'] ) && $_POST['url'] != '' ) {
            $message_body .= PHP_EOL . __('Website:', csob_get_domain()) . $_POST['url'];
        }

        $headers[] = 'From: ' . $name . ' <' . $email . '>';
        $headers[] = 'Cc: ' . $name . ' <' . $email . '>';

        $result = '<span class="failure">' . __('Oops! errors occured.', csob_get_domain()) . '</span>';
        if (wp_mail($to, $subject, $message_body, $headers)) {
            $result = '<span class="success">' . __('Success! Your email address has been sent.', csob_get_domain()) . '</span>';
        }

        die($result);
    }

    add_action('wp_ajax_csob_send_contact', 'csob_ajax_send_contact');
    add_action('wp_ajax_nopriv_csob_send_contact', 'csob_ajax_send_contact');
}

if (!function_exists('csob_ajax_set_view_count')) {

    function csob_ajax_set_view_count() {
        check_ajax_referer('csob_set_view_count', 'wpnonce');
        if (!empty($_POST['post_id'])) {
            $post_id = (int) $_POST['post_id'];
            $data['count'] = csob_set_view_count($post_id);
            echo json_encode($data);
        }
        die();
    }

    add_action('wp_ajax_csob_set_view_count', 'csob_ajax_set_view_count');
    add_action('wp_ajax_nopriv_csob_set_view_count', 'csob_ajax_set_view_count');
}

if (!function_exists('csob_sharing_button')) {

    function csob_sharing_button() {
        if (!wp_verify_nonce($_POST['wpnonce'], 'csob_sharing_button'))
            exit();
        if (!empty($_POST['pid'])) {
            $sharing_buttons = array(
                'facebook' => ot_get_option('social_share_button_facebook', 'show'),
                'twitter' => ot_get_option('social_share_button_twitter', 'show'),
                'google' => ot_get_option('social_share_button_google', 'show'),
                'linkedin' => ot_get_option('social_share_button_linkedin', 'show'),
                'pinterest' => ot_get_option('social_share_button_pinterest', 'show'),
                'email' => ot_get_option('social_share_button_email', 'show')
            );

            $id = (int) $_POST['pid'];
            $url = get_permalink($id);
            $title = get_the_title($id);
            $thumbnail = wp_get_attachment_image_src(get_post_thumbnail_id($id), 'full');

            $turn_on = false;
            foreach ($sharing_buttons as $item) {
                if ('show' === $item) {
                    $turn_on = true;
                    break;
                }
            }
            if ($turn_on):
                ?>                
                <?php if ('show' === $sharing_buttons['twitter']): ?>
                    <a href="https://twitter.com/share" class="twitter-share-button" data-lang="en"></a>     
                    <script>!function(d, s, id) {
                                    var js, fjs = d.getElementsByTagName(s)[0];
                                    if (!d.getElementById(id)) {
                                        js = d.createElement(s);
                                        js.id = id;
                                        js.src = "//platform.twitter.com/widgets.js";
                                        fjs.parentNode.insertBefore(js, fjs);
                                    }
                                }(document, "script", "twitter-wjs");</script>                        
                <?php endif; ?>

                <?php if ('show' === $sharing_buttons['google']): ?>                
                    <div class="g-plusone" data-size="medium"></div>
                    <script type="text/javascript">
                        (function() {
                            var po = document.createElement('script');
                            po.type = 'text/javascript';
                            po.async = true;
                            po.src = 'https://apis.google.com/js/plusone.js';
                            var s = document.getElementsByTagName('script')[0];
                            s.parentNode.insertBefore(po, s);
                        })();
                    </script> 
                <?php endif; ?>

                <?php if ('show' === $sharing_buttons['facebook']): ?>
                    <div class="fb-like" data-send="false" data-layout="button_count" data-width="200" data-show-faces="true"></div>
                    <div id="fb-root"></div>
                    <script>(function(d, s, id) {
                            var js, fjs = d.getElementsByTagName(s)[0];
                            if (d.getElementById(id))
                                return;
                            js = d.createElement(s);
                            js.id = id;
                            js.src = "//connect.facebook.net/en_US/all.js#xfbml=1";
                            fjs.parentNode.insertBefore(js, fjs);
                        }(document, 'script', 'facebook-jssdk'));</script>
                <?php endif; ?>

                <?php if ('show' === $sharing_buttons['linkedin']): ?>
                    <script type="IN/Share" data-counter="right"></script>       
                    <script src="//platform.linkedin.com/in.js" type="text/javascript"></script>
                <?php endif; ?>

                <?php if ('show' === $sharing_buttons['pinterest']): ?>
                    <span class="pin-it"><a href="http://pinterest.com/pin/create/button/?url=<?php echo $url; ?>&media=<?php echo $thumbnail[0]; ?>&description=<?php echo $title; ?>" class="pin-it-button" count-layout="horizontal"><?php _e('Pin It', csob_get_domain()); ?></a></span>
                    <script type="text/javascript" src="http://assets.pinterest.com/js/pinit.js"></script>
                <?php endif; ?>

                <?php if ('show' === $sharing_buttons['email']): ?>
                    <a class="share-by-email" href="mailto:?subject=<?php _e('I wanted you to see this site', csob_get_domain()); ?>&amp;body=<?php echo $url; ?>" title="<?php _e('Share by Email', csob_get_domain()); ?>"><?php _e('Mail To', csob_get_domain()); ?></a>
                <?php endif; ?>

                <div class="clear"></div>
                <?php
            endif;
        }
        exit();
    }

    add_action('wp_ajax_csob_sharing_button', 'csob_sharing_button');
    add_action('wp_ajax_nopriv_csob_sharing_button', 'csob_sharing_button');
}


if (!function_exists('csob_change_like_status')) {
    add_action('wp_ajax_csob_change_like_status', 'csob_change_like_status');
    add_action('wp_ajax_nopriv_csob_change_like_status', 'csob_change_like_status');

    function csob_change_like_status() {
        check_ajax_referer('csob_change_like_status', 'wpnonce');
        if (!empty($_POST['pid'])) {
            $pid = (int) $_POST['pid'];
            $status = $_POST['status'];

            $public_key = 'csob_' . csob_get_domain() . '_total_like';
            $single_key = 'csob_' . csob_get_domain() . '_like_by_' . csob_get_client_IP();

            $total = csob_get_post_meta($pid, $public_key, true, 'Int');
            $is_voted = csob_get_post_meta($pid, $single_key, true, 'Int');

            $result = array();

            if (('enable' == $status) && (0 == $is_voted)) {
                $total++;
                update_post_meta($pid, $single_key, 1);
                update_post_meta($pid, $public_key, abs($total));
                $result['status'] = 'disable';
            } else {
                $total--;
                delete_post_meta($pid, $single_key);
                update_post_meta($pid, $public_key, abs($total));
                $result['status'] = 'enable';
            }
            $result['total'] = sprintf(__('%1$s Likes', csob_get_domain()), $total);
            echo json_encode($result);
        }
        die();
    }

}
if (!function_exists('load_more_articles')) {

    function load_more_articles() {
        if (!wp_verify_nonce($_POST['wpnonce'], 'load_more_articles'))
            exit();
        if (!empty($_POST)) {

            if (isset($_POST['csob_categories_arg'])) {
                $query_args['categories'] = $_POST['csob_categories_arg'];
            }

            $query_args['relation'] = $_POST['csob_relation_arg'];

            if (isset($_POST['csob_tags_arg'])) {
                $query_args['tags'] = $_POST['csob_tags_arg'];
            }
            $query_args['number_of_article'] = (int) $_POST['csob_number_of_article_arg'];
            $query_args['orderby'] = $_POST['csob_orderbye_arg'];
            $query_args['post__not_in'] = explode(',', $_POST['csob_post_id_string']);
            echo csob_get_articles($query_args, $_POST['stored_month_year']);
        }

        die();
    }

    add_action('wp_ajax_load_more_articles', 'load_more_articles');
    add_action('wp_ajax_nopriv_load_more_articles', 'load_more_articles');
}

function csob_get_articles($query_args, $stored_month_year) {
    global $post;

    $posts = csob_widget_article_build_query($query_args);
    if ($posts->post_count > 0):
        $previous_date = '';
        $month_year = json_decode(stripslashes($stored_month_year), true);
        $post_id_array = array();
        foreach ($query_args['post__not_in'] as $csob_post_key => $csob_post_id) {
            array_push($post_id_array, $csob_post_id);
        }
        while ($posts->have_posts()):
            $posts->the_post();
            $post_id = get_the_ID();
            array_push($post_id_array, $post_id);
            $post_url = get_permalink();
            $post_title = get_the_title();
            $current_date = get_the_date('M,Y');
            $_element = array(
                'month' => get_the_date('m'),
                'year' => get_the_date('Y'),
                'month-year' => get_the_date('M') . '-' . get_the_date('Y'),
                'month-text' => get_the_date('F')
            );
            array_push($month_year, $_element);
            $last_stored_month_year = json_decode(stripslashes($stored_month_year), true);
            $last_array_element = array_pop($last_stored_month_year);
            if ($_element['month-year'] !== $last_array_element['month-year']) {
                if ($current_date != $previous_date):
                    $previous_date = $current_date;
                    $total_post_no = csob_total_post_count_by_month(get_the_date('m'), get_the_date('Y'));
                    ?>
                    <div class="time-to-filter clearfix" id="<?php echo get_the_date('M') . '-' . get_the_date('Y'); ?>">
                        <p class="timeline-filter"><span><?php echo $current_date; ?></span></p>
                        <span class="post-quantity"><?php
                            echo $total_post_no;
                            if ($total_post_no <= 1): _e(' Article', csob_get_domain());
                            else: _e(' Articles', csob_get_domain());
                            endif;
                            ?>
                        </span>
                        <span class="top-ring"></span>
                        <span class="bottom-ring"></span>
                    </div><!--time-to-filter-->
                    <?php
                endif;
            }
            switch (get_post_format()) {
                case 'quote':
                    ?>
                    <article class="timeline-item quote-post clearfix">                                                    
                        <div class="timeline-icon">
                            <div><span class="post-type" data-icon="&#xe075;"></span></div>
                            <span class="dotted-horizon"></span>
                            <span class="vertical-line"></span>
                            <span class="circle-outer"></span>
                            <span class="circle-inner"></span>
                        </div>
                        <div class="entry-body clearfix">                                                    
                            <p><?php the_excerpt(); ?></p>
                            <center><span class="quote-name"><?php the_author(); ?></span></center>
                            <header>
                                <span class="entry-date"><span class="icon-clock-4 entry-icon" aria-hidden="true"></span><span><?php echo get_the_date(); ?></span></span></span>
                                <span class="entry-comment"><span class="icon-bubbles-4 entry-icon" aria-hidden="true"></span><?php comments_popup_link(__('No Comment', csob_get_domain()), __('1 Comment', csob_get_domain()), __('% Comments', csob_get_domain()), '', __('Comments Off', csob_get_domain())); ?></span>
                            </header>
                        </div>
                    </article><!--timeline-item-->
                    <?php
                    break;
                case 'video':
                    $video = csob_content_get_video($post->post_content);
                    ?>
                    <article class="timeline-item custom-post clearfix">                                                    
                        <div class="timeline-icon">
                            <div><span class="post-type" data-icon="&#xe023;"></span></div>
                            <span class="dotted-horizon"></span>
                            <span class="vertical-line"></span>
                            <span class="circle-outer"></span>
                            <span class="circle-inner"></span>
                        </div>
                        <div class="entry-body clearfix">
                            <div class="cs-thumb hover-effect">
                                <div class="mask">
                                    <a href="<?php echo $video[0]['url'] ?>" rel="prettyPhoto" class="link-detail" data-icon="&#xe022;"><span></span></a>
                                </div>
                                <?php
                                if (has_post_thumbnail()):
                                    the_post_thumbnail('csob-image-size-1');
                                else:
                                    printf('<img src="%1$s" alt="">', csob_get_video_thumbnails_url($video[0]['type'], $video[0]['url']));
                                endif;
                                ?>
                            </div>
                            <header>
                                <h2 class="entry-title"><a href="<?php echo $post_url; ?>"><?php the_title(); ?></a></h2>
                                <span class="entry-date"><span class="icon-clock-4 entry-icon" aria-hidden="true"></span><span><?php echo get_the_date(); ?></span></span>
                                <span class="entry-comment"><span class="icon-bubbles-4 entry-icon" aria-hidden="true"></span><?php comments_popup_link(__('No Comment', csob_get_domain()), __('1 Comment', csob_get_domain()), __('% Comments', csob_get_domain()), '', __('Comments Off', csob_get_domain())); ?></span>
                            </header>
                            <p><?php the_excerpt(); ?></p>
                            <a href="<?php echo $post_url; ?>" class="more-link"><?php _e('Continue Reading &raquo;', csob_get_domain()); ?></a>
                        </div>

                    </article><!--timeline-item-->
                    <?php
                    break;
                case 'gallery':
                    ?>
                    <article class="timeline-item gallery-post clearfix">                                                    
                        <div class="timeline-icon">
                            <div><span class="post-type" data-icon="&#xe01d;"></p></div>
                            <span class="dotted-horizon"></span>
                            <span class="vertical-line"></span>
                            <span class="circle-outer"></span>
                            <span class="circle-inner"></span>
                        </div>
                        <div class="entry-body clearfix"> 
                            <?php
                            $gallery = csob_content_get_gallery($post->post_content);
                            if ($gallery) {
                                $shortcode = substr_replace($gallery[0]['shortcode'], ' display_type = 1]', strlen($gallery[0]['shortcode']) - 1, strlen($gallery[0]['shortcode']));
                                echo do_shortcode($shortcode);
                            }
                            ?>
                            <header>
                                <h2 class="entry-title"><a href="<?php echo $post_url; ?>"><?php the_title(); ?></a></h2>
                                <span class="entry-date"><span class="icon-clock-4 entry-icon" aria-hidden="true"></span><span><?php echo get_the_date(); ?></span></span>
                                <span class="entry-comment"><span class="icon-bubbles-4 entry-icon" aria-hidden="true"></span><?php comments_popup_link(__('No Comment', csob_get_domain()), __('1 Comment', csob_get_domain()), __('% Comments', csob_get_domain()), '', __('Comments Off', csob_get_domain())); ?></span>
                            </header>
                            <span class="load-more-gallery" onclick="more_gallery(jQuery(this));"><span></span></span>
                        </div>                                                    

                    </article><!--timeline-item-->
                    <?php
                    break;
                case 'audio':
                    ?>
                    <article class="timeline-item audio-post clearfix">                                                    
                        <div class="timeline-icon">
                            <div><span class="post-type" data-icon="&#xe020;"></span></div>
                            <span class="dotted-horizon"></span>
                            <span class="vertical-line"></span>
                            <span class="circle-outer"></span>
                            <span class="circle-inner"></span>
                        </div>
                        <div class="entry-body clearfix">
                            <header>
                                <h2 class="entry-title"><a href="<?php echo $post_url; ?>"><?php the_title(); ?></a></h2>
                                <span class="entry-date"><span class="icon-clock-4 entry-icon" aria-hidden="true"></span><span><?php echo get_the_date(); ?></span></span>
                                <span class="entry-comment"><span class="icon-bubbles-4 entry-icon" aria-hidden="true"></span><?php comments_popup_link(__('No Comment', csob_get_domain()), __('1 Comment', csob_get_domain()), __('% Comments', csob_get_domain()), '', __('Comments Off', csob_get_domain())); ?></span>
                            </header>
                            <?php
                            $audio = csob_content_get_audio($post->post_content);
                            if ($audio) {
                                echo do_shortcode($audio[0]['shortcode']);
                            }
                            ?>
                            <p><?php the_excerpt(); ?></p>
                            <a href="<?php echo $post_url; ?>" class="more-link"><?php _e('Continue Reading &raquo;', csob_get_domain()); ?></a>
                        </div>

                    </article><!--timeline-item-->
                    <?php
                    break;
                default:
                    ?>
                    <article class="timeline-item <?php
                    if (has_post_thumbnail())
                        echo ' standard-post ';
                    else
                        echo 'link-post'
                        ?> clearfix">
                        <div class="timeline-icon">
                            <div><span class="post-type" data-icon="&#xe034;"></span></div>
                            <span class="dotted-horizon"></span>
                            <span class="vertical-line"></span>
                            <span class="circle-outer"></span>
                            <span class="circle-inner"></span>
                        </div>
                        <div class="entry-body clearfix">
                    <?php if (has_post_thumbnail()): ?>
                                <div class="cs-thumb hover-effect">
                                    <div class="mask">
                                        <a class="link-detail" href="<?php echo $post_url; ?>" data-icon="&#xe0c2;"></a>
                                    </div>
                                <?php the_post_thumbnail('csob-image-size-1'); ?>
                                </div>
                    <?php endif; ?>
                            <header>
                                <h2 class="entry-title"><a href="<?php echo $post_url; ?>"><?php the_title(); ?></a></h2>
                                <span class="entry-date"><span class="icon-clock-4 entry-icon" aria-hidden="true"></span><span><?php echo get_the_date(); ?></span></span>
                                <span class="entry-comment"><span class="icon-bubbles-4 entry-icon" aria-hidden="true"></span><?php comments_popup_link(__('No Comment', csob_get_domain()), __('1 Comment', csob_get_domain()), __('% Comments', csob_get_domain()), '', __('Comments Off', csob_get_domain())); ?></span>
                            </header>
                            <p><?php the_excerpt(); ?></p>
                            <a href="<?php echo $post_url; ?>" class="more-link"><?php _e('Continue Reading &raquo;', csob_get_domain()); ?></a>
                        </div>
                    </article><!--timeline-item-->
                    <?php
                    break;
            }
            ?>
        <?php endwhile; ?>  

        <?php
        $post_id_string = implode(",", $post_id_array);
        ?>
        <input type="hidden" id="post_id_array" value="<?php echo $post_id_string; ?>">
        <div class="cs-filter clearfix">
            <div onclick="kp_filter_click(jQuery(this))">
                <span>View by:</span><em>All</em>
                <a></a>                                    
                <ul id="ss-links" class="ss-links">
                    <?php
                    $current_month = '';
                    $current_year = '';
                    foreach ($month_year as $k => $v) {
                        if ($v['year'] !== $current_year) {
                            $current_year = $v['year'];
                            echo '<li class="year"><span>' . $current_year . '</span></li>';
                        }
                        if ($v['month'] !== $current_month) {
                            $current_month = $v['month'];
                            echo '<li><a href="#' . $v['month-year'] . '" onclick="kp_filter_li_click(jQuery(this))">' . $v['month-text'] . '</a></li>';
                        }
                    }
                    ?>
                </ul>
                <input type="hidden" id="stored_month_year" value='<?php echo json_encode($month_year); ?>'>
                <input type="hidden" id="no_post_found" value="0">
            </div>
        </div><!--cs-filter-->
        <?php
    else:
        ?>
        <input type="hidden" id="no_post_found" value="1">
    <?php
    endif;
    wp_reset_postdata();
}

/**
 * User Post Rating Ajax
 */
if ( ! function_exists( 'csob_ajax_set_user_rating' ) ) {

    add_action('wp_ajax_csob_set_user_rating', 'csob_ajax_set_user_rating');
    add_action('wp_ajax_nopriv_csob_set_user_rating', 'csob_ajax_set_user_rating');

    function csob_ajax_set_user_rating() {
        try {
            if ( ! wp_verify_nonce($_POST['wpnonce'], 'csob_set_user_rating')) {
                throw new Exception( __( 'Sorry an error has occurred.', csob_get_domain() ) );
                exit();
            }

            $post_id = $_POST['post_id'];
            $rating_index = $_POST['ratingIndex'];
            $rating_value = $_POST['ratingValue'];

            $csob_user_post_rating = get_post_meta( $post_id, 'csob_user_post_rating_' . csob_get_domain(), true );
            $csob_user_total_rating = get_post_meta( $post_id, 'csob_user_total_rating_' . csob_get_domain(), true );

            // save user rating for each rating index
            if ( empty( $csob_user_post_rating ) ) {
                $csob_user_post_rating = array();
            }

            $user_data = array(
                'rating_value' => $rating_value,
                'client_ip'    => $_SERVER['REMOTE_ADDR']
            );
            // prevents duplicate client ip
            if ( isset( $csob_user_post_rating[ $rating_index ] ) ) {
                $current_rating_index_arr = $csob_user_post_rating[ $rating_index ];
                foreach ($current_rating_index_arr as $data) {
                    if ( $user_data['client_ip'] == $data['client_ip'] ) {
                        throw new Exception( __( 'You cannot vote twice.', csob_get_domain() ) );
                        die();
                    }
                }
                $csob_user_post_rating[ $rating_index ][] = $user_data;
            } // endif
            else {
                $csob_user_post_rating[ $rating_index ][] = $user_data;
            }

            // save user total rating for each rating index 
            // and all rating indexes
            if ( empty( $csob_user_total_rating ) ) {
                $csob_user_total_rating = array();
            }

            // Thanh Nguyen Dac: i thinks the line below can cause error if not set
            // because $csob_user_post_rating has pushed a new user data set
            // so $current_rating_index_arr must reassign again to get the newest set
            $current_rating_index_arr = $csob_user_post_rating[ $rating_index ];
            $total_current_rating_index_value = 0;
            foreach ( $current_rating_index_arr as $rating ) {
                $total_current_rating_index_value = $total_current_rating_index_value + $rating['rating_value'];
            }

            // calculate total rating for current rating index
            $total_current_rating_index_value = $total_current_rating_index_value / count( $current_rating_index_arr );
            $csob_user_total_rating[ $rating_index ] = $total_current_rating_index_value;

            // calculate total rating for all rating indexes of all users
            $total_all_rating_value = 0;
            foreach( $csob_user_total_rating as $index => $value ) {
                $total_all_rating_value = $total_all_rating_value + $value;
            }

            $total_all_rating_value = $total_all_rating_value / count( $csob_user_total_rating );

            // calculate editor and users ratings
            $csob_editor_user_total_all_rating = 0;
            $csob_editor_total_rating = get_post_meta( $post_id, 'csob_editor_total_rating_' . csob_get_domain(), true );
            $csob_editor_user_total_all_rating = ( $csob_editor_total_rating + $total_all_rating_value ) / 2;
            

            // update all post meta data
            update_post_meta( $post_id, 'csob_user_post_rating_'. csob_get_domain(), $csob_user_post_rating );
            update_post_meta( $post_id, 'csob_user_total_rating_'. csob_get_domain(), $csob_user_total_rating );
            update_post_meta( $post_id, 'csob_user_total_all_rating_'. csob_get_domain(), $total_all_rating_value );
            update_post_meta( $post_id, 'csob_editor_user_total_all_rating_' . csob_get_domain(), $csob_editor_user_total_all_rating );

            // send data back to client side
            $responses_data = array(
                'total_current_rating'       => $total_current_rating_index_value,
                'total_all_rating'           => $total_all_rating_value,
                'total_current_rating_title' => sprintf( __('Rated %.2f out of 5', csob_get_domain()), $total_current_rating_index_value ),
                'total_all_rating_title'     => sprintf( __('Rated %.2f out of 5', csob_get_domain()), $total_all_rating_value ),
                'status'                     => 'success'
            );

            echo json_encode( $responses_data );

            die();
        } catch (Exception $e) {
            $error_responses_data = array(
                'status'  => 'error',
                'error_message' => $e->getMessage()
            );
            echo json_encode( $error_responses_data );
            die();
        }
    }

}