<?php
$csob_layout = unserialize(CSOB_LAYOUT);
$csob_template_hierarchy = unserialize(CSOB_TEMPLATE_HIERARCHY);
$csob_sidebar_position = unserialize(CSOB_SIDEBAR_POSITION);
$csob_setting = get_option('csob_setting');
$csob_sidebar = get_option('csob_sidebar');
wp_nonce_field("load_layout_setting", "nonce_id");
wp_nonce_field("save_layout_setting", "nonce_id_save");

?>
<div id="csob-admin-wrapper" class="clearfix">
    <div id="csob-loading-gif"></div>
    <input type="hidden" id="csob_template_id" value="home">
    <?php
    if ($csob_template_hierarchy) {
        echo '<div class="csob-nav list-container">
                <ul class="tabs clearfix">';
        foreach ($csob_template_hierarchy as $csob_template_key => $csob_template_value) {
            if ($csob_template_key === 'home')
                $_active = "class='active'";
            else {
                $_active = '';
            }
            echo '<li ' . $_active . '><span title="' . $csob_template_key . '" onclick="load_layout_setting(jQuery(this))">' . $csob_template_value['title'] . '</span></li>';
        }
        echo '</ul><!--tabs--->
             </div><!--csob-nav-->';
    }
    ?>
    <div class="csob-content">
        <div class="csob-page-header clearfix">
            <div class="pull-left">
                <h4><i class="icon-cog"></i>Layout And Sidebar Manager</h4>
            </div>
            <div class="pull-right">
                <div class="csob-copyrights">
                    <span>Visit author URL: </span><a href="http://cyberspacebuilder.com" target="_blank">http://cyberspacebuilder.com</a>
                </div><!--="csob-copyrights-->
            </div>
        </div><!--csob-page-header-->
        <div class="tab-container">
            <div class="csob-content-box tab-content csob-content-main-box" id="home">
                <div class="csob-actions clearfix">
                    <div class="csob-button">
                        <span class="btn btn-primary" onclick="save_layout_setting(jQuery(this))"><i class="icon-ok-circle"></i>Save</span>
                    </div>
                </div><!--csob-actions-->
                <div class="csob-box-head">
                    <i class="icon-hand-right"></i>
                    <span class="csob-section-title">Home</span>
                </div><!--csob-box-head-->
                <div class="csob-box-body clearfix"> 
                    <div class="csob-layout-box pull-left">
                        <div class="csob-select-layout-box csob-element-box">
                            <span class="csob-component-title">Select the layout</span>
                            <select class="csob-layout-select"  onchange="show_onchange(jQuery(this));" autocomplete="off">
                                <?php
                                foreach ($csob_template_hierarchy['home']['layout'] as $keys => $value) {
                                    echo '<option value="' . $value . '"';
                                    if($value === $csob_setting['home']['layout_id']){
                                            echo 'selected="selected"';
                                        }
                                    echo '>' . $csob_layout[$value]['title'] . '</option>';
                                }
                                ?>
                            </select>                          
                        </div><!--csob-select-layout-box-->
                        <?php
                        foreach ($csob_template_hierarchy['home']['layout'] as $keys => $value) {
                            foreach ($csob_layout as $layout_key => $layout_value) {
                                if ($layout_key == $value) {
                                    ?>
                                    <div class="<?php echo 'csob-sidebar-box-wrapper sidebar-position-' . $layout_key; ?>">
                                        <?php
                                        foreach ($layout_value['positions'] as $postion_key => $postion_id) {
                                            ?>
                                            <div class="csob-sidebar-box csob-element-box">
                                                <span class="csob-component-title"><?php echo $csob_sidebar_position[$postion_id]['title']; ?></span>                                               
                                                <label class="csob-label">Select sidebars</label>
                                                <?php
                                                echo '<select class="csob-sidebar-select" autocomplete="off">';
                                                foreach ($csob_sidebar as $sidebar_list_key => $sidebar_list_value) {
                                                    $__selected_sidebar = '';
                                                    if($layout_key === $csob_setting['home']['layout_id']){
                                                        if($sidebar_list_key === $csob_setting['home']['sidebars'][$postion_key]){
                                                             $__selected_sidebar = 'selected="selected"';
                                                        }
                                                    }
                                                    echo '<option value="'.$sidebar_list_key.'" ' . $__selected_sidebar . '>' . $sidebar_list_value . '</option>';
                                                    $__selected_sidebar = '';
                                                }
                                                echo '</select>';
                                                ?>
                                            </div><!--csob-sidebar-box-->
                                        <?php } ?>
                                    </div><!--csob-sidebar-box-wrapper-->
                                    <?php
                                }
                            }
                        }
                        ?>
                    </div><!--csob-layout-box-->
                    <div class="csob-thumbnails-box pull-right">
                        <?php
                        foreach ($csob_template_hierarchy['home']['layout'] as $thumbnails_key => $thumbnails_value) {
                            ?>
                            <image class="responsive-img <?php echo ' csob-cpanel-thumbnails csob-cpanel-thumbnails-' . $thumbnails_value; ?>" src="<?php echo CSOB_CPANEL_IMAGE_DIR . $csob_layout[$thumbnails_value]['thumbnails']; ?>" class="img-polaroid" alt="">
                            <?php
                        }
                        ?>
                    </div><!--csob-thumbnails-box-->
                </div><!--csob-box-body-->
                <div class="csob-actions csob-bottom-action-bar clearfix">
                    <div class="csob-button">
                        <span class="btn btn-primary" onclick="save_layout_setting(jQuery(this))"><i class="icon-ok-circle"></i>Save</span>
                    </div>
                </div>

            </div><!--csob-content-box-->
        </div><!--tab-container-->
    </div><!--csob-content-->
</div><!--csob-admin-wrapper-->