<?php
//add extra fields to category edit form hook
add_action('edit_category_form_fields', 'csob_edit_extra_category_fields');

function csob_edit_extra_category_fields($tag) { //check for existing featured ID
    $t_id = $tag->term_id;
    $csob_category_setting_key = "csob_category_setting_" . $t_id;
    $csob_setting = get_option('csob_setting');
    $csob_category_setting = get_option($csob_category_setting_key,array());
    $csob_disable = '';
    if (empty($csob_category_setting)) {
        $csob_disable = ' disabled';
        $csob_checked = '';
        $csob_checked_value = "No";
        $csob_category_setting = $csob_setting["taxonomy"];
    } else {
        $csob_checked = 'checked ="checked"';
        $csob_disable = '';
        $csob_checked_value = "Yes";
    }
    $csob_template_hierarchy = unserialize(CSOB_TEMPLATE_HIERARCHY);
    $csob_layout = unserialize(CSOB_LAYOUT);
    $csob_sidebar_position = unserialize(CSOB_SIDEBAR_POSITION);
    $csob_sidebar = get_option('csob_sidebar');
    wp_nonce_field("save_layout_setting", "nonce_id_save");
    ?>
    <tr class="form-field">
        <th scope="row" valign="top">
        </th>
        <td>
            <div class="csob-content-box tab-content csob-content-main-box" id="csob-category-edit" class="csob-category-edit">
                <div class="csob-box-head clearfix">  
                    <h4><i class="icon-cog"></i>Custom Setting Layout and Sidebar?</h4>
                    <input onchange="show_on_checked(jQuery(this));" autocomplete="off" type="checkbox" name="csob_custom_layout_setting" id="csob_custom_layout_setting" class="csob_custom_layout_setting" value="<?php echo $csob_checked_value; ?>" <?php echo $csob_checked; ?> >
                    <label class="csob-label">Check if you would like to use custom setting</label>

                </div><!--csob-box-head-->
                <div class="csob-box-body clearfix"> 
                    <div class="csob-layout-box pull-left">
                        <div class="csob-select-layout-box csob-element-box">

                            <span class="csob-component-title">Select the layout</span>
                            <select name ="csob_select_layout" class="csob-layout-select"  onchange="show_onchange(jQuery(this));" autocomplete="off" <?php echo $csob_disable; ?>>
                                <?php
                                foreach ($csob_template_hierarchy['taxonomy']['layout'] as $keys => $value) {
                                    echo '<option value="' . $value . '"';
                                    if ($value === $csob_category_setting['layout_id']) {
                                        echo 'selected="selected"';
                                    }
                                    echo '>' . $csob_layout[$value]['title'] . '</option>';
                                }
                                ?>
                            </select>                           
                        </div><!--csob-select-layout-box-->
                        <?php
                        foreach ($csob_template_hierarchy['taxonomy']['layout'] as $keys => $value) {
                            foreach ($csob_layout as $layout_key => $layout_value) {
                                if ($layout_key == $value) {
                                    ?>
                                    <div class="<?php echo 'csob-sidebar-box-wrapper sidebar-position-' . $layout_key; ?>">
                                        <?php
                                        foreach ($layout_value['positions'] as $postion_key => $postion_id) {
                                            ?>
                                            <div class="csob-sidebar-box csob-element-box">
                                                <span class="csob-component-title"><?php echo $csob_sidebar_position[$postion_id]['title']; ?></span>                                               
                                                <label class="csob-label">Select sidebars</label>
                                                <?php
                                                echo '<select class="csob-sidebar-select"  autocomplete="off" ' . $csob_disable . '>';
                                                foreach ($csob_sidebar as $sidebar_list_key => $sidebar_list_value) {
                                                    $__selected_sidebar = '';
                                                    if ($layout_key === $csob_category_setting['layout_id']) {
                                                        if ($sidebar_list_key === $csob_category_setting['sidebars'][$postion_key]) {
                                                            $__selected_sidebar = 'selected="selected"';
                                                        }
                                                    }
                                                    echo '<option value="'.$sidebar_list_key.'" ' . $__selected_sidebar . '>' . $sidebar_list_value . '</option>';
                                                    
                                                    $__selected_sidebar = '';
                                                }
                                                echo '</select>';
                                                ?>
                                            </div><!--csob-sidebar-box-->
                                        <?php } ?>
                                    </div><!--csob-sidebar-box-wrapper-->
                                    <?php
                                }
                            }
                        }
                        ?>
                    </div><!--csob-layout-box-->
                    <div class="csob-thumbnails-box pull-right">
                        <?php
                        foreach ($csob_template_hierarchy['taxonomy']['layout'] as $thumbnails_key => $thumbnails_value) {
                            ?>
                            <image class="responsive-img <?php echo ' csob-cpanel-thumbnails csob-cpanel-thumbnails-' . $thumbnails_value; ?>" src="<?php echo CSOB_CPANEL_IMAGE_DIR . $csob_layout[$thumbnails_value]['thumbnails']; ?>" class="img-polaroid" alt="">
                            <?php
                        }
                        ?>
                    </div><!--csob-thumbnails-box-->
                </div><!--csob-box-body-->           
            </div><!--csob-content-box-->       
        </td>
    </tr>
    <?php
}

// save extra category extra fields hook
add_action('edited_category', 'csob_save_extra_category_fileds');

// save extra category extra fields callback function
function csob_save_extra_category_fileds($term_id) {  
    $csob_category_setting_key = "csob_category_setting_" . $term_id;
    if (empty($_POST['csob_custom_layout_setting'])) {
        delete_option($csob_category_setting_key);
    }
    if (!empty($_POST['csob_custom_layout_setting']) && !empty($_POST['csob_select_layout']) && !empty($_POST['sidebar'])) {
        if ($_POST['csob_custom_layout_setting'] == 'Yes') {  
            $csob_new_setting = array();
            $csob_new_setting['layout_id'] = $_POST['csob_select_layout'];
            $new_sidebars = ($_POST['sidebar']);
            $csob_new_setting['sidebars'] = array();
            foreach ($new_sidebars as $__k => $__v) {
                $csob_new_setting['sidebars'][$__k] = $__v;
            }
            update_option($csob_category_setting_key, $csob_new_setting);
       }
    }
}