<?php
/**
 * Post Rating Metabox
 * @subpackage New Mix
 * @since News Mix 1.0
 */

add_action('add_meta_boxes', 'csob_post_rating_meta_box_add');

function csob_post_rating_meta_box_add() {
    add_meta_box('csob-post-rating-edit', __( 'Post Rating', csob_get_domain() ), 'csob_meta_box_post_rating_cb', 'post', 'normal', 'high');
}

function csob_meta_box_post_rating_cb($post) {
    $csob_rating = (int) get_post_meta( $post->ID, 'csob_'.csob_get_domain().'_rating', true );

    wp_nonce_field( 'csob_post_rating_meta_box_nonce', 'csob_post_rating_meta_box_nonce' );
    
    ?>
    
    <p class="csob_option_box">
        <label for="csob_rating" class="csob-desc"><?php _e('Choose your rating', csob_get_domain()); ?>:</label>
        <select name="csob_<?php echo csob_get_domain(); ?>_rating" id="csob_rating">
            <?php 
            $csob_rating_options = array( 0, 1, 2, 3, 4, 5 );

            foreach ( $csob_rating_options as $value ) { ?>

                <option value="<?php echo $value; ?>" <?php selected( $value, $csob_rating ); ?>><?php echo $value; ?></option>

            <?php } ?>
        </select>
        <span><?php _e( 'Star(s)', csob_get_domain() ); ?></span>
    </p>  

    <?php
}

add_action('save_post', 'csob_save_post_rating_data');

function csob_save_post_rating_data( $post_id ) {
    if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
        return;
    }
    if (!isset($_POST['csob_post_rating_meta_box_nonce']) || !wp_verify_nonce($_POST['csob_post_rating_meta_box_nonce'], 'csob_post_rating_meta_box_nonce')) {
        return;
    }
    if ( isset( $_POST['csob_'.csob_get_domain().'_rating'] ) ) {
        update_post_meta( $post_id, 'csob_'.csob_get_domain().'_rating', $_POST['csob_'.csob_get_domain().'_rating'] );
    }
}