<?php

$csob_layout = array(
    'home' => array(
        'title'      => __( 'Home', csob_get_domain() ),
        'thumbnails' => 'home-page.jpg',
        'positions'  => array(
            'position_1',
            'position_2',
            'position_3',
            'position_4',
            'position_5',
            'position_6',
            'position_7',
            'position_8',
            'position_9',
            'position_10',        
            'position_11'       
        )
    ),
    'blog' => array(
        'title'      => __( 'Blog Right Sidebar', csob_get_domain() ),
        'thumbnails' => 'blog.jpg',
        'positions'  => array(
            'position_12',
            'position_9',
            'position_10',
            'position_11'
		)
    ),
    'page-right-sidebar' => array(
        'title'      => __( 'Page Right Sidebar', csob_get_domain() ),
        'thumbnails' => 'page.jpg',
        'positions'  => array(
            'position_14',
            'position_9',
            'position_10',
            'position_11'
        )
    ),
    'single-right-sidebar' => array(
        'title'      => __( 'Single Right Sidebar', csob_get_domain() ),
        'thumbnails' => 'single.jpg',
        'positions'  => array(
            'position_13',
            'position_9',
            'position_10',
            'position_11'
        )
    ),
    'error-404' => array(
        'title' => __( '404 Page', csob_get_domain() ),
        'thumbnails' => 'error-404.jpg',
        'positions' => array(
            'position_9',
            'position_10',
            'position_11',
        ),
    ),
);

$csob_sidebar_position = array(
    'position_1'  => array('title' => 'Slider'),
    'position_2'  => array('title' => 'Slider Right Sidebar'),
    'position_3'  => array('title' => 'Content 1'),
    'position_4'  => array('title' => 'Content 1 Sidebar'),
    'position_5'  => array('title' => 'Content 2'),
    'position_6'  => array('title' => 'Content 2 Sidebar'),
    'position_7'  => array('title' => 'Content 3'),
    'position_8'  => array('title' => 'Content 3 Sidebar'),
    'position_9' => array('title' => 'Footer 1'),
    'position_10' => array('title' => 'Footer 2'),
    'position_11' => array('title' => 'Footer 3'),
    'position_12' => array('title' => 'Blog Sidebar'),
    'position_13' => array('title' => 'Blog Single Sidebar'),
    'position_14' => array('title' => 'Page Sidebar'),
);

$csob_template_hierarchy = array(
    'home'       => array(
        'title'  => __( 'Home', csob_get_domain() ),
        'layout' => array('blog')
    ),
    'front-page' => array(
        'title'  => __( 'Front Page', csob_get_domain() ),
        'layout' => array('home')
    ),
    'post'       => array(
        'title'  => __( 'Post', csob_get_domain() ),
        'layout' => array('single-right-sidebar')
    ),
    'page'       => array(
        'title'  => __( 'Page', csob_get_domain() ),
        'layout' => array('home', 'page-right-sidebar')
    ),
    'taxonomy'   => array(
        'title'  => __( 'Taxonomy', csob_get_domain() ),
        'layout' => array('blog')
    ),
    'search'     => array(
        'title'  => __( 'Search', csob_get_domain() ),
        'layout' => array('blog')
    ),
    'archive'    => array(
        'title'  => __( 'Archive', csob_get_domain() ),
        'layout' => array('blog')
    ),
    '_404'    => array(
        'title'  => __( '404', csob_get_domain() ),
        'layout' => array('error-404')
    )
);

define('CSOB_INIT_VERSION', 'observer-setting-version-7');
define('CSOB_LAYOUT', serialize($csob_layout));
define('CSOB_SIDEBAR_POSITION', serialize($csob_sidebar_position));
define('CSOB_TEMPLATE_HIERARCHY', serialize($csob_template_hierarchy));

function csob_initial_database() {
    $csob_is_database_setup = get_option('csob_is_database_setup');
    if ($csob_is_database_setup !== CSOB_INIT_VERSION) {
        $csob_setting = array(
            'home' => array(
                'layout_id' => 'blog',
                'sidebars'  => array(
                    'sidebar_12',
                    'sidebar_9',
                    'sidebar_10',
                    'sidebar_11'
                )
            ),
            'front-page' => array(
                'layout_id' => 'home',
                'sidebars'  => array(
                    'sidebar_1',
                    'sidebar_2',
                    'sidebar_3',
                    'sidebar_4',
                    'sidebar_5',
                    'sidebar_6',
                    'sidebar_7',
                    'sidebar_8',
                    'sidebar_9',
                    'sidebar_10',
                    'sidebar_11'
                )
            ),
            'post' => array(
                'layout_id' => 'single-right-sidebar',
                'sidebars'  => array(
                    'sidebar_13',
                    'sidebar_9',
                    'sidebar_10',
                    'sidebar_11'
                )
            ),
            'page' => array(
                'layout_id' => 'page-right-sidebar',
                'sidebars'  => array(
                    'sidebar_14',
                    'sidebar_9',
                    'sidebar_10',
                    'sidebar_11'
                )
            ),
            'taxonomy' => array(
                'layout_id' => 'blog',
                'sidebars'  => array(
                    'sidebar_13',
                    'sidebar_9',
                    'sidebar_10',
                    'sidebar_11'
                )
            ),
            'search' => array(
                'layout_id' => 'blog',
                'sidebars'  => array(
                    'sidebar_13',
                    'sidebar_9',
                    'sidebar_10',
                    'sidebar_11'
                )
            ),
            'archive' => array(
                'layout_id' => 'blog',
                'sidebars'  => array(
                    'sidebar_13',
                    'sidebar_9',
                    'sidebar_10',
                    'sidebar_11'
                )
            ),
            '_404' => array(
                'layout_id' => 'error-404',
                'sidebars'  => array(
                    'sidebar_9',
                    'sidebar_10',
                    'sidebar_11'
                )
            ),
        );
        $csob_sidebar = array(
            'sidebar_hide' => '-- None --',
            'sidebar_1'    => 'Slider',
            'sidebar_2'    => 'Slider Right Sidebar',
            'sidebar_3'    => 'Content 1',
            'sidebar_4'    => 'Content 1 Sidebar',
            'sidebar_5'    => 'Content 2',
            'sidebar_6'    => 'Content 2 Sidebar',
            'sidebar_7'    => 'Content 3',
            'sidebar_8'    => 'Content 3 Sidebar',
            'sidebar_9'    => 'Footer 1',
            'sidebar_10'   => 'Footer 2',
            'sidebar_11'   => 'Footer 3',
            'sidebar_12'   => 'Blog Sidebar',
            'sidebar_13'   => 'Blog Single Sidebar',
            'sidebar_14'   => 'Page Sidebar',
            'sidebar_15'   => 'Custom Widget 1'
        );
		
        update_option('csob_setting', $csob_setting);
        update_option('csob_sidebar', $csob_sidebar);
        update_option('csob_is_database_setup', CSOB_INIT_VERSION);
    }

    $csob_sidebar = get_option('csob_sidebar');

    foreach ($csob_sidebar as $key => $value) {
        if ('sidebar_hide' != $key) {
            register_sidebar(array(
                'name'          => $value,
                'id'            => $key,
                'before_widget' => '<div id="%1$s" class="widget %2$s">',
                'after_widget'  => '</div>',
                'before_title'  => '<h4 class="block-title"><span>',
                'after_title'   => '</span></h4>'
            ));
        }
    }
}