<?php
$csob_data_icon = '&#xe070;'; // icon-pencil
$featured_post_thumb = ot_get_option('featured_post_thumb');
$post_thumb_style = ot_get_option('post_thumb_style', 'large_thumb');
?>
    <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	
	
		<header>
        
        <span class="entry-box-icon" data-icon="<?php echo $csob_data_icon; ?>"></span>
        <div class="entry-box-title clearfix">
            <h4 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>
            <div class="meta-box custom-post">
				<span class="entry-categories"><i class="icon-bookmark"></i><?php the_category( ', ' ); ?></span>
                <span class="entry-date"><i class="icon-calendar"></i><?php the_time( get_option( 'date_format' ) ); ?></span>
                <span class="entry-author"><i class="icon-user"></i> <?php the_author_posts_link(); ?></span>
                <span class="entry-comments"><i class="icon-comment"></i><?php comments_popup_link( '0', '1', '%', '', __( 'Off', csob_get_domain() ) ); ?></span>
				
				<?php $csob_total_view_count = get_post_meta( get_the_ID(), 'csob_' . csob_get_domain() . '_total_view', true );

				if ( $csob_total_view_count ) { ?>

				<span class="entry-view"><span data-icon="&#xe02b;"></span><?php echo $csob_total_view_count; ?></span>

				<?php } ?>	
                
                <?php 
                $post_rating = round( get_post_meta( get_the_ID(), 'csob_editor_user_total_all_rating_' . csob_get_domain(), true ) );

                if ( ! empty( $post_rating ) ) {
                ?>
                    <ul class="csob-rating clearfix">
                        <?php
                        for ( $i = 0; $i < $post_rating; $i++ ) {
                            echo '<li><span data-icon="&#xe131;"></span></li>';
                        }
                        for ( $i = 0; $i < 5 - $post_rating; $i++ ) {
                            echo '<li><span data-icon="&#xe12f;"></span></li>';
                        }
                        ?>
                    </ul>
                <?php } ?>		
            </div>
            <!-- meta-box -->
                        
            <div class="clear"></div>
        </div>
        <!-- entry-box-title -->
        <div class="clear"></div>
    </header>
	

        <?php if ( $featured_post_thumb && 'small_thumb' == $post_thumb_style && has_post_thumbnail() ) { ?>
            <div class="entry-thumb csob-single-2">
                <?php the_post_thumbnail( 'csob-image-size-8' ); // 795 x 429 ?>
            </div>
        <?php } // endif ?>
		
		<?php if ( $featured_post_thumb && 'large_thumb' == $post_thumb_style ) { ?>
            <div class="entry-thumb">
                <?php if ( has_post_thumbnail() ) {
                    the_post_thumbnail( 'large_thumb' ); // 795 x auto
                } ?>
            </div>
        <?php } // endif ?>

        <div class="elements-box">
            <?php the_content(); ?>
        </div>
        <div class="clear"></div>

        <div class="wp-link-pages clearfix">
            <?php wp_link_pages( array(
                'before'   => '<p>',
                'after'    => '</p>',
                'pagelink' => __( 'Page %', csob_get_domain() )
            ) ); ?>
        </div> <!-- .wp-link-pages -->
        
         <?php get_template_part( 'library/templates/template', 'post-rating' ); ?>
        <!-- post-rating -->

        <?php csob_get_socials_link(); ?>
        <!-- social-link -->

        <footer class="clearfix">
            <?php get_template_part( 'library/templates/template', 'post-navigation' ); ?>
        </footer>
    </div>
    <!-- entry-box -->