<?php 
$csob_setting = csob_get_template_setting();
$sidebars = $csob_setting['sidebars'];

$csob_logo = get_option( 'csob_theme_options_logo_url' );
$top_banner_code = ot_get_option( 'top_banner_code' );
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo('charset'); ?>">                   
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php csob_print_page_title(); ?></title>     
    <link rel="profile" href="http://gmpg.org/xfn/11">           
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
    
    <?php if (ot_get_option('favicon')){
		echo '<link rel="shortcut icon" href="'. ot_get_option('favicon') .'" />';
	} 

	if (ot_get_option('ipad_retina_icon')){
		echo '<link rel="apple-touch-icon" sizes="144x144" href="'. ot_get_option('ipad_retina_icon') .'" >';
	} 

	if (ot_get_option('iphone_retina_icon')){
		echo '<link rel="apple-touch-icon" sizes="114x114" href="'. ot_get_option('iphone_retina_icon') .'" >';
	}

	if (ot_get_option('ipad_icon')){
		echo '<link rel="apple-touch-icon" sizes="72x72" href="'. ot_get_option('ipad_icon') .'" >';
	} 

	if (ot_get_option('iphone_icon')){
		echo '<link rel="apple-touch-icon" href="'. ot_get_option('iphone_icon') .'" >';
	} ?>
    
	
	<?php echo ot_get_option('analytics_code'); ?>
    <?php wp_head(); ?>
</head>   
<body <?php body_class(); ?>>

    <div style="display: none;">
        <?php get_template_part( 'library/templates/template', 'headline' ); ?>
    </div>

<div class="spacer" style="height:200px"></div>

    <div class="light-block blank-page">
        <div class="wrapper">
            <div class="row-fluid">
                <div class="span12 clearfix">
						                        
                        <div class="elements-box">
							<?php the_content(); ?>
                        </div>
                    
                </div><!--span12-->
            </div><!--row-fluid-->
        </div><!--wrapper-->
    </div><!--light-block-->
    

<?php wp_footer(); ?>
</body>

</html>