<ul class="entry-list">
			
    <?php 
    if ( have_posts() ) { 
        while( have_posts() ) { 
            the_post(); 

            if ( 'video' == get_post_format() ) {
				$csob_data_icon = '&#xe07e;'; // icon-film-2
				$class = 'video-icon-post';
			} elseif ( 'gallery' == get_post_format() ) {
				$csob_data_icon = '&#xe079;'; // icon-images
				$class = 'gallery-icon-post';
			} elseif ( 'audio' == get_post_format() ) {
				$csob_data_icon = '&#xe07b;'; // icon-music
				$class = 'audio-icon-post';
			} else {
				$csob_data_icon = '&#xe070;'; // icon-pencil
				$class = 'edit-icon-post';
			}
    ?>
	
    <li id="li-post-<?php the_ID(); ?>">
        <article id="post-<?php the_ID(); ?>" <?php post_class('entry-item clearfix'); ?>>
		<div class="bloglink">
            <div class="entry-thumb">
                <?php 
                // flag to determine whether or not display arrow button
                $csob_has_printed_thumbnail = false;

                if ( has_post_thumbnail() ) {
                    the_post_thumbnail( 'csob-image-size-6' ); // 496 x 346
                    $csob_has_printed_thumbnail = true;
                } elseif ( 'video' == get_post_format() ) {
                    $video = csob_content_get_video( get_the_content() );

                    if ( isset( $video[0] ) ) {
                        $video = $video[0];
                    } else {
                        $video = '';
                    }

                    if ( isset( $video['type'] ) && isset( $video['url'] ) ) {
                        $video_thumbnail_url = csob_get_video_thumbnails_url( $video['type'], $video['url'] );
                        echo '<img src="'.esc_url( $video_thumbnail_url ).'" alt="'.get_the_title().'">';
                        $csob_has_printed_thumbnail = true;
                    }
                } elseif ( 'gallery' == get_post_format() ) {
                    $gallery_ids = csob_content_get_gallery_attachment_ids( get_the_content() );

                    if ( ! empty( $gallery_ids ) ) {
                        foreach ( $gallery_ids as $id ) {
                            if ( wp_attachment_is_image( $id ) ) {
                                echo wp_get_attachment_image( $id, 'csob-image-size-6' ); // 496 x 346
                                $csob_has_printed_thumbnail = true;
                                break;
                            }
                        }
                    }
                } // endif has_post_thumbnail
                ?>

                <?php if ( $csob_has_printed_thumbnail  ) { ?>
					<a href="<?php the_permalink(); ?>"><span class="read">.</span></a>
                <?php } // endif ?>
            </div>
            <!-- entry-thumb -->
            <div class="entry-content">
                <header>
					
					<div class="meta-box custom-post">
						<?php // show categories only for post  
						if ( 'post' == $post->post_type ) { ?>
							<span class="entry-categories"><i class="icon-bookmark"></i><?php the_category(', '); ?></span>
						<?php } // endif ?>
					</div>


					<h4 class="entry-title clearfix">
						
						<?php if ( 'post' == $post->post_type ) { ?>
                            <span class="<?php echo $class; ?>" data-icon="<?php echo $csob_data_icon; ?>"></span>
                        <?php } // endif ?>
						
						<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
					</h4>
					
                    <div class="meta-box custom-post">

                <span class="entry-date"><i class="icon-calendar"></i><?php the_time( get_option( 'date_format' ) ); ?></span>
                <span class="entry-author"><i class="icon-user"></i> <?php the_author_posts_link(); ?></span>
                <span class="entry-comments"><i class="icon-comment"></i><?php comments_popup_link( '0', '1', '%', '', __( 'Off', csob_get_domain() ) ); ?></span>
				
				<?php $csob_total_view_count = get_post_meta( get_the_ID(), 'csob_' . csob_get_domain() . '_total_view', true );

				if ( $csob_total_view_count ) { ?>

				<span class="entry-view"><span data-icon="&#xe02b;"></span><?php echo $csob_total_view_count; ?></span>

				<?php } ?>
				
				<?php 
				$post_rating = round( get_post_meta( get_the_ID(), 'csob_editor_user_total_all_rating_' . csob_get_domain(), true ) );

				if ( ! empty( $post_rating ) ) {
				?>
					<ul class="csob-rating clearfix">
						<?php
						for ( $i = 0; $i < $post_rating; $i++ ) {
							echo '<li><span data-icon="&#xe131;"></span></li>';
						}
						for ( $i = 0; $i < 5 - $post_rating; $i++ ) {
							echo '<li><span data-icon="&#xe12f;"></span></li>';
						}
						?>
					</ul>
				<?php } ?>
			
            </div>
                    <!-- meta-box -->
                    
					
                    <div class="clear"></div>
                </header>
                <?php the_excerpt(); ?>
            </div>
            <!-- entry-content -->
			</div>
        </article>
        <!-- entry-item -->
    </li>
    <?php 
        } // endwhile
    } // endif
    ?>
</ul>
<!-- entry-list -->

<!-- pagination -->
<?php get_template_part('library/templates/template', 'pagination'); ?>