<?php 
$csob_editor_post_rating = get_post_meta( get_the_ID(), 'csob_editor_post_rating_' . csob_get_domain(), true );
$csob_editor_total_rating = get_post_meta( get_the_ID(), 'csob_editor_total_rating_' . csob_get_domain(), true );
$csob_user_post_rating = get_post_meta( get_the_ID(), 'csob_user_post_rating_' . csob_get_domain(), true );
$csob_user_total_rating = get_post_meta( get_the_ID(), 'csob_user_total_rating_' . csob_get_domain(), true );
$csob_user_total_all_rating = get_post_meta( get_the_ID(), 'csob_user_total_all_rating_' . csob_get_domain(), true );
?>

<?php if ( ! empty( $csob_editor_post_rating ) ) { ?>
    <div class="row-fluid csob-rating-container">
        <div class="span6">
        	<h4 class="block-title"><span><?php _e( 'Editor Rating', csob_get_domain() ); ?></span></h4>
            <ul class="csob-rating-box csob-editor-rating-box">
               
                <?php foreach( $csob_editor_post_rating as $rating ) { ?>
                    
                    <li class="clearfix">
                        <span><?php echo $rating['name']; ?></span>
                        
                        <ul class="csob-rating clearfix" title="<?php printf( __( 'Rated %s out of 5', csob_get_domain() ), $rating['value'] ); ?>">

                            <?php for( $i = 0; $i < $rating['value']; $i++ ) { ?>
                                <li><span data-icon="&#xe131;"></span></li>
                            <?php } // endfor ?>

                            <?php for( $i = 0; $i < 5 - $rating['value']; $i++ ) { ?>
                                <li><span data-icon="&#xe12f;"></span></li>
                            <?php } // endfor ?>

                        </ul>

                    </li>

                <?php } // endforeach ?>

                <li class="total-score clearfix">
                    <span><?php _e( 'Total score', csob_get_domain() ); ?></span>
                    <ul class="csob-rating clearfix" title="<?php printf( __( 'Rated %.2f out of 5', csob_get_domain() ), $csob_editor_total_rating ); ?>">
                        <?php $csob_editor_total_rating = round( $csob_editor_total_rating ); ?>
                        <?php for( $i = 0; $i < $csob_editor_total_rating; $i++ ) { ?>
                            <li><span data-icon="&#xe131;"></span></li>
                        <?php } // endfor ?>

                        <?php for( $i = 0; $i < 5 - $csob_editor_total_rating; $i++ ) { ?>
                            <li><span data-icon="&#xe12f;"></span></li>
                        <?php } // endfor ?>
                    </ul>
                </li>
            </ul>
        </div>
        <div class="span6">
        	<h4 class="block-title"><span><?php _e( 'User Rating', csob_get_domain() ); ?></span></h4>
            <ul class="csob-rating-box csob-user-rating-box">

                <?php 
                foreach ( $csob_editor_post_rating as $rating_index => $rating ) { 
                    if ( isset( $csob_user_total_rating[ $rating_index ] ) ) {
                        $current_total_rating = round( $csob_user_total_rating[ $rating_index ] );
                    } else {
                        $current_total_rating = 0;
                    }
                ?>
                <li class="clearfix">
                    <span><?php echo $rating['name']; ?></span>
                    <ul class="csob-user-rating csob-rating clearfix" data-current-rating="<?php echo $current_total_rating; ?>" data-rating-index="<?php echo $rating_index;?>">
                        
                        <?php for ( $i = 1; $i <= 5; $i++ ) { ?>
                        <li><a class="<?php echo $i <= $current_total_rating ? 'active' : ''; ?>" href="javascript:void(0)" data-icon="&#xe131;"></a></li>
                        <?php } ?>
                        
                    </ul>
                </li>
                <?php } // endforeach ?>
                <li class="total-score clearfix">
                    <span><?php _e( 'Total score', csob_get_domain() ); ?></span>
                        <?php if ( empty ( $csob_user_total_all_rating ) ) {
                            $csob_user_total_all_rating = 0;
                        } 

                        if ( 0 != $csob_user_total_all_rating ) {
                            $all_rating_title = sprintf( __('Rated %.2f out of 5', csob_get_domain()), $csob_user_total_all_rating );
                        } else {
                            $all_rating_title = '';
                        }

                        $csob_user_total_all_rating = round( $csob_user_total_all_rating );
                        ?>
                    <ul id="csob-user-total-rating" class="csob-rating clearfix" title="<?php echo $all_rating_title; ?>">

                        <?php for ($i = 0; $i < $csob_user_total_all_rating; $i++) { ?>
                            <li><span data-icon="&#xe131;"></span></li>
                        <?php } // endfor ?>

                        <?php for ($i = 0; $i < 5 - $csob_user_total_all_rating; $i++) { ?>
                            <li><span data-icon="&#xe12f;"></span></li>
                        <?php } ?>
                    </ul>
                </li>
            </ul>
        </div>
    </div>
<?php } // endif ?>